!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl10()
    coupl(nGC_3490) = (20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_54)*coupl(    &
                      nGC_56) + 20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_78)* &
                      coupl(nGC_80) + 20d0*Nc*cima*coupl(nGC_53)*coupl(nGC_54)*&
                      coupl(nGC_77)*coupl(nGC_80) + 20d0*Nc*cima*coupl(nGC_53)*&
                      coupl(nGC_56)*coupl(nGC_77)*coupl(nGC_78) + 20d0*Nc*cima*&
                      coupl(nGC_54)*coupl(nGC_56)*coupl(nGC_77)**2d0 + 20d0*Nc*&
                      cima*coupl(nGC_57)**2d0*coupl(nGC_58)*coupl(nGC_60) +    &
                      20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(nGC_74)*coupl(     &
                      nGC_76) + 20d0*Nc*cima*coupl(nGC_57)*coupl(nGC_58)*coupl(&
                      nGC_73)*coupl(nGC_76) + 20d0*Nc*cima*coupl(nGC_57)*coupl(&
                      nGC_60)*coupl(nGC_73)*coupl(nGC_74) + 20d0*Nc*cima*coupl(&
                      nGC_58)*coupl(nGC_60)*coupl(nGC_73)**2d0 + 20d0*Nc*cima* &
                      coupl(nGC_61)**2d0*coupl(nGC_62)*coupl(nGC_64) + 20d0*Nc*&
                      cima*coupl(nGC_61)**2d0*coupl(nGC_86)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85)*  &
                      coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_61)*coupl(nGC_64)*&
                      coupl(nGC_85)*coupl(nGC_86) + 20d0*Nc*cima*coupl(nGC_62)*&
                      coupl(nGC_64)*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(   &
                      nGC_73)**2d0*coupl(nGC_74)*coupl(nGC_76) + 20d0*Nc*cima* &
                      coupl(nGC_77)**2d0*coupl(nGC_78)*coupl(nGC_80) + 20d0*Nc*&
                      cima*coupl(nGC_85)**2d0*coupl(nGC_86)*coupl(nGC_88) -    &
                      10d0*cima*coupl(nGC_1150)**2d0*coupl(nGC_22)**2d0 - 10d0*&
                      cima*coupl(nGC_1150)*coupl(nGC_1250)*coupl(nGC_20)*coupl(&
                      nGC_22) - 10d0*cima*coupl(nGC_1150)*coupl(nGC_1294)**2d0*&
                      coupl(nGC_22) - 5d0*cima*coupl(nGC_1150)*coupl(nGC_1294)*&
                      coupl(nGC_20)*coupl(nGC_2268) - 10d0*cima*coupl(nGC_1150 &
                      )*coupl(nGC_162)**2d0*coupl(nGC_22) - 5d0*cima*coupl(    &
                      nGC_1150)*coupl(nGC_21)*coupl(nGC_2268)*coupl(nGC_40) -  &
                      10d0*cima*coupl(nGC_1172)*coupl(nGC_21)*coupl(nGC_2268)* &
                      coupl(nGC_37) - 5d0*cima*coupl(nGC_1172)*coupl(nGC_22)*  &
                      coupl(nGC_37)*coupl(nGC_40) - 5d0*cima*coupl(nGC_1250)*  &
                      coupl(nGC_1294)*coupl(nGC_22)*coupl(nGC_37) + 12d0*cima* &
                      coupl(nGC_17)**2d0 - 10d0*cima*coupl(nGC_2268)*coupl(    &
                      nGC_37)*coupl(nGC_40)**2d0 + 24d0*cima*coupl(nGC_26)*    &
                      coupl(nGC_28) + 6d0*cima*coupl(nGC_45)*coupl(nGC_46) +   &
                      20d0*cima*coupl(nGC_65)**2d0*coupl(nGC_66)*coupl(nGC_68  &
                      ) + 20d0*cima*coupl(nGC_69)**2d0*coupl(nGC_70)*coupl(    &
                      nGC_72) + 24d0*cima*coupl(nGC_7)*coupl(nGC_9) + 20d0*cima&
                      *coupl(nGC_81)**2d0*coupl(nGC_82)*coupl(nGC_84) + 6d0*   &
                      coupl(nGC_1150)**2d0*coupl(nGC_13) - 6d0*coupl(nGC_1150)*&
                      coupl(nGC_1294)*coupl(nGC_7) + 6d0*coupl(nGC_1150)*coupl(&
                      nGC_14)*coupl(nGC_22) + 3d0*coupl(nGC_1150)*coupl(nGC_15 &
                      )*coupl(nGC_22) - 6d0*coupl(nGC_1150)*coupl(nGC_162)*    &
                      coupl(nGC_26) - 9d0*coupl(nGC_1150)*coupl(nGC_17)*coupl( &
                      nGC_22) + 3d0*coupl(nGC_1172)*coupl(nGC_13)*coupl(nGC_21 &
                      ) - 6d0*coupl(nGC_1172)*coupl(nGC_37)*coupl(nGC_9) - 3d0*&
                      coupl(nGC_1250)*coupl(nGC_17)*coupl(nGC_20) + 3d0*coupl( &
                      nGC_1294)**2d0*coupl(nGC_13) - 6d0*coupl(nGC_1294)*coupl(&
                      nGC_22)*coupl(nGC_9) + 3d0*coupl(nGC_13)*coupl(nGC_162)**&
                      2d0 + 6d0*coupl(nGC_13)*coupl(nGC_22)**2d0 + 3d0*coupl(  &
                      nGC_13)*coupl(nGC_2268)*coupl(nGC_37) - 6d0*coupl(nGC_162&
                      )*coupl(nGC_22)*coupl(nGC_28) - 6d0*coupl(nGC_21)*coupl( &
                      nGC_2268)*coupl(nGC_7) - 3d0*coupl(nGC_2268)*coupl(nGC_37&
                      )*coupl(nGC_45) - 3d0*coupl(nGC_40)**2d0*coupl(nGC_46))/(&
                      96d0*pi**2d0)
    coupl(nGC_3491) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55)**&
                      2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(     &
                      nGC_63)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*  &
                      coupl(nGC_75)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(    &
                      nGC_38)*coupl(nGC_55)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*  &
                      coupl(nGC_38)*coupl(nGC_63)**2d0 - 12d0*Nc*cima*coupl(   &
                      nGC_1)*coupl(nGC_38)*coupl(nGC_75)**2d0 - 12d0*Nc*cima*  &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59)**2d0 - 12d0*Nc* &
                      cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79)**2d0 - 12d0&
                      *Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87)**2d0 - &
                      12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59)**  &
                      2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*coupl(     &
                      nGC_79)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*  &
                      coupl(nGC_87)**2d0 + 9d0*cima*coupl(nGC_1172)*coupl(     &
                      nGC_21)*coupl(nGC_25)*coupl(nGC_3) + 4d0*cima*coupl(     &
                      nGC_1172)*coupl(nGC_21)*coupl(nGC_4)*coupl(nGC_40) + 4d0*&
                      cima*coupl(nGC_1250)*coupl(nGC_1294)*coupl(nGC_162)*coupl&
                      (nGC_20) + 9d0*cima*coupl(nGC_1250)*coupl(nGC_20)*coupl( &
                      nGC_212)*coupl(nGC_618) + 12d0*cima*coupl(nGC_17)*coupl( &
                      nGC_29) - 12d0*cima*coupl(nGC_36)*coupl(nGC_4)*coupl(    &
                      nGC_67)**2d0 - 12d0*cima*coupl(nGC_36)*coupl(nGC_4)*coupl&
                      (nGC_71)**2d0 - 12d0*cima*coupl(nGC_36)*coupl(nGC_4)*    &
                      coupl(nGC_83)**2d0 - 12d0*cima*coupl(nGC_4)*coupl(nGC_40 &
                      )*coupl(nGC_67)**2d0 - 12d0*cima*coupl(nGC_4)*coupl(     &
                      nGC_40)*coupl(nGC_71)**2d0 - 12d0*cima*coupl(nGC_4)*coupl&
                      (nGC_40)*coupl(nGC_83)**2d0 - 3d0*coupl(nGC_1172)*coupl( &
                      nGC_21)*coupl(nGC_29) + 3d0*coupl(nGC_1172)*coupl(nGC_21 &
                      )*coupl(nGC_42) - 3d0*coupl(nGC_1172)*coupl(nGC_3)*coupl(&
                      nGC_8) - 3d0*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_29  &
                      ) + 3d0*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_42) - 3d0&
                      *coupl(nGC_1250)*coupl(nGC_618)*coupl(nGC_8) + 18d0*coupl&
                      (nGC_17)*coupl(nGC_212)*coupl(nGC_618) + 18d0*coupl(     &
                      nGC_17)*coupl(nGC_25)*coupl(nGC_3) - 6d0*coupl(nGC_20)*  &
                      coupl(nGC_212)*coupl(nGC_27) - 3d0*coupl(nGC_20)*coupl(  &
                      nGC_618)*coupl(nGC_8) - 6d0*coupl(nGC_21)*coupl(nGC_25)* &
                      coupl(nGC_27) - 3d0*coupl(nGC_21)*coupl(nGC_3)*coupl(    &
                      nGC_8))/(96d0*pi**2d0)
    coupl(nGC_6507) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_9558) = -coupl(nGC_9557)
    coupl(nGC_3498) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)* &
                      coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*&
                      coupl(nGC_61)*coupl(nGC_62) + 20d0*Nc*cima*coupl(nGC_23)*&
                      coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_74) + 20d0*Nc*cima*&
                      coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl(nGC_58   &
                      ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77&
                      )*coupl(nGC_78) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35&
                      )*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_23&
                      )*coupl(nGC_38)*coupl(nGC_53)*coupl(nGC_54) - 16d0*Nc*   &
                      cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57)*coupl(    &
                      nGC_58) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(&
                      nGC_61)*coupl(nGC_62) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_38)*coupl(nGC_73)*coupl(nGC_74) - 16d0*Nc*cima*coupl(&
                      nGC_23)*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_78) - 16d0*&
                      Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl( &
                      nGC_86) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(&
                      nGC_53)*coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_39)*coupl(nGC_57)*coupl(nGC_58) - 16d0*Nc*cima*coupl(&
                      nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(nGC_62) - 16d0*&
                      Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl( &
                      nGC_74) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(&
                      nGC_77)*coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_39)*coupl(nGC_85)*coupl(nGC_86) + 4d0*cima*coupl(    &
                      nGC_1150)*coupl(nGC_1294)*coupl(nGC_37)**2d0 + 9d0*cima* &
                      coupl(nGC_1150)*coupl(nGC_212)*coupl(nGC_25)*coupl(nGC_40&
                      ) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_212)*coupl(nGC_3)*&
                      coupl(nGC_4) + 4d0*cima*coupl(nGC_1172)**2d0*coupl(      &
                      nGC_1294)*coupl(nGC_22) + 4d0*cima*coupl(nGC_1172)*coupl(&
                      nGC_22)**2d0*coupl(nGC_2268) + 4d0*cima*coupl(nGC_1172)* &
                      coupl(nGC_22)**2d0*coupl(nGC_37) + 4d0*cima*coupl(       &
                      nGC_1294)*coupl(nGC_20)*coupl(nGC_37)*coupl(nGC_40) + 4d0&
                      *cima*coupl(nGC_1294)*coupl(nGC_22)**3d0 + 24d0*cima*    &
                      coupl(nGC_19)*coupl(nGC_7) + 9d0*cima*coupl(nGC_20)*coupl&
                      (nGC_212)*coupl(nGC_2268)*coupl(nGC_25) + 20d0*cima*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_65)*coupl(nGC_66) + 20d0&
                      *cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(   &
                      nGC_70) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(   &
                      nGC_81)*coupl(nGC_82) - 16d0*cima*coupl(nGC_23)*coupl(   &
                      nGC_40)*coupl(nGC_65)*coupl(nGC_66) - 16d0*cima*coupl(   &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_70) - 16d0*&
                      cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(    &
                      nGC_82) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(   &
                      nGC_65)*coupl(nGC_66) - 16d0*cima*coupl(nGC_23)*coupl(   &
                      nGC_41)*coupl(nGC_69)*coupl(nGC_70) - 16d0*cima*coupl(   &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_82) + 24d0*&
                      cima*coupl(nGC_26)*coupl(nGC_470) - 6d0*coupl(nGC_1150)* &
                      coupl(nGC_17)*coupl(nGC_212) - 6d0*coupl(nGC_1150)*coupl(&
                      nGC_17)*coupl(nGC_25) - 6d0*coupl(nGC_1150)*coupl(nGC_19 &
                      )*coupl(nGC_40) - 6d0*coupl(nGC_1150)*coupl(nGC_212)*    &
                      coupl(nGC_46) - 6d0*coupl(nGC_1150)*coupl(nGC_25)*coupl( &
                      nGC_45) - 6d0*coupl(nGC_1150)*coupl(nGC_3)*coupl(nGC_42  &
                      ) - 6d0*coupl(nGC_1150)*coupl(nGC_4)*coupl(nGC_470) + 6d0&
                      *coupl(nGC_1172)*coupl(nGC_22)*coupl(nGC_8) + 6d0*coupl( &
                      nGC_1294)*coupl(nGC_37)*coupl(nGC_8) - 6d0*coupl(nGC_19)*&
                      coupl(nGC_20)*coupl(nGC_2268) - 6d0*coupl(nGC_212)*coupl(&
                      nGC_2268)*coupl(nGC_8) + 36d0*coupl(nGC_212)*coupl(nGC_25&
                      )*coupl(nGC_7) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_7) +   &
                      36d0*coupl(nGC_25)*coupl(nGC_26)*coupl(nGC_618) - 6d0*   &
                      coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_7) - 6d0*coupl(    &
                      nGC_3)*coupl(nGC_4)*coupl(nGC_7))/(192d0*pi**2d0)
    coupl(nGC_3499) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)* &
                      coupl(nGC_56) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*&
                      coupl(nGC_61)*coupl(nGC_64) + 20d0*Nc*cima*coupl(nGC_23)*&
                      coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_76) + 20d0*Nc*cima*&
                      coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl(nGC_60   &
                      ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77&
                      )*coupl(nGC_80) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35&
                      )*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_23&
                      )*coupl(nGC_38)*coupl(nGC_53)*coupl(nGC_56) - 16d0*Nc*   &
                      cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57)*coupl(    &
                      nGC_60) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(&
                      nGC_61)*coupl(nGC_64) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_38)*coupl(nGC_73)*coupl(nGC_76) - 16d0*Nc*cima*coupl(&
                      nGC_23)*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_80) - 16d0*&
                      Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl( &
                      nGC_88) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(&
                      nGC_53)*coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_39)*coupl(nGC_57)*coupl(nGC_60) - 16d0*Nc*cima*coupl(&
                      nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(nGC_64) - 16d0*&
                      Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl( &
                      nGC_76) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(&
                      nGC_77)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_39)*coupl(nGC_85)*coupl(nGC_88) + 9d0*cima*coupl(    &
                      nGC_1150)*coupl(nGC_1294)*coupl(nGC_212)*coupl(nGC_25) + &
                      9d0*cima*coupl(nGC_1150)*coupl(nGC_162)*coupl(nGC_25)*   &
                      coupl(nGC_618) + 4d0*cima*coupl(nGC_1150)*coupl(nGC_37)**&
                      2d0*coupl(nGC_40) + 4d0*cima*coupl(nGC_1250)**2d0*coupl( &
                      nGC_22)*coupl(nGC_40) + 4d0*cima*coupl(nGC_1250)*coupl(  &
                      nGC_22)**2d0*coupl(nGC_2268) + 4d0*cima*coupl(nGC_1250)* &
                      coupl(nGC_22)**2d0*coupl(nGC_37) + 4d0*cima*coupl(       &
                      nGC_1294)*coupl(nGC_21)*coupl(nGC_37)*coupl(nGC_40) +    &
                      24d0*cima*coupl(nGC_19)*coupl(nGC_9) + 9d0*cima*coupl(   &
                      nGC_21)*coupl(nGC_212)*coupl(nGC_2268)*coupl(nGC_25) +   &
                      4d0*cima*coupl(nGC_22)**3d0*coupl(nGC_40) + 20d0*cima*   &
                      coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65)*coupl(nGC_68   &
                      ) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69)* &
                      coupl(nGC_72) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*   &
                      coupl(nGC_81)*coupl(nGC_84) - 16d0*cima*coupl(nGC_23)*   &
                      coupl(nGC_40)*coupl(nGC_65)*coupl(nGC_68) - 16d0*cima*   &
                      coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_72   &
                      ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81)* &
                      coupl(nGC_84) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*   &
                      coupl(nGC_65)*coupl(nGC_68) - 16d0*cima*coupl(nGC_23)*   &
                      coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_72) - 16d0*cima*   &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_84   &
                      ) + 24d0*cima*coupl(nGC_28)*coupl(nGC_470) - 6d0*coupl(  &
                      nGC_1150)*coupl(nGC_1294)*coupl(nGC_19) - 6d0*coupl(     &
                      nGC_1150)*coupl(nGC_162)*coupl(nGC_470) - 6d0*coupl(     &
                      nGC_1150)*coupl(nGC_17)*coupl(nGC_212) - 6d0*coupl(      &
                      nGC_1150)*coupl(nGC_17)*coupl(nGC_25) - 6d0*coupl(       &
                      nGC_1150)*coupl(nGC_212)*coupl(nGC_45) - 6d0*coupl(      &
                      nGC_1150)*coupl(nGC_25)*coupl(nGC_46) - 6d0*coupl(       &
                      nGC_1150)*coupl(nGC_42)*coupl(nGC_618) + 6d0*coupl(      &
                      nGC_1250)*coupl(nGC_22)*coupl(nGC_8) - 6d0*coupl(nGC_1294&
                      )*coupl(nGC_212)*coupl(nGC_9) - 6d0*coupl(nGC_162)*coupl(&
                      nGC_618)*coupl(nGC_9) - 6d0*coupl(nGC_19)*coupl(nGC_21)* &
                      coupl(nGC_2268) + 36d0*coupl(nGC_212)*coupl(nGC_25)*coupl&
                      (nGC_9) + 36d0*coupl(nGC_212)*coupl(nGC_28)*coupl(nGC_3  &
                      ) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_9) - 6d0*coupl(     &
                      nGC_2268)*coupl(nGC_25)*coupl(nGC_8) + 6d0*coupl(nGC_37)*&
                      coupl(nGC_40)*coupl(nGC_8))/(192d0*pi**2d0)
    coupl(nGC_6313) = -coupl(nGC_4937)
    coupl(nGC_5931) = coupl(nGC_3556) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(     &
                      nGC_40)*dZZA_QED2/2d0
    coupl(nGC_5932) = -coupl(nGC_5931)
    coupl(nGC_5417) = coupl(nGC_3619) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl(   &
                      nGC_76)*dZsR_QED2/2d0
    coupl(nGC_4986) = coupl(nGC_25)*dZWMinus_QED2/2d0 + coupl(nGC_3552)
    coupl(nGC_3589) = coupl(nGC_3208)*dsw_QED2 + coupl(nGC_3209)*dZee_QED2 +   &
                      coupl(nGC_3210)*dcw_QED2 + coupl(nGC_3211)*dvev_QED1
    coupl(nGC_4983) = coupl(nGC_3605) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl(   &
                      nGC_57)*dZsL_QED2/2d0
    coupl(nGC_4982) = coupl(nGC_3607) + coupl(nGC_73)*dZcL_QED2/2d0 + coupl(   &
                      nGC_73)*dZsR_QED2/2d0
    coupl(nGC_4981) = coupl(nGC_3604) + coupl(nGC_57)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_57)*dZsL_QCD2/2d0
    coupl(nGC_4980) = coupl(nGC_3606) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_73)*dZsR_QCD2/2d0
    coupl(nGC_5293) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(    &
                      nGC_36)*dZeMinusR_QED2
    coupl(nGC_5294) = coupl(nGC_3582) + coupl(nGC_40)*dZZ_QED2/2d0 + coupl(    &
                      nGC_40)*dZeMinusL_QED2
    coupl(nGC_5295) = coupl(nGC_5288) + coupl(nGC_5293)
    coupl(nGC_5296) = coupl(nGC_5288) + coupl(nGC_5294)
    coupl(nGC_5096) = 2d0*coupl(nGC_15)*dZH_QED2 + coupl(nGC_3565) + coupl(    &
                      nGC_HHHH)
    coupl(nGC_3633) = coupl(nGC_3221)*dye_QED3
    coupl(nGC_3634) = coupl(nGC_3219)*dye_QED3
    coupl(nGC_3637) = coupl(nGC_3233)*dytau_QED3
    coupl(nGC_3638) = coupl(nGC_3230)*dytau_QED3
    coupl(nGC_3639) = coupl(nGC_3220)*dye_QED3
    coupl(nGC_6039) = coupl(nGC_3655) + coupl(nGC_87)*dZH_QED2/2d0
    coupl(nGC_5744) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_39)*dZZA_QED2/2d0
    coupl(nGC_5745) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_35)*dZZA_QED2/2d0
    coupl(nGC_6033) = coupl(nGC_87)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_6034) = coupl(nGC_87)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_5429) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_38)*dZZA_QED2/2d0
    coupl(nGC_3339) = (-coupl(nGC_1)*coupl(nGC_162)*coupl(nGC_57) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(nGC_1150)*coupl&
                      (nGC_23)*coupl(nGC_58) - coupl(nGC_1294)*coupl(nGC_38)*  &
                      coupl(nGC_57) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_57   &
                      ) - coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_59) + 8d0*coupl&
                      (nGC_35)*coupl(nGC_38)*coupl(nGC_57) - coupl(nGC_35)*    &
                      coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_58)*coupl(nGC_73 &
                      )*coupl(nGC_76) - coupl(nGC_59)*coupl(nGC_73)*coupl(     &
                      nGC_75))/(32d0*pi**2d0)
    coupl(nGC_3338) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_1250)*coupl&
                      (nGC_23)*coupl(nGC_79) + coupl(nGC_1294)*coupl(nGC_35)*  &
                      coupl(nGC_77) + coupl(nGC_162)*coupl(nGC_2)*coupl(nGC_77 &
                      ) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_78) + 8d0*coupl&
                      (nGC_35)*coupl(nGC_38)*coupl(nGC_77) + coupl(nGC_38)*    &
                      coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(nGC_55 &
                      )*coupl(nGC_79) - coupl(nGC_53)*coupl(nGC_56)*coupl(     &
                      nGC_78))/(32d0*pi**2d0)
    coupl(nGC_3335) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_1150)*coupl(     &
                      nGC_2268)*coupl(nGC_40) - 6d0*coupl(nGC_1150)*coupl(     &
                      nGC_25)*coupl(nGC_37) + coupl(nGC_1172)*coupl(nGC_1250)**&
                      2d0 + coupl(nGC_1172)*coupl(nGC_22)**2d0 - 6d0*coupl(    &
                      nGC_1294)*coupl(nGC_21)*coupl(nGC_212) - 6d0*coupl(      &
                      nGC_162)*coupl(nGC_21)*coupl(nGC_618) + 4d0*coupl(nGC_23 &
                      )*coupl(nGC_65)*coupl(nGC_67) + 4d0*coupl(nGC_23)*coupl( &
                      nGC_69)*coupl(nGC_71) + 4d0*coupl(nGC_23)*coupl(nGC_81)* &
                      coupl(nGC_83))/(96d0*pi**2d0)
    coupl(nGC_3334) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_88) - 6d0*coupl(nGC_1150)*coupl( &
                      nGC_1294)*coupl(nGC_212) - 6d0*coupl(nGC_1150)*coupl(    &
                      nGC_162)*coupl(nGC_618) + coupl(nGC_1250)**2d0*coupl(    &
                      nGC_22) - 6d0*coupl(nGC_21)*coupl(nGC_2268)*coupl(nGC_25 &
                      ) + coupl(nGC_21)*coupl(nGC_37)*coupl(nGC_40) + coupl(   &
                      nGC_22)**3d0 + 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(    &
                      nGC_68) + 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_72   &
                      ) + 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_84))/(96d0*&
                      pi**2d0)
    coupl(nGC_3337) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_53) + coupl(nGC_1150)*coupl&
                      (nGC_23)*coupl(nGC_54) + coupl(nGC_1294)*coupl(nGC_39)*  &
                      coupl(nGC_53) + coupl(nGC_162)*coupl(nGC_2)*coupl(nGC_53 &
                      ) + coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_55) + 8d0*coupl&
                      (nGC_34)*coupl(nGC_39)*coupl(nGC_53) + coupl(nGC_34)*    &
                      coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_54)*coupl(nGC_77 &
                      )*coupl(nGC_80) - coupl(nGC_55)*coupl(nGC_77)*coupl(     &
                      nGC_79))/(32d0*pi**2d0)
    coupl(nGC_3336) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_470)*coupl(   &
                      nGC_51) - coupl(nGC_1250)*coupl(nGC_212)*coupl(nGC_52) - &
                      coupl(nGC_21)*coupl(nGC_212)*coupl(nGC_50) + 6d0*coupl(  &
                      nGC_212)*coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_212 &
                      )*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_25)*coupl(nGC_40&
                      )*coupl(nGC_47) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_47 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3331) = (-coupl(nGC_1150)*coupl(nGC_23)*coupl(nGC_68) - coupl(   &
                      nGC_1294)*coupl(nGC_36)*coupl(nGC_65) - coupl(nGC_162)*  &
                      coupl(nGC_4)*coupl(nGC_65) - coupl(nGC_20)*coupl(nGC_23)*&
                      coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_65) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_65))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3330) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3333) = (coupl(nGC_1172)*coupl(nGC_23)*coupl(nGC_83) + coupl(    &
                      nGC_1294)*coupl(nGC_41)*coupl(nGC_81) + coupl(nGC_22)*   &
                      coupl(nGC_23)*coupl(nGC_84) + coupl(nGC_36)*coupl(nGC_40 &
                      )*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl( &
                      nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81))/(32d0*pi**2d0)
    coupl(nGC_3332) = (-coupl(nGC_1150)*coupl(nGC_23)*coupl(nGC_72) - coupl(   &
                      nGC_1294)*coupl(nGC_36)*coupl(nGC_69) - coupl(nGC_162)*  &
                      coupl(nGC_4)*coupl(nGC_69) - coupl(nGC_20)*coupl(nGC_23)*&
                      coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_69) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_69))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3443) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*coupl(     &
                      nGC_87)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3442) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*coupl(     &
                      nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3441) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_53)**2d0 - coupl(nGC_54)*coupl( &
                      nGC_56) - coupl(nGC_55)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3447) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl( &
                      nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3446) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)*   &
                      coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_3445) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl( &
                      nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3444) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)*   &
                      coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3449) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl( &
                      nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
