!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl11()
    coupl(nGC_3448) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3681) = coupl(nGC_148)*dMW2_QED2
    coupl(nGC_3529) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) - coupl(&
                      nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi**2d0*Nc&
                      )
    coupl(nGC_3298) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + coupl(nGC_2)*coupl(nGC_61)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3299) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_67)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3524) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 +   &
                      coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75)**&
                      2d0 + coupl(nGC_79)**2d0 + coupl(nGC_87)**2d0)/(16d0*pi**&
                      2d0*Nc)
    coupl(nGC_3297) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_85)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_618))/(32d0*pi**2d0)
    coupl(nGC_3526) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 +   &
                      coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3295) = (coupl(nGC_1)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3521) = (18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 -    &
                      30d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(     &
                      nGC_39) + 18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39)**&
                      2d0 + 6d0*cima*coupl(nGC_18)*coupl(nGC_392) - 16d0*cima* &
                      coupl(nGC_212)**2d0*coupl(nGC_25)**2d0 + 18d0*cima*coupl(&
                      nGC_23)**2d0*coupl(nGC_40)**2d0 - 30d0*cima*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40)*coupl(nGC_41) + 18d0*cima*coupl(    &
                      nGC_23)**2d0*coupl(nGC_41)**2d0 - 16d0*cima*coupl(nGC_25 &
                      )**2d0*coupl(nGC_618)**2d0 + 9d0*coupl(nGC_18)*coupl(    &
                      nGC_212)**2d0 + 9d0*coupl(nGC_18)*coupl(nGC_25)**2d0 +   &
                      6d0*coupl(nGC_19)*coupl(nGC_212)*coupl(nGC_25) + 9d0*    &
                      coupl(nGC_212)**2d0*coupl(nGC_392) + 6d0*coupl(nGC_25)*  &
                      coupl(nGC_470)*coupl(nGC_618) + 9d0*coupl(nGC_392)*coupl(&
                      nGC_618)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3522) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +    &
                      12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(     &
                      nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39)** &
                      2d0 + 4d0*cima*coupl(nGC_19)**2d0 - 8d0*cima*coupl(      &
                      nGC_212)**2d0*coupl(nGC_25)**2d0 - 4d0*cima*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40)**2d0 + 12d0*cima*coupl(nGC_23)**2d0*&
                      coupl(nGC_40)*coupl(nGC_41) - 4d0*cima*coupl(nGC_23)**2d0&
                      *coupl(nGC_41)**2d0 - 8d0*cima*coupl(nGC_25)**2d0*coupl( &
                      nGC_618)**2d0 + 4d0*cima*coupl(nGC_470)**2d0 + coupl(    &
                      nGC_18)*coupl(nGC_212)**2d0 + coupl(nGC_19)*coupl(nGC_212&
                      )**2d0 + 12d0*coupl(nGC_19)*coupl(nGC_212)*coupl(nGC_25  &
                      ) + coupl(nGC_19)*coupl(nGC_618)**2d0 + 2d0*coupl(nGC_212&
                      )*coupl(nGC_25)*coupl(nGC_392) + coupl(nGC_25)**2d0*coupl&
                      (nGC_982) + 2d0*coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_618&
                      ) + 12d0*coupl(nGC_25)*coupl(nGC_470)*coupl(nGC_618))/(  &
                      32d0*pi**2d0)
    coupl(nGC_3291) = (coupl(nGC_1150)*coupl(nGC_1172)*coupl(nGC_4) + coupl(   &
                      nGC_1150)*coupl(nGC_1250)*coupl(nGC_162) - 6d0*coupl(    &
                      nGC_20)*coupl(nGC_22)*coupl(nGC_618) - 6d0*coupl(nGC_21)*&
                      coupl(nGC_22)*coupl(nGC_3))/(96d0*pi**2d0)
    coupl(nGC_5144) = coupl(nGC_3632) + coupl(nGC_81)*dZnu_tauL_QED2/2d0 +     &
                      coupl(nGC_81)*dZtauMinusR_QED2/2d0
    coupl(nGC_7597) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_7598) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5064) = coupl(nGC_3580) + coupl(nGC_42)*dZA_QED2/2d0 + coupl(    &
                      nGC_42)*dZZ_QED2/2d0 + coupl(nGC_45)*dZZA_QED2/2d0 +     &
                      coupl(nGC_6)*dZAZ_QED2/2d0
    coupl(nGC_8374) = coupl(nGC_3678) + coupl(nGC_MZ)*dZZ_QED2
    coupl(nGC_3680) = coupl(nGC_144)*dMW2_QED2
    coupl(nGC_3525) = (3d0*Nc*cima*coupl(nGC_34)**4d0 + 3d0*Nc*cima*coupl(     &
                      nGC_35)**4d0 + 3d0*Nc*cima*coupl(nGC_38)**4d0 + 3d0*Nc*  &
                      cima*coupl(nGC_39)**4d0 - 10d0*cima*coupl(nGC_212)**4d0  &
                       - 10d0*cima*coupl(nGC_25)**4d0 + 3d0*cima*coupl(nGC_36  &
                      )**4d0 + 3d0*cima*coupl(nGC_392)**2d0 + 3d0*cima*coupl(  &
                      nGC_40)**4d0 + 3d0*cima*coupl(nGC_41)**4d0 + 3d0*coupl(  &
                      nGC_19)*coupl(nGC_212)**2d0 + 3d0*coupl(nGC_19)*coupl(   &
                      nGC_25)**2d0 + 9d0*coupl(nGC_212)**2d0*coupl(nGC_392) +  &
                      9d0*coupl(nGC_25)**2d0*coupl(nGC_392))/(24d0*pi**2d0)
    coupl(nGC_8189) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_3294) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_73)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_2)*coupl(nGC_59)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_3591) = coupl(nGC_3096)*dZee_QED2
    coupl(nGC_3590) = coupl(nGC_3094)*dZee_QED2
    coupl(nGC_3593) = coupl(nGC_3133)*dZee_QED2 + coupl(nGC_3134)*dsw_QED2
    coupl(nGC_3527) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0 -  &
                      coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_39)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_3595) = coupl(nGC_3173)*dZee_QED2 + coupl(nGC_3174)*dsw_QED2 +   &
                      coupl(nGC_3175)*dcw_QED2
    coupl(nGC_3597) = coupl(nGC_3146)*dZee_QED2 + coupl(nGC_3147)*dsw_QED2 +   &
                      coupl(nGC_3148)*dcw_QED2
    coupl(nGC_6464) = coupl(nGC_3596) + coupl(nGC_38)*dZZ_QED2/2d0 + coupl(    &
                      nGC_38)*dZsL_QED2
    coupl(nGC_11169) = -coupl(nGC_3467)
    coupl(nGC_6462) = coupl(nGC_34)*dZsR_QCD2
    coupl(nGC_3293) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) -  &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - 4d0&
                      *Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - 4d0*Nc&
                      *cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) - 4d0*Nc*  &
                      cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) - 4d0*Nc*cMD&
                      *coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75) - 4d0*Nc*cMS*   &
                      coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) - 4d0*cME*coupl(&
                      nGC_36)*coupl(nGC_4)*coupl(nGC_67) - 4d0*cME*coupl(nGC_4 &
                      )*coupl(nGC_40)*coupl(nGC_67) - 4d0*cMM*coupl(nGC_36)*   &
                      coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*coupl(nGC_4)*coupl( &
                      nGC_40)*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_36)*coupl(    &
                      nGC_4)*coupl(nGC_83) - 4d0*cMTA*coupl(nGC_4)*coupl(nGC_40&
                      )*coupl(nGC_83) + 4d0*cima*coupl(nGC_29)*coupl(nGC_50) - &
                      coupl(nGC_1172)*coupl(nGC_3)*coupl(nGC_47) - coupl(      &
                      nGC_1250)*coupl(nGC_47)*coupl(nGC_618) - coupl(nGC_20)*  &
                      coupl(nGC_212)*coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_25&
                      )*coupl(nGC_51) + 6d0*coupl(nGC_212)*coupl(nGC_50)*coupl(&
                      nGC_618) + 6d0*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_50   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3290) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*coupl(&
                      nGC_2)*coupl(nGC_23)**2d0 - 11d0*coupl(nGC_212)**2d0*    &
                      coupl(nGC_3) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_4) -    &
                      11d0*coupl(nGC_3)*coupl(nGC_618)**2d0)/(96d0*pi**2d0)
    coupl(nGC_6217) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_5516) = coupl(nGC_24)*dZZA_QED2/2d0 + coupl(nGC_3556) + coupl(   &
                      nGC_4)*dZA_QED2/2d0
    coupl(nGC_3523) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0 -  &
                      coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_75)**&
                      2d0 - coupl(nGC_79)**2d0 - coupl(nGC_87)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_5555) = coupl(nGC_3582) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(    &
                      nGC_40)*dZZ_QED2/2d0
    coupl(nGC_5492) = coupl(nGC_3556) + coupl(nGC_4)*dZA_QED2/2d0
    coupl(nGC_5493) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZmuMinusR_QED2
    coupl(nGC_5559) = coupl(nGC_24)*dZWMinus_QED2/2d0 + coupl(nGC_3561)
    coupl(nGC_5491) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0
    coupl(nGC_5494) = coupl(nGC_5492) + coupl(nGC_5493)
    coupl(nGC_5495) = coupl(nGC_5491) + coupl(nGC_5492)
    coupl(nGC_5396) = coupl(nGC_3588) + coupl(nGC_42)*dZAZ_QED2 + coupl(nGC_45 &
                      )*dZZ_QED2
    coupl(nGC_5391) = coupl(nGC_3634) + coupl(nGC_66)*dZeMinusL_QED2/2d0 +     &
                      coupl(nGC_66)*dZeMinusR_QED2/2d0
    coupl(nGC_5392) = coupl(nGC_3633) + coupl(nGC_68)*dZeMinusL_QED2/2d0 +     &
                      coupl(nGC_68)*dZeMinusR_QED2/2d0
    coupl(nGC_5845) = coupl(nGC_3556) + coupl(nGC_4)*dZWMinus_QED2/2d0
    coupl(nGC_5846) = -coupl(nGC_5845)
    coupl(nGC_5057) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_38)*dZZA_QED2/2d0
    coupl(nGC_6922) = -coupl(nGC_5563)
    coupl(nGC_6079) = coupl(nGC_39)*dZtL_QCD2
  end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
