!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl12()
    coupl(nGC_3627) = coupl(nGC_3225)*dys_QED3
    coupl(nGC_6076) = coupl(nGC_35)*dZtR_QCD2
    coupl(nGC_5789) = coupl(nGC_79)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_3540) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1280) + 12d0*Nc*coupl(nGC_10)**  &
                      2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_1280)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_3560) = coupl(nGC_3183)*dsw_QED2 + coupl(nGC_3184)*dMW2_QED2 +   &
                      coupl(nGC_3185)*dZee_QED2 + coupl(nGC_3186)*dcw_QED2
    coupl(nGC_3562) = coupl(nGC_3143)*dsw_QED2 + coupl(nGC_3144)*dMW2_QED2 +   &
                      coupl(nGC_3145)*dZee_QED2
    coupl(nGC_3563) = coupl(nGC_3152)*dZee_QED2 + coupl(nGC_3153)*dsw_QED2 +   &
                      coupl(nGC_3154)*dMZ2_QED2
    coupl(nGC_3564) = coupl(nGC_3190)*dZee_QED2 + coupl(nGC_3191)*dsw_QED2 +   &
                      coupl(nGC_3192)*dMZ2_QED2 + coupl(nGC_3193)*dcw_QED2
    coupl(nGC_3566) = coupl(nGC_3102)*dlam_QED4
    coupl(nGC_3568) = coupl(nGC_3179)*dlam_QED4 + coupl(nGC_3180)*dvev_QED1
    coupl(nGC_10154) = -coupl(nGC_3407)
    coupl(nGC_3541) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_1280)**2d0 + &
                      39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1280)*sq2**2d0 + 36d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_3649) = coupl(nGC_3213)*dyc_QED3
    coupl(nGC_3648) = coupl(nGC_3213)*dyc_QED1_QCD2
    coupl(nGC_3399) = (-coupl(nGC_1172)*coupl(nGC_23)*coupl(nGC_77) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_2268)*coupl(nGC_39&
                      )*coupl(nGC_78) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79   &
                      ) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(   &
                      nGC_78)**2d0*coupl(nGC_79) - coupl(nGC_79)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3641) = coupl(nGC_3234)*dytau_QED3
    coupl(nGC_3392) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC*   &
                      coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75) -  &
                      cMT*coupl(nGC_79) - cMU*coupl(nGC_87))/(16d0*pi**2d0)
    coupl(nGC_3391) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_65) + coupl(      &
                      nGC_2268)*coupl(nGC_36)*coupl(nGC_68) + 8d0*coupl(nGC_36 &
                      )*coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_37)*coupl(     &
                      nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_67) - coupl(nGC_67)**3d0 - coupl(nGC_67)*coupl(nGC_68&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3642) = coupl(nGC_3235)*dyup_QED1_QCD2
    coupl(nGC_3645) = coupl(nGC_3232)*dyup_QED3
    coupl(nGC_3396) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_1250)*  &
                      coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_2268)*coupl(     &
                      nGC_38)*coupl(nGC_76) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75  &
                      ) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(   &
                      nGC_75)**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3395) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_69) + coupl(      &
                      nGC_2268)*coupl(nGC_36)*coupl(nGC_72) + 8d0*coupl(nGC_36 &
                      )*coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_37)*coupl(     &
                      nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_71) - coupl(nGC_71)**3d0 - coupl(nGC_71)*coupl(nGC_72&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3394) = (coupl(nGC_1172)*coupl(nGC_23)*coupl(nGC_69) + coupl(    &
                      nGC_2268)*coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_70) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_71) - coupl(nGC_70)**2d0*coupl(nGC_71) - coupl(nGC_71&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_7533) = coupl(nGC_38)*dZbL_QCD2
    coupl(nGC_5670) = -coupl(nGC_5666)
    coupl(nGC_5671) = 2d0*coupl(nGC_5666)
    coupl(nGC_5101) = coupl(nGC_35)*dZcR_QCD2
    coupl(nGC_5104) = coupl(nGC_39)*dZcL_QCD2
    coupl(nGC_5105) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZcR_QED2 +   &
                      coupl(nGC_3594)
    coupl(nGC_5106) = coupl(nGC_3595) + coupl(nGC_39)*dZZ_QED2/2d0 + coupl(    &
                      nGC_39)*dZcL_QED2
    coupl(nGC_5107) = coupl(nGC_5098) + coupl(nGC_5105)
    coupl(nGC_3366) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_74) - coupl(nGC_1150)*  &
                      coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_2268)*coupl(     &
                      nGC_38)*coupl(nGC_75) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_74  &
                      ) - coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73) - coupl(   &
                      nGC_74)**2d0*coupl(nGC_76) - coupl(nGC_75)**2d0*coupl(   &
                      nGC_76))/(32d0*pi**2d0)
    coupl(nGC_5476) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_3365) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3248) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_618)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_3360) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_65) + coupl(      &
                      nGC_2268)*coupl(nGC_36)*coupl(nGC_67) + 8d0*coupl(nGC_36 &
                      )*coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_37)*coupl(     &
                      nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_66) - coupl(nGC_66)**2d0*coupl(nGC_68) - coupl(nGC_67&
                      )**2d0*coupl(nGC_68))/(32d0*pi**2d0)
    coupl(nGC_3361) = (coupl(nGC_1150)*coupl(nGC_23)*coupl(nGC_65) + coupl(    &
                      nGC_2268)*coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_68) - coupl(nGC_66)*coupl(nGC_67)**2d0 - coupl(nGC_66&
                      )*coupl(nGC_68)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3245) = cima*(coupl(nGC_212)**2d0 + coupl(nGC_25)**2d0 + coupl(  &
                      nGC_3)**2d0 + coupl(nGC_618)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3244) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - coupl(nGC_212)**2d0 - &
                      2d0*coupl(nGC_23)**2d0 - coupl(nGC_25)**2d0 - coupl(nGC_3&
                      )**2d0 - coupl(nGC_618)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3247) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_3)**2d0 - 4d0*coupl(nGC_4)**2d0 - coupl( &
                      nGC_618)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3246) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_23&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_212)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 +   &
                      3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 + 3d0*cMW**2d0*cima* &
                      coupl(nGC_618)**2d0 - 4d0*cMW**2d0*coupl(nGC_18) + 3d0*  &
                      cMZ**2d0*cima*coupl(nGC_212)**2d0 + 3d0*cMZ**2d0*cima*   &
                      coupl(nGC_25)**2d0 - 2d0*cMZ**2d0*coupl(nGC_392))/(32d0* &
                      pi**2d0)
    coupl(nGC_3241) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3240) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_38)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3243) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_85)**2d0 - &
                      4d0*cME**2d0*cima*coupl(nGC_65)**2d0 - cMH**2d0*cima*    &
                      coupl(nGC_1172)*coupl(nGC_21) - cMH**2d0*cima*coupl(     &
                      nGC_1250)*coupl(nGC_20) - 4d0*cMM**2d0*cima*coupl(nGC_69 &
                      )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_81)**2d0 - 2d0*cMW &
                      **2d0*cima*coupl(nGC_1150)*coupl(nGC_22) - cMW**2d0*cima*&
                      coupl(nGC_1172)*coupl(nGC_21) - cMW**2d0*cima*coupl(     &
                      nGC_1250)*coupl(nGC_20) - cMW**2d0*cima*coupl(nGC_1294)**&
                      2d0 - cMW**2d0*cima*coupl(nGC_162)**2d0 - cMW**2d0*cima* &
                      coupl(nGC_4)**2d0 - cMW**2d0*cima*coupl(nGC_40)**2d0 -   &
                      8d0*cMW**2d0*coupl(nGC_17) - 2d0*cMZ**2d0*cima*coupl(    &
                      nGC_1150)*coupl(nGC_22) - cMZ**2d0*cima*coupl(nGC_1294)**&
                      2d0 - cMZ**2d0*cima*coupl(nGC_40)**2d0 - 4d0*cMZ**2d0*   &
                      coupl(nGC_45) + 8d0*cima*coupl(nGC_47)**2d0 + 8d0*cima*  &
                      coupl(nGC_51)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5127) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_3550)
    coupl(nGC_7535) = coupl(nGC_34)*dZZ_QED2/2d0 + coupl(nGC_34)*dZbR_QED2 +   &
                      coupl(nGC_3597)
    coupl(nGC_5793) = coupl(nGC_5789) + coupl(nGC_5792)
    coupl(nGC_3418) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3419) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) +     &
                      coupl(nGC_38)*coupl(nGC_55)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_53)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3414) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
