!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl14()
    coupl(nGC_3450) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_3451) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl( &
                      nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
    coupl(nGC_6465) = coupl(nGC_34)*dZZ_QED2/2d0 + coupl(nGC_34)*dZsR_QED2 +   &
                      coupl(nGC_3597)
    coupl(nGC_3454) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10   &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_6828) = coupl(nGC_3613) + coupl(nGC_64)*dZdL_QED2/2d0 + coupl(   &
                      nGC_64)*dZdR_QED2/2d0
    coupl(nGC_3457) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10  &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_3458) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_53)**  &
                      2d0 - coupl(nGC_78)*coupl(nGC_80) - coupl(nGC_79)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_3459) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_35)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)*coupl( &
                      nGC_80) - coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_6829) = coupl(nGC_3615) + coupl(nGC_62)*dZdL_QED2/2d0 + coupl(   &
                      nGC_62)*dZdR_QED2/2d0
    coupl(nGC_6826) = coupl(nGC_3612) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_64)*dZdR_QCD2/2d0
    coupl(nGC_3488) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_54)* &
                      coupl(nGC_56) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)* &
                      coupl(nGC_62)*coupl(nGC_64) - 12d0*Nc*cima*coupl(nGC_1)* &
                      coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) - 12d0*Nc*cima*&
                      coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) - &
                      12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_62)*   &
                      coupl(nGC_64) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_38)* &
                      coupl(nGC_74)*coupl(nGC_76) - 12d0*Nc*cima*coupl(nGC_2)* &
                      coupl(nGC_35)*coupl(nGC_58)*coupl(nGC_60) - 12d0*Nc*cima*&
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_78)*coupl(nGC_80) - &
                      12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_86)*   &
                      coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)* &
                      coupl(nGC_58)*coupl(nGC_60) - 12d0*Nc*cima*coupl(nGC_2)* &
                      coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_80) - 12d0*Nc*cima*&
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_88) + &
                      4d0*cima*coupl(nGC_1150)*coupl(nGC_1294)*coupl(nGC_162)* &
                      coupl(nGC_22) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_212)* &
                      coupl(nGC_22)*coupl(nGC_618) + 9d0*cima*coupl(nGC_1150)* &
                      coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_3) + 4d0*cima*coupl&
                      (nGC_1150)*coupl(nGC_22)*coupl(nGC_4)*coupl(nGC_40) +    &
                      12d0*cima*coupl(nGC_17)*coupl(nGC_29) - 12d0*cima*coupl( &
                      nGC_36)*coupl(nGC_4)*coupl(nGC_66)*coupl(nGC_68) - 12d0* &
                      cima*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_70)*coupl(     &
                      nGC_72) - 12d0*cima*coupl(nGC_36)*coupl(nGC_4)*coupl(    &
                      nGC_82)*coupl(nGC_84) - 12d0*cima*coupl(nGC_4)*coupl(    &
                      nGC_40)*coupl(nGC_66)*coupl(nGC_68) - 12d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) - 12d0* &
                      cima*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_82)*coupl(     &
                      nGC_84) - 6d0*coupl(nGC_1150)*coupl(nGC_212)*coupl(nGC_28&
                      ) - 6d0*coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_29) + 6d0&
                      *coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_42) - 6d0*coupl(&
                      nGC_1150)*coupl(nGC_25)*coupl(nGC_26) - 3d0*coupl(       &
                      nGC_1150)*coupl(nGC_3)*coupl(nGC_7) - 3d0*coupl(nGC_1150 &
                      )*coupl(nGC_618)*coupl(nGC_9) + 18d0*coupl(nGC_17)*coupl(&
                      nGC_212)*coupl(nGC_618) + 18d0*coupl(nGC_17)*coupl(nGC_25&
                      )*coupl(nGC_3) - 3d0*coupl(nGC_22)*coupl(nGC_3)*coupl(   &
                      nGC_9) - 3d0*coupl(nGC_22)*coupl(nGC_618)*coupl(nGC_7))/(&
                      96d0*pi**2d0)
    coupl(nGC_3513) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(  &
                      nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(     &
                      nGC_78)*coupl(nGC_80) - coupl(nGC_86)*coupl(nGC_88))/(   &
                      16d0*pi**2d0)
    coupl(nGC_3512) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl(   &
                      nGC_56) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_62)* &
                      coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(   &
                      nGC_74)*coupl(nGC_76) + 40d0*Nc*cima*coupl(nGC_34)*coupl(&
                      nGC_38)*coupl(nGC_54)*coupl(nGC_56) + 40d0*Nc*cima*coupl(&
                      nGC_34)*coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) + 40d0*&
                      Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_74)*coupl( &
                      nGC_76) - 32d0*Nc*cima*coupl(nGC_35)**2d0*coupl(nGC_58)* &
                      coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_35)**2d0*coupl(   &
                      nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl(nGC_35)**2d0* &
                      coupl(nGC_86)*coupl(nGC_88) + 40d0*Nc*cima*coupl(nGC_35)*&
                      coupl(nGC_39)*coupl(nGC_58)*coupl(nGC_60) + 40d0*Nc*cima*&
                      coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_80   &
                      ) + 40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_86&
                      )*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_38)**2d0*coupl( &
                      nGC_54)*coupl(nGC_56) - 32d0*Nc*cima*coupl(nGC_38)**2d0* &
                      coupl(nGC_62)*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_38  &
                      )**2d0*coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl( &
                      nGC_39)**2d0*coupl(nGC_58)*coupl(nGC_60) - 32d0*Nc*cima* &
                      coupl(nGC_39)**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*&
                      cima*coupl(nGC_39)**2d0*coupl(nGC_86)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1150)*coupl(nGC_1294)**2d0*coupl(nGC_22  &
                      ) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_212)**2d0*coupl(  &
                      nGC_22) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_22)*coupl(  &
                      nGC_25)**2d0 + 4d0*cima*coupl(nGC_1150)*coupl(nGC_22)*   &
                      coupl(nGC_40)**2d0 + 12d0*cima*coupl(nGC_17)*coupl(      &
                      nGC_392) + 4d0*cima*coupl(nGC_2268)**2d0*coupl(nGC_37)** &
                      2d0 - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_66)*coupl(  &
                      nGC_68) - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_70)*    &
                      coupl(nGC_72) - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_82&
                      )*coupl(nGC_84) + 40d0*cima*coupl(nGC_36)*coupl(nGC_40)* &
                      coupl(nGC_66)*coupl(nGC_68) + 40d0*cima*coupl(nGC_36)*   &
                      coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) + 40d0*cima*   &
                      coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84   &
                      ) - 32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_66)*coupl(    &
                      nGC_68) - 32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_70)*    &
                      coupl(nGC_72) - 32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_82&
                      )*coupl(nGC_84) - 6d0*coupl(nGC_1150)*coupl(nGC_212)*    &
                      coupl(nGC_9) - 6d0*coupl(nGC_1150)*coupl(nGC_22)*coupl(  &
                      nGC_392) + 6d0*coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_45&
                      ) - 6d0*coupl(nGC_1150)*coupl(nGC_25)*coupl(nGC_7) + 18d0&
                      *coupl(nGC_17)*coupl(nGC_212)**2d0 + 18d0*coupl(nGC_17)* &
                      coupl(nGC_25)**2d0 - 6d0*coupl(nGC_212)*coupl(nGC_22)*   &
                      coupl(nGC_7) - 6d0*coupl(nGC_22)*coupl(nGC_25)*coupl(    &
                      nGC_9) + 3d0*coupl(nGC_2268)*coupl(nGC_37)*coupl(nGC_46  &
                      ))/(96d0*pi**2d0)
    coupl(nGC_3515) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_55)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_63)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_75)**2d0 + 40d0*Nc*&
                      cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55)**2d0 +    &
                      40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63)** &
                      2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(    &
                      nGC_75)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*coupl(    &
                      nGC_59)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*coupl(    &
                      nGC_79)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*coupl(    &
                      nGC_87)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39)* &
                      coupl(nGC_59)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*coupl(   &
                      nGC_39)*coupl(nGC_79)**2d0 + 40d0*Nc*cima*coupl(nGC_35)* &
                      coupl(nGC_39)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(   &
                      nGC_38)**2d0*coupl(nGC_55)**2d0 - 32d0*Nc*cima*coupl(    &
                      nGC_38)**2d0*coupl(nGC_63)**2d0 - 32d0*Nc*cima*coupl(    &
                      nGC_38)**2d0*coupl(nGC_75)**2d0 - 32d0*Nc*cima*coupl(    &
                      nGC_39)**2d0*coupl(nGC_59)**2d0 - 32d0*Nc*cima*coupl(    &
                      nGC_39)**2d0*coupl(nGC_79)**2d0 - 32d0*Nc*cima*coupl(    &
                      nGC_39)**2d0*coupl(nGC_87)**2d0 + 9d0*cima*coupl(nGC_1172&
                      )*coupl(nGC_21)*coupl(nGC_25)**2d0 + 4d0*cima*coupl(     &
                      nGC_1172)*coupl(nGC_21)*coupl(nGC_40)**2d0 + 4d0*cima*   &
                      coupl(nGC_1250)*coupl(nGC_1294)**2d0*coupl(nGC_20) + 9d0*&
                      cima*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_212)**2d0 + &
                      12d0*cima*coupl(nGC_17)*coupl(nGC_392) + 4d0*cima*coupl( &
                      nGC_2268)**2d0*coupl(nGC_37)**2d0 - 32d0*cima*coupl(     &
                      nGC_36)**2d0*coupl(nGC_67)**2d0 - 32d0*cima*coupl(nGC_36 &
                      )**2d0*coupl(nGC_71)**2d0 - 32d0*cima*coupl(nGC_36)**2d0*&
                      coupl(nGC_83)**2d0 + 40d0*cima*coupl(nGC_36)*coupl(nGC_40&
                      )*coupl(nGC_67)**2d0 + 40d0*cima*coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_71)**2d0 + 40d0*cima*coupl(nGC_36)*    &
                      coupl(nGC_40)*coupl(nGC_83)**2d0 - 32d0*cima*coupl(nGC_40&
                      )**2d0*coupl(nGC_67)**2d0 - 32d0*cima*coupl(nGC_40)**2d0*&
                      coupl(nGC_71)**2d0 - 32d0*cima*coupl(nGC_40)**2d0*coupl( &
                      nGC_83)**2d0 - 3d0*coupl(nGC_1172)*coupl(nGC_21)*coupl(  &
                      nGC_392) + 3d0*coupl(nGC_1172)*coupl(nGC_21)*coupl(nGC_45&
                      ) - 6d0*coupl(nGC_1172)*coupl(nGC_25)*coupl(nGC_8) - 3d0*&
                      coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_392) + 3d0*coupl(&
                      nGC_1250)*coupl(nGC_20)*coupl(nGC_45) - 6d0*coupl(       &
                      nGC_1250)*coupl(nGC_212)*coupl(nGC_8) + 18d0*coupl(nGC_17&
                      )*coupl(nGC_212)**2d0 + 18d0*coupl(nGC_17)*coupl(nGC_25  &
                      )**2d0 - 6d0*coupl(nGC_20)*coupl(nGC_212)*coupl(nGC_8) - &
                      6d0*coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_8) + 3d0*coupl(&
                      nGC_2268)*coupl(nGC_37)*coupl(nGC_46))/(96d0*pi**2d0)
    coupl(nGC_3514) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl(   &
                      nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(     &
                      nGC_78)*coupl(nGC_80) + coupl(nGC_86)*coupl(nGC_88))/(   &
                      16d0*pi**2d0*Nc)
    coupl(nGC_3516) = (-30d0*Nc*cima*coupl(nGC_23)**4d0 - 4d0*cima*coupl(      &
                      nGC_212)**4d0 - 16d0*cima*coupl(nGC_212)**2d0*coupl(     &
                      nGC_25)**2d0 - 8d0*cima*coupl(nGC_212)**2d0*coupl(nGC_618&
                      )**2d0 - 32d0*cima*coupl(nGC_212)*coupl(nGC_25)*coupl(   &
                      nGC_3)*coupl(nGC_618) - 30d0*cima*coupl(nGC_23)**4d0 -   &
                      4d0*cima*coupl(nGC_25)**4d0 - 8d0*cima*coupl(nGC_25)**2d0&
                      *coupl(nGC_3)**2d0 - 4d0*cima*coupl(nGC_3)**4d0 - 16d0*  &
                      cima*coupl(nGC_3)**2d0*coupl(nGC_618)**2d0 - 4d0*cima*   &
                      coupl(nGC_618)**4d0 + 3d0*cima*coupl(nGC_982)**2d0 + 3d0*&
                      coupl(nGC_19)*coupl(nGC_212)**2d0 + 3d0*coupl(nGC_19)*   &
                      coupl(nGC_25)**2d0 + 3d0*coupl(nGC_212)**2d0*coupl(      &
                      nGC_982) + 18d0*coupl(nGC_212)*coupl(nGC_25)*coupl(      &
                      nGC_982) + 6d0*coupl(nGC_212)*coupl(nGC_470)*coupl(      &
                      nGC_618) + 3d0*coupl(nGC_25)**2d0*coupl(nGC_982) + 6d0*  &
                      coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_470) + 3d0*coupl(   &
                      nGC_3)**2d0*coupl(nGC_5) + 3d0*coupl(nGC_3)**2d0*coupl(  &
                      nGC_982) + 18d0*coupl(nGC_3)*coupl(nGC_618)*coupl(nGC_982&
                      ) + 3d0*coupl(nGC_5)*coupl(nGC_618)**2d0 + 3d0*coupl(    &
                      nGC_618)**2d0*coupl(nGC_982))/(48d0*pi**2d0)
    coupl(nGC_5175) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_3590)
    coupl(nGC_5177) = coupl(nGC_5175) + coupl(nGC_5176)
    coupl(nGC_5070) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*         &
                      dZmuMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_muL_QED2/2d0 +  &
                      coupl(nGC_3593)
    coupl(nGC_5178) = coupl(nGC_5174) + coupl(nGC_5175)
    coupl(nGC_5725) = coupl(nGC_3620) + coupl(nGC_54)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_54)*dZbR_QCD2/2d0
    coupl(nGC_5726) = coupl(nGC_3622) + coupl(nGC_56)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_56)*dZbR_QCD2/2d0
    coupl(nGC_5727) = coupl(nGC_3621) + coupl(nGC_54)*dZbL_QED2/2d0 + coupl(   &
                      nGC_54)*dZbR_QED2/2d0
    coupl(nGC_5647) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*         &
                      dZnu_tauL_QED2/2d0 + coupl(nGC_23)*dZtauMinusL_QED2/2d0  &
                       + coupl(nGC_3593)
    coupl(nGC_3528) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**2d0)
    coupl(nGC_6216) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_8861) = coupl(nGC_8859) + coupl(nGC_8860)
    coupl(nGC_8191) = coupl(nGC_3665) + coupl(nGC_8189)
    coupl(nGC_6556) = coupl(nGC_3651) + coupl(nGC_80)*dZtL_QED2/2d0 + coupl(   &
                      nGC_80)*dZtR_QED2/2d0
    coupl(nGC_6557) = coupl(nGC_3653) + coupl(nGC_78)*dZtL_QED2/2d0 + coupl(   &
                      nGC_78)*dZtR_QED2/2d0
    coupl(nGC_6554) = coupl(nGC_3650) + coupl(nGC_80)*dZtL_QCD2/2d0 + coupl(   &
                      nGC_80)*dZtR_QCD2/2d0
    coupl(nGC_6555) = coupl(nGC_3652) + coupl(nGC_78)*dZtL_QCD2/2d0 + coupl(   &
                      nGC_78)*dZtR_QCD2/2d0
    coupl(nGC_3413) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*coupl(     &
                      nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5311) = coupl(nGC_3601) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl(   &
                      nGC_61)*dZuL_QED2/2d0
    coupl(nGC_5310) = coupl(nGC_3603) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(   &
                      nGC_85)*dZuR_QED2/2d0
    coupl(nGC_11171) = -coupl(nGC_3466)
    coupl(nGC_3587) = coupl(nGC_3203)*dZee_QED2 + coupl(nGC_3204)*dsw_QED2 +   &
                      coupl(nGC_3205)*dcw_QED2
    coupl(nGC_3539) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_1282)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1276)* &
                      sq2**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_1282)*sq2** &
                      2d0)/(192d0*pi**2d0)
    coupl(nGC_3538) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_1282)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2&
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1280)*sq2**2d0  &
                       + 15d0*coupl(nGC_10)**2d0*coupl(nGC_1282)*sq2**2d0)/(   &
                      192d0*pi**2d0)
    coupl(nGC_3289) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(  &
                      nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(   &
                      nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 +  &
                      4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(   &
                      nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57)**2d0 -  &
                      4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(   &
                      nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85)**2d0 -  &
                      6d0*coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_3) - 6d0*    &
                      coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_3) + coupl(      &
                      nGC_1294)**2d0*coupl(nGC_4) + coupl(nGC_162)**2d0*coupl( &
                      nGC_4) + 4d0*coupl(nGC_4)*coupl(nGC_65)**2d0 + 4d0*coupl(&
                      nGC_4)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_81&
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_3288) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_47)*coupl(nGC_470) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_50)*coupl(nGC_618&
                      ) - coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_51) + 6d0*coupl&
                      (nGC_25)*coupl(nGC_47)*coupl(nGC_618) - coupl(nGC_3)*    &
                      coupl(nGC_4)*coupl(nGC_51) + 6d0*coupl(nGC_3)*coupl(     &
                      nGC_51)*coupl(nGC_618))/(32d0*pi**2d0)
    coupl(nGC_3469) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 +    &
                      36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)**2d0&
                       - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0 -   &
                      16d0*cima*coupl(nGC_212)**2d0*coupl(nGC_3)**2d0 - 12d0*  &
                      cima*coupl(nGC_23)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*    &
                      coupl(nGC_25)**2d0*coupl(nGC_618)**2d0 - 24d0*cima*coupl(&
                      nGC_3)**2d0*coupl(nGC_618)**2d0 + 12d0*cima*coupl(nGC_470&
                      )**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 3d0*coupl(nGC_18)*&
                      coupl(nGC_3)**2d0 + 3d0*coupl(nGC_212)**2d0*coupl(nGC_5  &
                      ) + 36d0*coupl(nGC_212)*coupl(nGC_3)*coupl(nGC_470) + 6d0&
                      *coupl(nGC_240)*coupl(nGC_3)*coupl(nGC_618) + 6d0*coupl( &
                      nGC_25)*coupl(nGC_29)*coupl(nGC_618) + 36d0*coupl(nGC_3)*&
                      coupl(nGC_5)*coupl(nGC_618) + 3d0*coupl(nGC_5)*coupl(    &
                      nGC_618)**2d0 + 3d0*coupl(nGC_618)**2d0*coupl(nGC_982))/(&
                      96d0*pi**2d0)
    coupl(nGC_3468) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_57)**2d0 - 32d0*&
                      Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_61)**2d0 - 32d0*Nc*  &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_73)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_1)**2d0*coupl(nGC_77)**2d0 - 32d0*Nc*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(    &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_53)**2d0 + 40d0*Nc*cima*   &
                      coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57)**2d0 + 40d0*Nc*  &
                      cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61)**2d0 + 40d0*&
                      Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73)**2d0 +   &
                      40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77)**2d0&
                       + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85)**&
                      2d0 - 32d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_53)**2d0  &
                       - 32d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_57)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_61)**2d0 - 32d0*&
                      Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_73)**2d0 - 32d0*Nc*  &
                      cima*coupl(nGC_2)**2d0*coupl(nGC_77)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 + 9d0*cima*coupl(   &
                      nGC_1150)*coupl(nGC_22)*coupl(nGC_3)**2d0 + 9d0*cima*    &
                      coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_618)**2d0 + 9d0* &
                      cima*coupl(nGC_1172)*coupl(nGC_21)*coupl(nGC_618)**2d0 + &
                      9d0*cima*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_3)**2d0 &
                       + 4d0*cima*coupl(nGC_1294)**2d0*coupl(nGC_4)**2d0 + 8d0*&
                      cima*coupl(nGC_162)**2d0*coupl(nGC_4)**2d0 + 4d0*cima*   &
                      coupl(nGC_162)**2d0*coupl(nGC_40)**2d0 + 24d0*cima*coupl(&
                      nGC_17)*coupl(nGC_240) - 32d0*cima*coupl(nGC_4)**2d0*    &
                      coupl(nGC_65)**2d0 - 32d0*cima*coupl(nGC_4)**2d0*coupl(  &
                      nGC_69)**2d0 - 32d0*cima*coupl(nGC_4)**2d0*coupl(nGC_81  &
                      )**2d0 - 6d0*coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_240 &
                      ) - 6d0*coupl(nGC_1150)*coupl(nGC_26)*coupl(nGC_618) -   &
                      6d0*coupl(nGC_1150)*coupl(nGC_28)*coupl(nGC_3) - 6d0*    &
                      coupl(nGC_1172)*coupl(nGC_27)*coupl(nGC_618) - 6d0*coupl(&
                      nGC_1250)*coupl(nGC_20)*coupl(nGC_240) - 6d0*coupl(      &
                      nGC_1250)*coupl(nGC_27)*coupl(nGC_3) + 6d0*coupl(nGC_1294&
                      )**2d0*coupl(nGC_6) + 6d0*coupl(nGC_162)**2d0*coupl(nGC_6&
                      ) + 36d0*coupl(nGC_17)*coupl(nGC_3)**2d0 + 36d0*coupl(   &
                      nGC_17)*coupl(nGC_618)**2d0 - 6d0*coupl(nGC_20)*coupl(   &
                      nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_21)*coupl(nGC_27)*  &
                      coupl(nGC_618) - 6d0*coupl(nGC_22)*coupl(nGC_26)*coupl(  &
                      nGC_3) - 6d0*coupl(nGC_22)*coupl(nGC_28)*coupl(nGC_618   &
                      ))/(192d0*pi**2d0)
    coupl(nGC_5380) = coupl(nGC_3551) + coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*  &
                      dZWMinus_QED2
    coupl(nGC_5381) = -coupl(nGC_5379)/2d0 + coupl(nGC_5380)
    coupl(nGC_5386) = coupl(nGC_13)*dZH_QED2 + coupl(nGC_3566) + coupl(nGC_HHGG)
    coupl(nGC_9343) = coupl(nGC_3565) + coupl(nGC_HHHH)
    coupl(nGC_5266) = coupl(nGC_3587) + coupl(nGC_46)*dZH_QED2 + coupl(nGC_46)*&
                      dZZ_QED2
    coupl(nGC_5182) = coupl(nGC_3585) + coupl(nGC_47)*dZWMinus_QED2/2d0 + coupl&
                      (nGC_47)*dZZ_QED2/2d0 + coupl(nGC_51)*dZAZ_QED2/2d0
    coupl(nGC_6703) = -coupl(nGC_6690)
  end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
