!******************************************************************************!
!                                                                              !
!    fill_ctcouplings16.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings16.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings16
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl16()
    coupl(nGC_5209) = coupl(nGC_5203) + coupl(nGC_5208)
    coupl(nGC_6038) = coupl(nGC_3654) + coupl(nGC_6034)
    coupl(nGC_5746) = coupl(nGC_5175) + coupl(nGC_5745)
    coupl(nGC_5152) = -coupl(nGC_5151)
    coupl(nGC_6662) = coupl(nGC_5098) + coupl(nGC_6659)
    coupl(nGC_5010) = coupl(nGC_5006) + coupl(nGC_5009)
    coupl(nGC_3517) = (36d0*Nc*cima*coupl(nGC_23)**4d0 + 12d0*cima*coupl(nGC_18&
                      )**2d0 - 16d0*cima*coupl(nGC_212)**4d0 - 24d0*cima*coupl(&
                      nGC_212)**2d0*coupl(nGC_25)**2d0 - 32d0*cima*coupl(      &
                      nGC_212)**2d0*coupl(nGC_618)**2d0 - 48d0*cima*coupl(     &
                      nGC_212)*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_618) + 36d0&
                      *cima*coupl(nGC_23)**4d0 + 6d0*cima*coupl(nGC_240)**2d0  &
                       - 16d0*cima*coupl(nGC_25)**4d0 - 32d0*cima*coupl(nGC_25 &
                      )**2d0*coupl(nGC_3)**2d0 + 12d0*cima*coupl(nGC_29)**2d0  &
                       - 16d0*cima*coupl(nGC_3)**4d0 - 24d0*cima*coupl(nGC_3)**&
                      2d0*coupl(nGC_618)**2d0 + 6d0*cima*coupl(nGC_392)**2d0 - &
                      16d0*cima*coupl(nGC_618)**4d0 + 21d0*coupl(nGC_18)*coupl(&
                      nGC_212)**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_212)*coupl(  &
                      nGC_25) + 21d0*coupl(nGC_18)*coupl(nGC_25)**2d0 + 21d0*  &
                      coupl(nGC_18)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_18)*coupl&
                      (nGC_3)*coupl(nGC_618) + 21d0*coupl(nGC_18)*coupl(nGC_618&
                      )**2d0 + 3d0*coupl(nGC_19)*coupl(nGC_212)**2d0 + 3d0*    &
                      coupl(nGC_19)*coupl(nGC_25)**2d0 + 18d0*coupl(nGC_212)** &
                      2d0*coupl(nGC_392) + 36d0*coupl(nGC_212)*coupl(nGC_29)*  &
                      coupl(nGC_618) + 6d0*coupl(nGC_212)*coupl(nGC_470)*coupl(&
                      nGC_618) + 18d0*coupl(nGC_240)*coupl(nGC_3)**2d0 + 18d0* &
                      coupl(nGC_240)*coupl(nGC_618)**2d0 + 18d0*coupl(nGC_25)**&
                      2d0*coupl(nGC_392) + 36d0*coupl(nGC_25)*coupl(nGC_29)*   &
                      coupl(nGC_3) + 6d0*coupl(nGC_25)*coupl(nGC_3)*coupl(     &
                      nGC_470) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5) + 3d0*coupl&
                      (nGC_5)*coupl(nGC_618)**2d0)/(96d0*pi**2d0)
    coupl(nGC_10230) = -coupl(nGC_3289)
    coupl(nGC_9680) = -coupl(nGC_3316)
    coupl(nGC_5335) = coupl(nGC_34)*dZZ_QED2/2d0 + coupl(nGC_34)*dZdR_QED2 +   &
                      coupl(nGC_3597)
    coupl(nGC_9561) = -coupl(nGC_3334)
    coupl(nGC_3292) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc*cMC&
                      *coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_1&
                      )**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**2d0*coupl&
                      (nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(nGC_79) -  &
                      8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - 8d0*cME*    &
                      coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_4)** &
                      2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0*coupl(    &
                      nGC_83) + 4d0*cima*coupl(nGC_240)*coupl(nGC_50) - coupl( &
                      nGC_1172)*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_1250)*  &
                      coupl(nGC_51)*coupl(nGC_618) - coupl(nGC_20)*coupl(nGC_51&
                      )*coupl(nGC_618) - coupl(nGC_21)*coupl(nGC_3)*coupl(     &
                      nGC_51) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_50) + 6d0*coupl&
                      (nGC_50)*coupl(nGC_618)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3390) = (coupl(nGC_1172)*coupl(nGC_23)*coupl(nGC_65) + coupl(    &
                      nGC_2268)*coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_66) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_67) - coupl(nGC_66)**2d0*coupl(nGC_67) - coupl(nGC_67&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_5531) = coupl(nGC_5288) + coupl(nGC_5529)
    coupl(nGC_5530) = coupl(nGC_5288) + coupl(nGC_5528)
    coupl(nGC_5067) = coupl(nGC_3680) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_6741) = -coupl(nGC_6740)
    coupl(nGC_6466) = coupl(nGC_5328) + coupl(nGC_6465)
    coupl(nGC_6220) = coupl(nGC_3670) + coupl(nGC_6216)
    coupl(nGC_6221) = coupl(nGC_3671) + coupl(nGC_6217)
    coupl(nGC_9948) = -coupl(nGC_3335)
    coupl(nGC_3323) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_1150)*coupl&
                      (nGC_23)*coupl(nGC_60) + coupl(nGC_1294)*coupl(nGC_35)*  &
                      coupl(nGC_57) + coupl(nGC_162)*coupl(nGC_2)*coupl(nGC_57 &
                      ) + coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_59) + 8d0*coupl&
                      (nGC_35)*coupl(nGC_38)*coupl(nGC_57) + coupl(nGC_38)*    &
                      coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_59)*coupl(nGC_73 &
                      )*coupl(nGC_75) - coupl(nGC_60)*coupl(nGC_73)*coupl(     &
                      nGC_74))/(32d0*pi**2d0)
    coupl(nGC_3320) = (-coupl(nGC_1)*coupl(nGC_162)*coupl(nGC_77) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(nGC_1172)*coupl&
                      (nGC_23)*coupl(nGC_79) - coupl(nGC_1294)*coupl(nGC_38)*  &
                      coupl(nGC_77) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_77   &
                      ) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_80) + 8d0*coupl&
                      (nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl(nGC_35)*    &
                      coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(nGC_54 &
                      )*coupl(nGC_80) - coupl(nGC_53)*coupl(nGC_55)*coupl(     &
                      nGC_79))/(32d0*pi**2d0)
    coupl(nGC_3348) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_2268)*coupl(     &
                      nGC_34)*coupl(nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)* &
                      coupl(nGC_56) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_55 &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) - coupl(   &
                      nGC_54)*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(nGC_56  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3344) = (coupl(nGC_1150)*coupl(nGC_23)*coupl(nGC_70) + coupl(    &
                      nGC_1294)*coupl(nGC_41)*coupl(nGC_69) + coupl(nGC_21)*   &
                      coupl(nGC_23)*coupl(nGC_71) + coupl(nGC_36)*coupl(nGC_40 &
                      )*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl( &
                      nGC_69) + coupl(nGC_4)**2d0*coupl(nGC_69))/(32d0*pi**2d0)
    coupl(nGC_3345) = (-coupl(nGC_1250)*coupl(nGC_23)*coupl(nGC_83) - coupl(   &
                      nGC_1294)*coupl(nGC_36)*coupl(nGC_81) - coupl(nGC_162)*  &
                      coupl(nGC_4)*coupl(nGC_81) - coupl(nGC_22)*coupl(nGC_23)*&
                      coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_81))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3346) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc*  &
                      cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*  &
                      cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl( &
                      nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58)*  &
                      coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*coupl(&
                      nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl( &
                      nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + 16d0*Nc*cMS&
                      *coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*cMS* &
                      coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0*Nc*cMT*coupl(     &
                      nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT*coupl(nGC_78)*  &
                      coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*coupl(nGC_79)*  &
                      coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_86)**2d0*coupl(&
                      nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*coupl( &
                      nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0 +  &
                      4d0*cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 16d0*cME*coupl&
                      (nGC_66)*coupl(nGC_67)*coupl(nGC_68) + 4d0*cME*coupl(    &
                      nGC_67)*coupl(nGC_68)**2d0 + 4d0*cMM*coupl(nGC_70)**2d0* &
                      coupl(nGC_71) + 16d0*cMM*coupl(nGC_70)*coupl(nGC_71)*    &
                      coupl(nGC_72) + 4d0*cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 &
                       + 4d0*cMTA*coupl(nGC_82)**2d0*coupl(nGC_83) + 16d0*cMTA*&
                      coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84) + 4d0*cMTA*    &
                      coupl(nGC_83)*coupl(nGC_84)**2d0 + 4d0*cima*coupl(nGC_17 &
                      )*coupl(nGC_50) + 2d0*cima*coupl(nGC_46)*coupl(nGC_52) + &
                      2d0*coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_48) - 2d0*   &
                      coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_50) + coupl(     &
                      nGC_2268)**2d0*coupl(nGC_48) + coupl(nGC_2268)*coupl(    &
                      nGC_37)*coupl(nGC_49) - coupl(nGC_2268)*coupl(nGC_37)*   &
                      coupl(nGC_52) + coupl(nGC_37)**2d0*coupl(nGC_48))/(32d0* &
                      pi**2d0)
    coupl(nGC_3340) = (-coupl(nGC_1)*coupl(nGC_162)*coupl(nGC_73) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(nGC_1250)*coupl&
                      (nGC_23)*coupl(nGC_75) - coupl(nGC_1294)*coupl(nGC_34)*  &
                      coupl(nGC_73) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_73   &
                      ) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_74) + 8d0*coupl&
                      (nGC_34)*coupl(nGC_39)*coupl(nGC_73) - coupl(nGC_39)*    &
                      coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(nGC_59 &
                      )*coupl(nGC_75) - coupl(nGC_57)*coupl(nGC_60)*coupl(     &
                      nGC_74))/(32d0*pi**2d0)
    coupl(nGC_3322) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_470)*coupl(   &
                      nGC_51) - coupl(nGC_1172)*coupl(nGC_25)*coupl(nGC_52) -  &
                      coupl(nGC_1294)*coupl(nGC_212)*coupl(nGC_47) - coupl(    &
                      nGC_162)*coupl(nGC_47)*coupl(nGC_618) - coupl(nGC_20)*   &
                      coupl(nGC_25)*coupl(nGC_50) + 6d0*coupl(nGC_212)*coupl(  &
                      nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_25)*coupl(nGC_51)* &
                      coupl(nGC_618))/(32d0*pi**2d0)
    coupl(nGC_3342) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_1250)*coupl&
                      (nGC_23)*coupl(nGC_87) + coupl(nGC_1294)*coupl(nGC_35)*  &
                      coupl(nGC_85) + coupl(nGC_162)*coupl(nGC_2)*coupl(nGC_85 &
                      ) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_86) + 8d0*coupl&
                      (nGC_35)*coupl(nGC_38)*coupl(nGC_85) + coupl(nGC_38)*    &
                      coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(nGC_63 &
                      )*coupl(nGC_87) - coupl(nGC_61)*coupl(nGC_64)*coupl(     &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_3343) = (coupl(nGC_1150)*coupl(nGC_23)*coupl(nGC_66) + coupl(    &
                      nGC_1294)*coupl(nGC_41)*coupl(nGC_65) + coupl(nGC_21)*   &
                      coupl(nGC_23)*coupl(nGC_67) + coupl(nGC_36)*coupl(nGC_40 &
                      )*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl( &
                      nGC_65) + coupl(nGC_4)**2d0*coupl(nGC_65))/(32d0*pi**2d0)
    coupl(nGC_6949) = coupl(nGC_3656) + coupl(nGC_6945)
    coupl(nGC_5522) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*         &
                      dZeMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_eL_QED2/2d0 +    &
                      coupl(nGC_3593)
    coupl(nGC_5483) = coupl(nGC_3667) + coupl(nGC_5477)
    coupl(nGC_5482) = coupl(nGC_3666) + coupl(nGC_5476)
    coupl(nGC_5406) = coupl(nGC_3573) + coupl(nGC_47)*dZZA_QED2/2d0 + coupl(   &
                      nGC_51)*dZA_QED2/2d0 + coupl(nGC_51)*dZWMinus_QED2/2d0
    coupl(nGC_5402) = coupl(nGC_3587) + coupl(nGC_46)*dZZ_QED2
    coupl(nGC_6291) = -coupl(nGC_6290)
    coupl(nGC_6467) = coupl(nGC_5328) + coupl(nGC_6464)
    coupl(nGC_5245) = coupl(nGC_3645) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(   &
                      nGC_88)*dZuR_QED2/2d0
    coupl(nGC_5242) = coupl(nGC_3642) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_86)*dZuR_QCD2/2d0
    coupl(nGC_5728) = coupl(nGC_3623) + coupl(nGC_56)*dZbL_QED2/2d0 + coupl(   &
                      nGC_56)*dZbR_QED2/2d0
    coupl(nGC_3506) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_55)**2d0 +    &
                      80d0*Nc*cima*coupl(nGC_54)*coupl(nGC_55)**2d0*coupl(     &
                      nGC_56) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl(nGC_56)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_59)**2d0 &
                       + 80d0*Nc*cima*coupl(nGC_58)*coupl(nGC_59)**2d0*coupl(  &
                      nGC_60) + 20d0*Nc*cima*coupl(nGC_59)**2d0*coupl(nGC_60)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_63)**2d0 &
                       + 80d0*Nc*cima*coupl(nGC_62)*coupl(nGC_63)**2d0*coupl(  &
                      nGC_64) + 20d0*Nc*cima*coupl(nGC_63)**2d0*coupl(nGC_64)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_74)**2d0*coupl(nGC_75)**2d0 &
                       + 80d0*Nc*cima*coupl(nGC_74)*coupl(nGC_75)**2d0*coupl(  &
                      nGC_76) + 20d0*Nc*cima*coupl(nGC_75)**2d0*coupl(nGC_76)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_78)**2d0*coupl(nGC_79)**2d0 &
                       + 80d0*Nc*cima*coupl(nGC_78)*coupl(nGC_79)**2d0*coupl(  &
                      nGC_80) + 20d0*Nc*cima*coupl(nGC_79)**2d0*coupl(nGC_80)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_87)**2d0 &
                       + 80d0*Nc*cima*coupl(nGC_86)*coupl(nGC_87)**2d0*coupl(  &
                      nGC_88) + 20d0*Nc*cima*coupl(nGC_87)**2d0*coupl(nGC_88)**&
                      2d0 - 5d0*cima*coupl(nGC_1150)**2d0*coupl(nGC_1172)**2d0 &
                       - 5d0*cima*coupl(nGC_1150)**2d0*coupl(nGC_1250)**2d0 -  &
                      20d0*cima*coupl(nGC_1150)*coupl(nGC_1172)*coupl(nGC_21)* &
                      coupl(nGC_22) - 20d0*cima*coupl(nGC_1150)*coupl(nGC_1250 &
                      )*coupl(nGC_20)*coupl(nGC_22) + 12d0*cima*coupl(nGC_17)**&
                      2d0 - 5d0*cima*coupl(nGC_20)**2d0*coupl(nGC_22)**2d0 -   &
                      5d0*cima*coupl(nGC_21)**2d0*coupl(nGC_22)**2d0 - 10d0*   &
                      cima*coupl(nGC_2268)**2d0*coupl(nGC_37)**2d0 + 6d0*cima* &
                      coupl(nGC_46)**2d0 + 20d0*cima*coupl(nGC_66)**2d0*coupl( &
                      nGC_67)**2d0 + 80d0*cima*coupl(nGC_66)*coupl(nGC_67)**2d0&
                      *coupl(nGC_68) + 20d0*cima*coupl(nGC_67)**2d0*coupl(     &
                      nGC_68)**2d0 + 20d0*cima*coupl(nGC_70)**2d0*coupl(nGC_71 &
                      )**2d0 + 80d0*cima*coupl(nGC_70)*coupl(nGC_71)**2d0*coupl&
                      (nGC_72) + 20d0*cima*coupl(nGC_71)**2d0*coupl(nGC_72)**  &
                      2d0 + 20d0*cima*coupl(nGC_82)**2d0*coupl(nGC_83)**2d0 +  &
                      80d0*cima*coupl(nGC_82)*coupl(nGC_83)**2d0*coupl(nGC_84  &
                      ) + 20d0*cima*coupl(nGC_83)**2d0*coupl(nGC_84)**2d0 + 6d0&
                      *coupl(nGC_1150)*coupl(nGC_13)*coupl(nGC_22) - 6d0*coupl(&
                      nGC_1150)*coupl(nGC_17)*coupl(nGC_22) + 3d0*coupl(       &
                      nGC_1172)*coupl(nGC_13)*coupl(nGC_21) - 3d0*coupl(       &
                      nGC_1172)*coupl(nGC_17)*coupl(nGC_21) + 3d0*coupl(       &
                      nGC_1250)*coupl(nGC_13)*coupl(nGC_20) - 3d0*coupl(       &
                      nGC_1250)*coupl(nGC_17)*coupl(nGC_20) + 6d0*coupl(nGC_13 &
                      )*coupl(nGC_2268)**2d0 + 6d0*coupl(nGC_13)*coupl(nGC_37  &
                      )**2d0 + 6d0*coupl(nGC_15)*coupl(nGC_2268)*coupl(nGC_37  &
                      ) - 6d0*coupl(nGC_2268)*coupl(nGC_37)*coupl(nGC_46))/(   &
                      96d0*pi**2d0)
    coupl(nGC_3507) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_55)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_59)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_63)**2d0 - 32d0*Nc*&
                      cima*coupl(nGC_23)**2d0*coupl(nGC_75)**2d0 - 32d0*Nc*cima&
                      *coupl(nGC_23)**2d0*coupl(nGC_79)**2d0 - 32d0*Nc*cima*   &
                      coupl(nGC_23)**2d0*coupl(nGC_87)**2d0 + 4d0*cima*coupl(  &
                      nGC_1150)*coupl(nGC_1172)*coupl(nGC_21)*coupl(nGC_22) +  &
                      4d0*cima*coupl(nGC_1150)*coupl(nGC_1250)*coupl(nGC_20)*  &
                      coupl(nGC_22) + 8d0*cima*coupl(nGC_1150)*coupl(nGC_22)*  &
                      coupl(nGC_2268)*coupl(nGC_37) + 8d0*cima*coupl(nGC_1172)*&
                      coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_21) + 9d0*cima*  &
                      coupl(nGC_1172)*coupl(nGC_21)*coupl(nGC_212)**2d0 + 9d0* &
                      cima*coupl(nGC_1172)*coupl(nGC_21)*coupl(nGC_618)**2d0 + &
                      9d0*cima*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_25)**2d0&
                       + 9d0*cima*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_3)** &
                      2d0 + 24d0*cima*coupl(nGC_17)*coupl(nGC_18) + 9d0*cima*  &
                      coupl(nGC_212)**2d0*coupl(nGC_2268)*coupl(nGC_37) + 9d0* &
                      cima*coupl(nGC_2268)*coupl(nGC_25)**2d0*coupl(nGC_37) -  &
                      32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_67)**2d0 - 32d0*  &
                      cima*coupl(nGC_23)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*  &
                      coupl(nGC_23)**2d0*coupl(nGC_83)**2d0 + 12d0*cima*coupl( &
                      nGC_392)*coupl(nGC_46) + 6d0*coupl(nGC_1172)*coupl(nGC_17&
                      )*coupl(nGC_21) - 6d0*coupl(nGC_1172)*coupl(nGC_18)*coupl&
                      (nGC_21) - 6d0*coupl(nGC_1172)*coupl(nGC_212)*coupl(nGC_8&
                      ) - 6d0*coupl(nGC_1172)*coupl(nGC_27)*coupl(nGC_618) +   &
                      6d0*coupl(nGC_1250)*coupl(nGC_17)*coupl(nGC_20) - 6d0*   &
                      coupl(nGC_1250)*coupl(nGC_18)*coupl(nGC_20) - 6d0*coupl( &
                      nGC_1250)*coupl(nGC_25)*coupl(nGC_8) - 6d0*coupl(nGC_1250&
                      )*coupl(nGC_27)*coupl(nGC_3) + 36d0*coupl(nGC_17)*coupl( &
                      nGC_212)**2d0 + 6d0*coupl(nGC_17)*coupl(nGC_2268)*coupl( &
                      nGC_37) + 36d0*coupl(nGC_17)*coupl(nGC_618)**2d0 - 6d0*  &
                      coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_8) - 6d0*coupl(    &
                      nGC_20)*coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_21)*  &
                      coupl(nGC_212)*coupl(nGC_8) - 6d0*coupl(nGC_21)*coupl(   &
                      nGC_27)*coupl(nGC_618) - 6d0*coupl(nGC_2268)*coupl(nGC_37&
                      )*coupl(nGC_392) + 36d0*coupl(nGC_25)**2d0*coupl(nGC_46  &
                      ))/(192d0*pi**2d0)
    coupl(nGC_3504) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_56)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_60)**2d0 + 20d0&
                      *Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_64)**2d0 + 20d0*Nc*&
                      cima*coupl(nGC_74)**2d0*coupl(nGC_76)**2d0 + 20d0*Nc*cima&
                      *coupl(nGC_78)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc*cima*   &
                      coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 - 10d0*cima*coupl( &
                      nGC_1150)**2d0*coupl(nGC_22)**2d0 + 6d0*cima*coupl(nGC_17&
                      )**2d0 - 5d0*cima*coupl(nGC_2268)**2d0*coupl(nGC_37)**2d0&
                       + 3d0*cima*coupl(nGC_46)**2d0 + 20d0*cima*coupl(nGC_66  &
                      )**2d0*coupl(nGC_68)**2d0 + 20d0*cima*coupl(nGC_70)**2d0*&
                      coupl(nGC_72)**2d0 + 20d0*cima*coupl(nGC_82)**2d0*coupl( &
                      nGC_84)**2d0 + 6d0*coupl(nGC_1150)*coupl(nGC_13)*coupl(  &
                      nGC_22) - 6d0*coupl(nGC_1150)*coupl(nGC_17)*coupl(nGC_22 &
                      ) + 3d0*coupl(nGC_13)*coupl(nGC_2268)*coupl(nGC_37) - 3d0&
                      *coupl(nGC_2268)*coupl(nGC_37)*coupl(nGC_46))/(16d0*pi** &
                      2d0)
    coupl(nGC_3505) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_54)*coupl(   &
                      nGC_56) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_58)* &
                      coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(   &
                      nGC_62)*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_23)**2d0* &
                      coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_23  &
                      )**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl( &
                      nGC_23)**2d0*coupl(nGC_86)*coupl(nGC_88) + 8d0*cima*coupl&
                      (nGC_1150)**2d0*coupl(nGC_22)**2d0 + 4d0*cima*coupl(     &
                      nGC_1150)*coupl(nGC_1172)*coupl(nGC_21)*coupl(nGC_22) +  &
                      4d0*cima*coupl(nGC_1150)*coupl(nGC_1250)*coupl(nGC_20)*  &
                      coupl(nGC_22) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_212)**&
                      2d0*coupl(nGC_22) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_22&
                      )*coupl(nGC_25)**2d0 + 9d0*cima*coupl(nGC_1150)*coupl(   &
                      nGC_22)*coupl(nGC_3)**2d0 + 9d0*cima*coupl(nGC_1150)*    &
                      coupl(nGC_22)*coupl(nGC_618)**2d0 + 4d0*cima*coupl(      &
                      nGC_1172)*coupl(nGC_21)*coupl(nGC_2268)*coupl(nGC_37) +  &
                      4d0*cima*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_2268)*  &
                      coupl(nGC_37) + 24d0*cima*coupl(nGC_17)*coupl(nGC_18) +  &
                      9d0*cima*coupl(nGC_212)**2d0*coupl(nGC_2268)*coupl(nGC_37&
                      ) + 9d0*cima*coupl(nGC_2268)*coupl(nGC_25)**2d0*coupl(   &
                      nGC_37) - 32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_66)*    &
                      coupl(nGC_68) - 32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_70&
                      )*coupl(nGC_72) - 32d0*cima*coupl(nGC_23)**2d0*coupl(    &
                      nGC_82)*coupl(nGC_84) + 12d0*cima*coupl(nGC_392)*coupl(  &
                      nGC_46) + 12d0*coupl(nGC_1150)*coupl(nGC_17)*coupl(nGC_22&
                      ) - 12d0*coupl(nGC_1150)*coupl(nGC_18)*coupl(nGC_22) -   &
                      6d0*coupl(nGC_1150)*coupl(nGC_212)*coupl(nGC_7) - 6d0*   &
                      coupl(nGC_1150)*coupl(nGC_25)*coupl(nGC_9) - 6d0*coupl(  &
                      nGC_1150)*coupl(nGC_26)*coupl(nGC_618) - 6d0*coupl(      &
                      nGC_1150)*coupl(nGC_28)*coupl(nGC_3) + 36d0*coupl(nGC_17 &
                      )*coupl(nGC_212)**2d0 + 6d0*coupl(nGC_17)*coupl(nGC_2268 &
                      )*coupl(nGC_37) + 36d0*coupl(nGC_17)*coupl(nGC_618)**2d0 &
                       - 6d0*coupl(nGC_212)*coupl(nGC_22)*coupl(nGC_9) - 6d0*  &
                      coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_7) - 6d0*coupl(    &
                      nGC_22)*coupl(nGC_26)*coupl(nGC_3) - 6d0*coupl(nGC_22)*  &
                      coupl(nGC_28)*coupl(nGC_618) - 6d0*coupl(nGC_2268)*coupl(&
                      nGC_37)*coupl(nGC_392) + 36d0*coupl(nGC_25)**2d0*coupl(  &
                      nGC_46))/(192d0*pi**2d0)
    coupl(nGC_3502) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)* &
                      coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*&
                      coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*coupl(nGC_23)*&
                      coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75) + 20d0*Nc*cima*&
                      coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl(nGC_59   &
                      ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77&
                      )*coupl(nGC_79) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35&
                      )*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_23&
                      )*coupl(nGC_38)*coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*   &
                      cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57)*coupl(    &
                      nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(&
                      nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_38)*coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(&
                      nGC_23)*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_79) - 16d0*&
                      Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl( &
                      nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(&
                      nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_39)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(&
                      nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(nGC_63) - 16d0*&
                      Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl( &
                      nGC_75) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(&
                      nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_39)*coupl(nGC_85)*coupl(nGC_87) + 4d0*cima*coupl(    &
                      nGC_1150)*coupl(nGC_1294)*coupl(nGC_2268)*coupl(nGC_40   &
                      ) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_212)*coupl(nGC_25 &
                      )*coupl(nGC_37) + 4d0*cima*coupl(nGC_1172)**2d0*coupl(   &
                      nGC_1250)*coupl(nGC_1294) + 4d0*cima*coupl(nGC_1172)*    &
                      coupl(nGC_1250)*coupl(nGC_22)*coupl(nGC_2268) + 4d0*cima*&
                      coupl(nGC_1172)*coupl(nGC_1250)*coupl(nGC_22)*coupl(     &
                      nGC_37) + 4d0*cima*coupl(nGC_1250)*coupl(nGC_1294)*coupl(&
                      nGC_22)**2d0 + 4d0*cima*coupl(nGC_1294)*coupl(nGC_20)*   &
                      coupl(nGC_2268)**2d0 + 24d0*cima*coupl(nGC_19)*coupl(    &
                      nGC_8) + 9d0*cima*coupl(nGC_20)*coupl(nGC_212)*coupl(    &
                      nGC_25)*coupl(nGC_40) + 9d0*cima*coupl(nGC_20)*coupl(    &
                      nGC_212)*coupl(nGC_3)*coupl(nGC_4) + 20d0*cima*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_65)*coupl(nGC_67) + 20d0*&
                      cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(    &
                      nGC_71) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(   &
                      nGC_81)*coupl(nGC_83) - 16d0*cima*coupl(nGC_23)*coupl(   &
                      nGC_40)*coupl(nGC_65)*coupl(nGC_67) - 16d0*cima*coupl(   &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_71) - 16d0*&
                      cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(    &
                      nGC_83) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(   &
                      nGC_65)*coupl(nGC_67) - 16d0*cima*coupl(nGC_23)*coupl(   &
                      nGC_41)*coupl(nGC_69)*coupl(nGC_71) - 16d0*cima*coupl(   &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_83) + 24d0*&
                      cima*coupl(nGC_27)*coupl(nGC_470) - 6d0*coupl(nGC_1150)* &
                      coupl(nGC_19)*coupl(nGC_37) + 6d0*coupl(nGC_1172)*coupl( &
                      nGC_1250)*coupl(nGC_8) + 6d0*coupl(nGC_1250)*coupl(nGC_22&
                      )*coupl(nGC_7) + 6d0*coupl(nGC_1294)*coupl(nGC_2268)*    &
                      coupl(nGC_7) - 6d0*coupl(nGC_17)*coupl(nGC_20)*coupl(    &
                      nGC_212) - 6d0*coupl(nGC_17)*coupl(nGC_20)*coupl(nGC_25  &
                      ) - 6d0*coupl(nGC_19)*coupl(nGC_20)*coupl(nGC_40) - 6d0* &
                      coupl(nGC_20)*coupl(nGC_212)*coupl(nGC_46) - 6d0*coupl(  &
                      nGC_20)*coupl(nGC_25)*coupl(nGC_45) - 6d0*coupl(nGC_20)* &
                      coupl(nGC_3)*coupl(nGC_42) - 6d0*coupl(nGC_20)*coupl(    &
                      nGC_4)*coupl(nGC_470) + 36d0*coupl(nGC_212)*coupl(nGC_25 &
                      )*coupl(nGC_8) - 6d0*coupl(nGC_212)*coupl(nGC_37)*coupl( &
                      nGC_7) + 36d0*coupl(nGC_25)*coupl(nGC_27)*coupl(nGC_618  &
                      ) - 6d0*coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_8) - 6d0*  &
                      coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_8))/(192d0*pi**2d0)
    coupl(nGC_3503) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)* &
                      coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*&
                      coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*coupl(nGC_23)*&
                      coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75) + 20d0*Nc*cima*&
                      coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl(nGC_59   &
                      ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77&
                      )*coupl(nGC_79) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35&
                      )*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_23&
                      )*coupl(nGC_38)*coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*   &
                      cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57)*coupl(    &
                      nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(&
                      nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_38)*coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(&
                      nGC_23)*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_79) - 16d0*&
                      Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl( &
                      nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(&
                      nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_39)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(&
                      nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(nGC_63) - 16d0*&
                      Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl( &
                      nGC_75) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(&
                      nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl(&
                      nGC_39)*coupl(nGC_85)*coupl(nGC_87) + 4d0*cima*coupl(    &
                      nGC_1150)*coupl(nGC_1294)*coupl(nGC_2268)*coupl(nGC_40   &
                      ) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_212)*coupl(nGC_25 &
                      )*coupl(nGC_37) + 4d0*cima*coupl(nGC_1172)*coupl(nGC_1250&
                      )**2d0*coupl(nGC_40) + 4d0*cima*coupl(nGC_1172)*coupl(   &
                      nGC_1250)*coupl(nGC_22)*coupl(nGC_2268) + 4d0*cima*coupl(&
                      nGC_1172)*coupl(nGC_1250)*coupl(nGC_22)*coupl(nGC_37) +  &
                      4d0*cima*coupl(nGC_1172)*coupl(nGC_22)**2d0*coupl(nGC_40 &
                      ) + 9d0*cima*coupl(nGC_1294)*coupl(nGC_21)*coupl(nGC_212 &
                      )*coupl(nGC_25) + 9d0*cima*coupl(nGC_162)*coupl(nGC_21)* &
                      coupl(nGC_25)*coupl(nGC_618) + 24d0*cima*coupl(nGC_19)*  &
                      coupl(nGC_8) + 4d0*cima*coupl(nGC_21)*coupl(nGC_2268)**  &
                      2d0*coupl(nGC_40) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36 &
                      )*coupl(nGC_65)*coupl(nGC_67) + 20d0*cima*coupl(nGC_23)* &
                      coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_71) + 20d0*cima*   &
                      coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_83   &
                      ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65)* &
                      coupl(nGC_67) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*   &
                      coupl(nGC_69)*coupl(nGC_71) - 16d0*cima*coupl(nGC_23)*   &
                      coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_83) - 16d0*cima*   &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_67   &
                      ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69)* &
                      coupl(nGC_71) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*   &
                      coupl(nGC_81)*coupl(nGC_83) + 24d0*cima*coupl(nGC_27)*   &
                      coupl(nGC_470) - 6d0*coupl(nGC_1150)*coupl(nGC_19)*coupl(&
                      nGC_37) + 6d0*coupl(nGC_1172)*coupl(nGC_1250)*coupl(nGC_8&
                      ) + 6d0*coupl(nGC_1172)*coupl(nGC_22)*coupl(nGC_9) - 6d0*&
                      coupl(nGC_1294)*coupl(nGC_19)*coupl(nGC_21) - 6d0*coupl( &
                      nGC_1294)*coupl(nGC_212)*coupl(nGC_8) - 6d0*coupl(nGC_162&
                      )*coupl(nGC_21)*coupl(nGC_470) - 6d0*coupl(nGC_162)*coupl&
                      (nGC_618)*coupl(nGC_8) - 6d0*coupl(nGC_17)*coupl(nGC_21)*&
                      coupl(nGC_212) - 6d0*coupl(nGC_17)*coupl(nGC_21)*coupl(  &
                      nGC_25) - 6d0*coupl(nGC_21)*coupl(nGC_212)*coupl(nGC_45  &
                      ) - 6d0*coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_46) - 6d0* &
                      coupl(nGC_21)*coupl(nGC_42)*coupl(nGC_618) + 36d0*coupl( &
                      nGC_212)*coupl(nGC_25)*coupl(nGC_8) + 36d0*coupl(nGC_212 &
                      )*coupl(nGC_27)*coupl(nGC_3) + 6d0*coupl(nGC_2268)*coupl(&
                      nGC_40)*coupl(nGC_9) - 6d0*coupl(nGC_25)*coupl(nGC_37)*  &
                      coupl(nGC_9))/(192d0*pi**2d0)
    coupl(nGC_10112) = -coupl(nGC_3347)
    coupl(nGC_6040) = coupl(nGC_6033) + coupl(nGC_6039)
  end subroutine fill_CTcouplings_mdl16
end module fill_ctcouplings16
