!******************************************************************************!
!                                                                              !
!    fill_ctcouplings18.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings18.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings18
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl18()
    coupl(nGC_5277) = coupl(nGC_5021) + coupl(nGC_5276)
    coupl(nGC_5697) = coupl(nGC_5021) + coupl(nGC_5694)
    coupl(nGC_5373) = coupl(nGC_5369) + coupl(nGC_5372)
    coupl(nGC_5607) = coupl(nGC_5021) + coupl(nGC_5603)
    coupl(nGC_5606) = coupl(nGC_5021) + coupl(nGC_5601)
    coupl(nGC_5872) = coupl(nGC_5021) + coupl(nGC_5869)
    coupl(nGC_5873) = coupl(nGC_5021) + coupl(nGC_5871)
    coupl(nGC_5229) = -coupl(nGC_5228)
    coupl(nGC_5043) = coupl(nGC_5039) + coupl(nGC_5042)
    coupl(nGC_5992) = coupl(nGC_5021) + coupl(nGC_5991)
    coupl(nGC_5993) = coupl(nGC_5021) + coupl(nGC_5987)
    coupl(nGC_5337) = coupl(nGC_5328) + coupl(nGC_5335)
    coupl(nGC_5023) = coupl(nGC_5016) + coupl(nGC_5021)
    coupl(nGC_5278) = coupl(nGC_5021) + coupl(nGC_5274)
  end subroutine fill_CTcouplings_mdl18
end module fill_ctcouplings18
