!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_3598) = coupl(nGC_3167)*dZee_QED2 + coupl(nGC_3168)*dsw_QED2 +   &
                      coupl(nGC_3169)*dcw_QED2
    coupl(nGC_3321) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3326) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3324) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3452) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)**  &
                      2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_3453) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl( &
                      nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3455) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_57)**  &
                      2d0 + coupl(nGC_74)*coupl(nGC_76) + coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3456) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_34)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_74)*coupl( &
                      nGC_76) + coupl(nGC_75)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3519) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3518) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(32d0&
                      *pi**2d0)
    coupl(nGC_3511) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_3510) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_6007) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_5475) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_5078) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_5079) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_5174) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_39)*dZZA_QED2/2d0
    coupl(nGC_5176) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_35)*dZZA_QED2/2d0
    coupl(nGC_6119) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(    &
                      nGC_36)*dZmuMinusR_QED2
    coupl(nGC_5077) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_3412) = coupl(nGC_23)*(-coupl(nGC_212)*coupl(nGC_41) - coupl(    &
                      nGC_25)*coupl(nGC_40) - coupl(nGC_3)*coupl(nGC_4) + coupl&
                      (nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_3389) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5379) = coupl(nGC_29)*dZZA_QED2
    coupl(nGC_8860) = coupl(nGC_3640) + coupl(nGC_71)*dZH_QED2/2d0
    coupl(nGC_3588) = coupl(nGC_3200)*dZee_QED2 + coupl(nGC_3201)*dsw_QED2 +   &
                      coupl(nGC_3202)*dcw_QED2
    coupl(nGC_3280) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3586) = coupl(nGC_3104)*dZee_QED2 + coupl(nGC_3105)*dcw_QED2
    coupl(nGC_3584) = coupl(nGC_3099)*dZee_QED2 + coupl(nGC_3100)*dcw_QED2
    coupl(nGC_3585) = coupl(nGC_3194)*dZee_QED2 + coupl(nGC_3195)*dcw_QED2 +   &
                      coupl(nGC_3196)*dvev_QED1
    coupl(nGC_3582) = coupl(nGC_3170)*dZee_QED2 + coupl(nGC_3171)*dsw_QED2 +   &
                      coupl(nGC_3172)*dcw_QED2
    coupl(nGC_3583) = coupl(nGC_3106)*dZee_QED2 + coupl(nGC_3107)*dcw_QED2
    coupl(nGC_3580) = coupl(nGC_3176)*dZee_QED2 + coupl(nGC_3177)*dsw_QED2 +   &
                      coupl(nGC_3178)*dcw_QED2
    coupl(nGC_3581) = coupl(nGC_3161)*dZee_QED2 + coupl(nGC_3162)*dsw_QED2 +   &
                      coupl(nGC_3163)*dcw_QED2
    coupl(nGC_5986) = coupl(nGC_11)*dZtL_QED2
    coupl(nGC_5919) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*              &
                      dZtauMinusR_QED2
    coupl(nGC_3466) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl( &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_5186) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0  &
                       + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_3572) +   &
                      coupl(nGC_8)*dZZA_QED2/2d0
    coupl(nGC_3307) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + coupl(nGC_2)*coupl(nGC_73)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_6709) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(    &
                      nGC_41)*dZnu_tauL_QED2
    coupl(nGC_3509) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(64d0*pi**2d0)
    coupl(nGC_7600) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_4967) = coupl(nGC_28)*dZA_QED2/2d0 + coupl(nGC_28)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3571) + coupl(nGC_9)*dZZA_QED2/2d0
    coupl(nGC_6660) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZuR_QED2 +   &
                      coupl(nGC_3594)
    coupl(nGC_6661) = coupl(nGC_5098) + coupl(nGC_6660)
    coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
    coupl(nGC_5427) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_9148) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_3656) = coupl(nGC_3215)*dyc_QED1_QCD2
    coupl(nGC_3657) = coupl(nGC_3215)*dyc_QED3
    coupl(nGC_3654) = coupl(nGC_3236)*dyup_QED1_QCD2
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
