!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_3655) = coupl(nGC_3236)*dyup_QED3
    coupl(nGC_3559) = coupl(nGC_3149)*dsw_QED2 + coupl(nGC_3150)*dMW2_QED2 +   &
                      coupl(nGC_3151)*dZee_QED2
    coupl(nGC_3558) = coupl(nGC_3137)*dsw_QED2 + coupl(nGC_3138)*dMW2_QED2 +   &
                      coupl(nGC_3139)*dZee_QED2
    coupl(nGC_3650) = coupl(nGC_3231)*dyt_QED1_QCD2
    coupl(nGC_3651) = coupl(nGC_3231)*dyt_QED3
    coupl(nGC_3555) = coupl(nGC_3128)*dZee_QED2 + coupl(nGC_3129)*dsw_QED2 +   &
                      coupl(nGC_3130)*dcw_QED2
    coupl(nGC_3554) = coupl(nGC_3140)*dZee_QED2 + coupl(nGC_3141)*dsw_QED2 +   &
                      coupl(nGC_3142)*dcw_QED2
    coupl(nGC_3557) = coupl(nGC_3108)*dMW2_QED2 + coupl(nGC_3109)*dZee_QED2
    coupl(nGC_3556) = coupl(nGC_3095)*dZee_QED2
    coupl(nGC_3551) = coupl(nGC_3101)*dZee_QED2
    coupl(nGC_3550) = coupl(nGC_3093)*dZee_QED2
    coupl(nGC_3553) = coupl(nGC_3112)*dZee_QED2 + coupl(nGC_3113)*dsw_QED2
    coupl(nGC_3552) = coupl(nGC_3123)*dZee_QED2 + coupl(nGC_3124)*dsw_QED2 +   &
                      coupl(nGC_3125)*dcw_QED2
    coupl(nGC_5137) = coupl(nGC_29)*dZA_QED2/2d0 + coupl(nGC_29)*dZWMinus_QED2 &
                       + coupl(nGC_29)*dZZ_QED2/2d0 + coupl(nGC_3554)
    coupl(nGC_5136) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0
    coupl(nGC_3382) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5139) = coupl(nGC_5136) - coupl(nGC_5137)/2d0
    coupl(nGC_5138) = -2d0*coupl(nGC_5136) + coupl(nGC_5137)
    coupl(nGC_3386) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5687) = coupl(nGC_37)*dZZA_QED2/2d0
    coupl(nGC_5682) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_6010) = coupl(nGC_3664) + coupl(nGC_6008)
    coupl(nGC_5441) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_3312) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_61)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_86)*coupl(   &
                      nGC_88) + coupl(nGC_2)*coupl(nGC_87)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_5443) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_5442) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_5445) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_5444) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_5447) = coupl(nGC_3668) + coupl(nGC_5443)
    coupl(nGC_5446) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_3252) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_35  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_212)*  &
                      coupl(nGC_618) - coupl(nGC_25)*coupl(nGC_3) - 2d0*coupl( &
                      nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl(nGC_40))/( &
                      32d0*pi**2d0)
    coupl(nGC_5448) = coupl(nGC_3669) + coupl(nGC_5444)
    coupl(nGC_9150) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_3257) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35)**&
                      2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(nGC_39)** &
                      2d0 - coupl(nGC_212)**2d0 - coupl(nGC_25)**2d0 - 2d0*    &
                      coupl(nGC_36)**2d0 - 2d0*coupl(nGC_40)**2d0 - 2d0*coupl( &
                      nGC_41)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3254) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_35 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*cME**2d0*cima&
                      *coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*cima*coupl(nGC_36)*  &
                      coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(     &
                      nGC_40) + 2d0*cMTA**2d0*cima*coupl(nGC_36)*coupl(nGC_4   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_40) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_212)*coupl(nGC_618) + 3d0*cMW**  &
                      2d0*cima*coupl(nGC_25)*coupl(nGC_3) - 2d0*cMW**2d0*coupl(&
                      nGC_29))/(16d0*pi**2d0)
    coupl(nGC_3429) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_81)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3428) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_69)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3421) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_212 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_64) +    &
                      coupl(nGC_34)*coupl(nGC_63)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_85)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3420) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3423) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_65)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3422) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) +     &
                      coupl(nGC_38)*coupl(nGC_63)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_61)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3425) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_66)*coupl(&
                      nGC_68) + coupl(nGC_36)*coupl(nGC_67)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3424) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) +     &
                      coupl(nGC_40)*coupl(nGC_67)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_65)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3427) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_70)*coupl(&
                      nGC_72) + coupl(nGC_36)*coupl(nGC_71)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3426) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +     &
                      coupl(nGC_40)*coupl(nGC_71)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_69)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5007) = coupl(nGC_63)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5006) = coupl(nGC_63)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_5615) = coupl(nGC_67)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_6087) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_3553)
    coupl(nGC_6080) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZtR_QED2 +   &
                      coupl(nGC_3594)
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
