!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl7()
    coupl(nGC_3268) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(    &
                      nGC_40)**2d0)/(16d0*pi**2d0)
    coupl(nGC_8859) = coupl(nGC_71)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_5308) = coupl(nGC_3602) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_85)*dZuR_QCD2/2d0
    coupl(nGC_5309) = coupl(nGC_3600) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_61)*dZuL_QCD2/2d0
    coupl(nGC_5276) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_5274) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_5275) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_5273) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_3485) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*  &
                      coupl(nGC_39) - 30d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)**&
                      2d0*coupl(nGC_38) + 36d0*Nc*cima*coupl(nGC_2)*coupl(     &
                      nGC_23)**2d0*coupl(nGC_39) + 12d0*cima*coupl(nGC_18)*    &
                      coupl(nGC_29) - 32d0*cima*coupl(nGC_212)**2d0*coupl(     &
                      nGC_25)*coupl(nGC_3) + 36d0*cima*coupl(nGC_23)**2d0*coupl&
                      (nGC_4)*coupl(nGC_40) - 30d0*cima*coupl(nGC_23)**2d0*    &
                      coupl(nGC_4)*coupl(nGC_41) - 32d0*cima*coupl(nGC_25)*    &
                      coupl(nGC_3)*coupl(nGC_618)**2d0 + 18d0*coupl(nGC_18)*   &
                      coupl(nGC_212)*coupl(nGC_618) + 18d0*coupl(nGC_18)*coupl(&
                      nGC_25)*coupl(nGC_3) + 6d0*coupl(nGC_19)*coupl(nGC_212)* &
                      coupl(nGC_3) + 18d0*coupl(nGC_212)**2d0*coupl(nGC_29) +  &
                      6d0*coupl(nGC_212)*coupl(nGC_25)*coupl(nGC_470) + 3d0*   &
                      coupl(nGC_212)*coupl(nGC_3)*coupl(nGC_5) + 3d0*coupl(    &
                      nGC_25)*coupl(nGC_5)*coupl(nGC_618) + 18d0*coupl(nGC_29)*&
                      coupl(nGC_618)**2d0 + 6d0*coupl(nGC_3)*coupl(nGC_470)*   &
                      coupl(nGC_618))/(96d0*pi**2d0)
    coupl(nGC_3484) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -   &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3481) = (12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 + 12d0&
                      *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 + 12d0*Nc* &
                      cima*coupl(nGC_2)**2d0*coupl(nGC_35)**2d0 + 12d0*Nc*cima*&
                      coupl(nGC_2)**2d0*coupl(nGC_39)**2d0 - 40d0*cima*coupl(  &
                      nGC_212)**2d0*coupl(nGC_618)**2d0 - 40d0*cima*coupl(     &
                      nGC_25)**2d0*coupl(nGC_3)**2d0 + 12d0*cima*coupl(nGC_29  &
                      )**2d0 + 12d0*cima*coupl(nGC_36)**2d0*coupl(nGC_4)**2d0  &
                       + 12d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40)**2d0 + 3d0* &
                      coupl(nGC_19)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_19)*coupl&
                      (nGC_618)**2d0 + 3d0*coupl(nGC_212)**2d0*coupl(nGC_5) +  &
                      36d0*coupl(nGC_212)*coupl(nGC_29)*coupl(nGC_618) + 6d0*  &
                      coupl(nGC_212)*coupl(nGC_470)*coupl(nGC_618) + 3d0*coupl(&
                      nGC_25)**2d0*coupl(nGC_5) + 36d0*coupl(nGC_25)*coupl(    &
                      nGC_29)*coupl(nGC_3) + 6d0*coupl(nGC_25)*coupl(nGC_3)*   &
                      coupl(nGC_470))/(96d0*pi**2d0)
    coupl(nGC_5370) = coupl(nGC_75)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_6654) = coupl(nGC_39)*dZuL_QCD2
    coupl(nGC_6657) = coupl(nGC_35)*dZuR_QCD2
    coupl(nGC_3622) = coupl(nGC_3212)*dyb_QED1_QCD2
    coupl(nGC_3548) = coupl(nGC_3097)*dZgs_QCD2
    coupl(nGC_3549) = coupl(nGC_3092)*dZgs_QCD2
    coupl(nGC_3238) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3626) = coupl(nGC_3225)*dys_QED1_QCD2
    coupl(nGC_3625) = coupl(nGC_3217)*dydo_QED3
    coupl(nGC_3624) = coupl(nGC_3217)*dydo_QED1_QCD2
    coupl(nGC_3542) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 9d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1276) - 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1282) - 60d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_3543) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1276) - 9d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1282) - 60d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_3629) = coupl(nGC_3207)*dyb_QED3
    coupl(nGC_3237) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3546) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_3547) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_3544) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1280) + 3d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_1280)*sq2**2d0 + 36d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_3545) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1280) + 9d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_1280)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_5089) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_3559)
    coupl(nGC_7530) = coupl(nGC_34)*dZbR_QCD2
    coupl(nGC_7536) = coupl(nGC_3596) + coupl(nGC_38)*dZZ_QED2/2d0 + coupl(    &
                      nGC_38)*dZbL_QED2
    coupl(nGC_5129) = coupl(nGC_46)*dZZA_QED2/2d0
    coupl(nGC_5085) = coupl(nGC_3676) + coupl(nGC_5079)
    coupl(nGC_5086) = coupl(nGC_3677) + coupl(nGC_5080)
    coupl(nGC_5694) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_5695) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_5696) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_5693) = coupl(nGC_11)*dZsR_QED2
    coupl(nGC_3300) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_4)*coupl( &
                      nGC_67)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3301) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_71)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3302) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl( &
                      nGC_71)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3303) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_65)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3304) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3305) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3306) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_57)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_618))/(32d0*pi**2d0)
    coupl(nGC_5590) = coupl(nGC_3631) + coupl(nGC_69)*dZmuMinusR_QED2/2d0 +    &
                      coupl(nGC_69)*dZnu_muL_QED2/2d0
    coupl(nGC_3308) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_53)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_78)*coupl(   &
                      nGC_80) + coupl(nGC_2)*coupl(nGC_79)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_3309) = (coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_5454) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(    &
                      nGC_41)*dZnu_muL_QED2
  end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
