!******************************************************************************!
!                                                                              !
!    ctparameter4.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter4.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter4
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter4()
  dZnu_eL_QED2 = (-2d0*Ten161*coupl(nGC_41)**2d0 + Ten358*(-2d0*coupl(nGC_23)**&
                 2d0 - coupl(nGC_65)**2d0) + pi**2d0*(-coupl(nGC_23)**2d0/pi** &
                 2d0 - coupl(nGC_41)**2d0/pi**2d0))/(16d0*pi**2d0)
  dZnu_eL_QED2 = cone*real(dZnu_eL_QED2,kind=dp)
end subroutine set_ctparameter4
end module ctparameter4
