!******************************************************************************!
!                                                                              !
!    fill_couplings.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings
  implicit none
  contains
  subroutine fill_couplings_mdl()
    use class_couplings, only: couplings_init
    use fill_couplings1, only: fill_couplings_mdl1
    use fill_couplings2, only: fill_couplings_mdl2
    couplings_init = .true.
    call fill_couplings_mdl1
    call fill_couplings_mdl2
  end subroutine fill_couplings_mdl
  subroutine fill_CTcouplings_mdl()
    use class_couplings, only: ctcouplings_init
    use fill_ctcouplings1
    use fill_ctcouplings2
    use fill_ctcouplings3
    use fill_ctcouplings4
    use fill_ctcouplings5
    use fill_ctcouplings6
    use fill_ctcouplings7
    use fill_ctcouplings8
    use fill_ctcouplings9
    use fill_ctcouplings10
    use fill_ctcouplings11
    use fill_ctcouplings12
    use fill_ctcouplings13
    use fill_ctcouplings14
    use fill_ctcouplings15
    use fill_ctcouplings16
    use fill_ctcouplings17
    use fill_ctcouplings18
    ctcouplings_init = .true.
    call fill_CTcouplings_mdl1
    call fill_CTcouplings_mdl2
    call fill_CTcouplings_mdl3
    call fill_CTcouplings_mdl4
    call fill_CTcouplings_mdl5
    call fill_CTcouplings_mdl6
    call fill_CTcouplings_mdl7
    call fill_CTcouplings_mdl8
    call fill_CTcouplings_mdl9
    call fill_CTcouplings_mdl10
    call fill_CTcouplings_mdl11
    call fill_CTcouplings_mdl12
    call fill_CTcouplings_mdl13
    call fill_CTcouplings_mdl14
    call fill_CTcouplings_mdl15
    call fill_CTcouplings_mdl16
    call fill_CTcouplings_mdl17
    call fill_CTcouplings_mdl18
  end subroutine fill_CTcouplings_mdl
end module fill_couplings
