!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  implicit none
  contains
  subroutine fill_vertices_mdl5()
    use class_vertices
    use class_couplings
    allocate(vertices(722)%branchR2(0:0))
    call avR2(722, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3475])

    allocate(vertices(978)%branchR2(0:0))
    call avR2(978, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3332])

    allocate(vertices(101)%branchR2(0:0))
    call avR2(101, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3489])

    allocate(vertices(1240)%branchR2(0:0))
    call avR2(1240, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3494, nGC_3494, nGC_3494&
    ])

    allocate(vertices(84)%branchR2(0:0))
    call avR2(84, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3498])

    allocate(vertices(1001)%branchR2(0:0))
    call avR2(1001, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3476])

    allocate(vertices(64)%branchR2(0:0))
    call avR2(64, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3314])

    allocate(vertices(1084)%branchR2(0:0))
    call avR2(1084, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3293])

    allocate(vertices(1241)%branchR2(0:1))
    call avR2(1241, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_3526, nGC_3526,        &
    nGC_3526])

    call avR2(1241, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_3527, nGC_3527,        &
    nGC_3527])

    allocate(vertices(943)%branchR2(0:0))
    call avR2(943, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3476])

    allocate(vertices(281)%branchR2(0:1))
    call avR2(281, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_3415, nGC_3413])

    call avR2(281, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_3416, nGC_3414])

    allocate(vertices(433)%branchR2(0:0))
    call avR2(433, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3493])

    allocate(vertices(589)%branchR2(0:0))
    call avR2(589, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3412])

    allocate(vertices(103)%branchR2(0:0))
    call avR2(103, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9989])

    allocate(vertices(770)%branchR2(0:0))
    call avR2(770, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3474])

    allocate(vertices(660)%branchR2(0:0))
    call avR2(660, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3468])

    allocate(vertices(895)%branchR2(0:1))
    call avR2(895, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3420, nGC_3418])

    call avR2(895, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3422, nGC_3421])

    allocate(vertices(3)%branchR2(0:0))
    call avR2(3, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3498])

    allocate(vertices(1242)%branchR2(0:1))
    call avR2(1242, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_3523])

    call avR2(1242, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_3524])

    allocate(vertices(372)%branchR2(0:0))
    call avR2(372, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3332])

    allocate(vertices(434)%branchR2(0:1))
    call avR2(434, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3408])

    call avR2(434, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3409])

    allocate(vertices(473)%branchR2(0:0))
    call avR2(473, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3486, nGC_3487, nGC_3485])

    allocate(vertices(553)%branchR2(0:1))
    call avR2(553, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3409])

    call avR2(553, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3410])

    allocate(vertices(377)%branchR2(0:0))
    call avR2(377, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3490])

    allocate(vertices(347)%branchR2(0:0))
    call avR2(347, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3331])

    allocate(vertices(643)%branchR2(0:1))
    call avR2(643, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3286, nGC_3286])

    call avR2(643, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3307, nGC_3306])

    allocate(vertices(691)%branchR2(0:1))
    call avR2(691, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3374, nGC_3376])

    call avR2(691, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3375, nGC_3377])

    allocate(vertices(1047)%branchR2(0:0))
    call avR2(1047, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3288])

    allocate(vertices(1141)%branchR2(0:0))
    call avR2(1141, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_3276])

    allocate(vertices(1096)%branchR2(0:0))
    call avR2(1096, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3488])

    allocate(vertices(807)%branchR2(0:0))
    call avR2(807, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3522, nGC_3520, nGC_3521])

    allocate(vertices(1243)%branchR2(0:1))
    call avR2(1243, 0, 51, 1, 0, VSVS0, 0, [2, 2], [nGC_3496])

    call avR2(1243, 1, 52, 1, 0, VSVS0, 0, [2, 2], [nGC_3497])

    allocate(vertices(478)%branchR2(0:0))
    call avR2(478, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3287])

    allocate(vertices(1027)%branchR2(0:0))
    call avR2(1027, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3475])

    allocate(vertices(586)%branchR2(0:1))
    call avR2(586, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_3286, nGC_3286])

    call avR2(586, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_3307, nGC_3306])

    allocate(vertices(450)%branchR2(0:1))
    call avR2(450, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3324, nGC_3326])

    call avR2(450, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3339, nGC_3340])

    allocate(vertices(214)%branchR2(0:1))
    call avR2(214, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3296, nGC_3296])

    call avR2(214, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3295, nGC_3294])

    allocate(vertices(835)%branchR2(0:1))
    call avR2(835, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_3327, nGC_3329])

    call avR2(835, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_3328, nGC_3330])

    allocate(vertices(570)%branchR2(0:1))
    call avR2(570, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_3419, nGC_3417])

    call avR2(570, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_3420, nGC_3418])

    allocate(vertices(230)%branchR2(0:0))
    call avR2(230, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_3331])

    allocate(vertices(514)%branchR2(0:0))
    call avR2(514, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3498])

    allocate(vertices(820)%branchR2(0:0))
    call avR2(820, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3471, nGC_3469, nGC_3470])

    allocate(vertices(753)%branchR2(0:0))
    call avR2(753, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3407])

    allocate(vertices(1244)%branchR2(0:1))
    call avR2(1244, 0, 51, 1, 0, VSVS0, 0, [2, 2], [nGC_3513])

    call avR2(1244, 1, 52, 1, 0, VSVS0, 0, [2, 2], [nGC_3514])

    allocate(vertices(1055)%branchR2(0:0))
    call avR2(1055, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3488])

    allocate(vertices(245)%branchR2(0:1))
    call avR2(245, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_3416, nGC_3414])

    call avR2(245, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_3433, nGC_3432])

    allocate(vertices(446)%branchR2(0:0))
    call avR2(446, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3503])

    allocate(vertices(632)%branchR2(0:3))
    call avR2(632, 0, 26, 1, 0, FaVF0, 0, [1, 2], [nGC_3447, nGC_3446])

    call avR2(632, 1, 26, 1, 0, FaVF0, 0, [3, 0], [nGC_3440, nGC_3440])

    call avR2(632, 2, 27, 1, 0, FaVF0, 0, [1, 2], [nGC_3445, nGC_3444])

    call avR2(632, 3, 27, 1, 0, FaVF0, 0, [3, 0], [nGC_3437, nGC_3437])

    allocate(vertices(1004)%branchR2(0:3))
    call avR2(1004, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_3461, nGC_3460])

    call avR2(1004, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_3457, nGC_3457])

    call avR2(1004, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_3459, nGC_3458])

    call avR2(1004, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_3454, nGC_3454])

    allocate(vertices(293)%branchR2(0:0))
    call avR2(293, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3474])

    allocate(vertices(253)%branchR2(0:0))
    call avR2(253, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3426, nGC_3427])

    allocate(vertices(696)%branchR2(0:0))
    call avR2(696, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3498])

    allocate(vertices(314)%branchR2(0:0))
    call avR2(314, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3423])

    allocate(vertices(703)%branchR2(0:1))
    call avR2(703, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_3384, nGC_3385])

    call avR2(703, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_3386, nGC_3386])

    allocate(vertices(390)%branchR2(0:0))
    call avR2(390, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3490])

    allocate(vertices(16)%branchR2(0:3))
    call avR2(16, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_3447, nGC_3446])

    call avR2(16, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_3440, nGC_3440])

    call avR2(16, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_3445, nGC_3444])

    call avR2(16, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_3437, nGC_3437])

    allocate(vertices(422)%branchR2(0:1))
    call avR2(422, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3327, nGC_3329])

    call avR2(422, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3328, nGC_3330])

    allocate(vertices(256)%branchR2(0:0))
    call avR2(256, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3471, nGC_3469, nGC_3470])

    allocate(vertices(146)%branchR2(0:0))
    call avR2(146, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3495])

    allocate(vertices(1245)%branchR2(0:1))
    call avR2(1245, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_3500, nGC_3500,        &
    nGC_3500])

    call avR2(1245, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_3501, nGC_3501,        &
    nGC_3501])

    allocate(vertices(1246)%branchR2(0:1))
    call avR2(1246, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_3483, nGC_3483,        &
    nGC_3483])

    call avR2(1246, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_3484, nGC_3484,        &
    nGC_3484])

    allocate(vertices(642)%branchR2(0:1))
    call avR2(642, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_3324, nGC_3326])

    call avR2(642, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3339, nGC_3340])

    allocate(vertices(30)%branchR2(0:0))
    call avR2(30, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3508])

    allocate(vertices(477)%branchR2(0:1))
    call avR2(477, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_3409])

    call avR2(477, 1, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_3410])

    allocate(vertices(668)%branchR2(0:0))
    call avR2(668, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3411])

    allocate(vertices(969)%branchR2(0:0))
    call avR2(969, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3507])

    allocate(vertices(724)%branchR2(0:0))
    call avR2(724, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3492])

    allocate(vertices(948)%branchR2(0:1))
    call avR2(948, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3409])

    call avR2(948, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3410])

    allocate(vertices(779)%branchR2(0:0))
    call avR2(779, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3503])

    allocate(vertices(449)%branchR2(0:0))
    call avR2(449, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3512])

    allocate(vertices(773)%branchR2(0:0))
    call avR2(773, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3411])

    allocate(vertices(934)%branchR2(0:0))
    call avR2(934, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9812])

    allocate(vertices(381)%branchR2(0:1))
    call avR2(381, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_3409])

    call avR2(381, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_3410])

    allocate(vertices(1247)%branchR2(0:1))
    call avR2(1247, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_3523])

    call avR2(1247, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_3524])

    allocate(vertices(1051)%branchR2(0:1))
    call avR2(1051, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3241, nGC_3240, nGC_3237&
    , nGC_3237])

    call avR2(1051, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3239, nGC_3239, nGC_3238&
    , nGC_3238])

    allocate(vertices(809)%branchR2(0:1))
    call avR2(809, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3382, nGC_3382])

    call avR2(809, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3380, nGC_3381])

    allocate(vertices(1035)%branchR2(0:3))
    call avR2(1035, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_3465, nGC_3464])

    call avR2(1035, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_3457, nGC_3457])

    call avR2(1035, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_3463, nGC_3462])

    call avR2(1035, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_3454, nGC_3454])

    allocate(vertices(1134)%branchR2(0:1))
    call avR2(1134, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3263, nGC_3262, nGC_3279&
    , nGC_3279])

    call avR2(1134, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3239, nGC_3239, nGC_3280&
    , nGC_3280])

    allocate(vertices(607)%branchR2(0:1))
    call avR2(607, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_3318, nGC_3320])

    call avR2(607, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_3319, nGC_3321])

    allocate(vertices(825)%branchR2(0:0))
    call avR2(825, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3469, nGC_3470, nGC_3471])

    allocate(vertices(1030)%branchR2(0:0))
    call avR2(1030, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3474])

    allocate(vertices(663)%branchR2(0:0))
    call avR2(663, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3502])

    allocate(vertices(970)%branchR2(0:0))
    call avR2(970, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3475])

    allocate(vertices(625)%branchR2(0:0))
    call avR2(625, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3429])

    allocate(vertices(399)%branchR2(0:0))
    call avR2(399, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3499])

    allocate(vertices(1020)%branchR2(0:0))
    call avR2(1020, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3495])

    allocate(vertices(438)%branchR2(0:0))
    call avR2(438, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3490])

    allocate(vertices(155)%branchR2(0:1))
    call avR2(155, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_3408])

    call avR2(155, 1, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_3409])

    allocate(vertices(1122)%branchR2(0:0))
    call avR2(1122, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3304])

    allocate(vertices(712)%branchR2(0:0))
    call avR2(712, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3482])

    allocate(vertices(1082)%branchR2(0:0))
    call avR2(1082, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_3276])

  end subroutine fill_vertices_mdl5
end module vertices_info5
