!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl13()
    coupl(nGC_3415) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*coupl(     &
                      nGC_59)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3416) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3417) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_212 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_56) +    &
                      coupl(nGC_34)*coupl(nGC_55)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_77)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3410) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1)* &
                      coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_618) - coupl(      &
                      nGC_212)*coupl(nGC_39) - coupl(nGC_25)*coupl(nGC_38) +   &
                      coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_3411) = coupl(nGC_23)*(coupl(nGC_212)*coupl(nGC_40) + coupl(     &
                      nGC_25)*coupl(nGC_41) + coupl(nGC_4)*coupl(nGC_618) +    &
                      coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_6586) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_6255) = coupl(nGC_3681) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_7538) = coupl(nGC_5328) + coupl(nGC_7536)
    coupl(nGC_5032) = coupl(nGC_17)*dZH_QED2 + coupl(nGC_17)*dZWMinus_QED2 +   &
                      coupl(nGC_3578)
    coupl(nGC_5039) = coupl(nGC_83)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_5477) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_3612) = coupl(nGC_3218)*dydo_QED1_QCD2
    coupl(nGC_3613) = coupl(nGC_3218)*dydo_QED3
    coupl(nGC_3347) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - 4d0*Nc*   &
                      coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_34)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_34)*    &
                      coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*coupl(nGC_35)*coupl(&
                      nGC_58)*coupl(nGC_59) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_59&
                      )*coupl(nGC_60) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_78)*    &
                      coupl(nGC_79) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_79)*coupl(&
                      nGC_80) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87&
                      ) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) +   &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_55) - 4d0*Nc&
                      *coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)*coupl(&
                      nGC_58)*coupl(nGC_59) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_59&
                      )*coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_78)*    &
                      coupl(nGC_79) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_79)*coupl(&
                      nGC_80) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87&
                      ) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88) +   &
                      coupl(nGC_1150)*coupl(nGC_1172)*coupl(nGC_40) + coupl(   &
                      nGC_1150)*coupl(nGC_1250)*coupl(nGC_1294) - 6d0*coupl(   &
                      nGC_20)*coupl(nGC_212)*coupl(nGC_22) - 6d0*coupl(nGC_21)*&
                      coupl(nGC_22)*coupl(nGC_25) + coupl(nGC_2268)**3d0 - 4d0*&
                      coupl(nGC_36)*coupl(nGC_66)*coupl(nGC_67) + 4d0*coupl(   &
                      nGC_36)*coupl(nGC_67)*coupl(nGC_68) - 4d0*coupl(nGC_36)* &
                      coupl(nGC_70)*coupl(nGC_71) + 4d0*coupl(nGC_36)*coupl(   &
                      nGC_71)*coupl(nGC_72) - 4d0*coupl(nGC_36)*coupl(nGC_82)* &
                      coupl(nGC_83) + 4d0*coupl(nGC_36)*coupl(nGC_83)*coupl(   &
                      nGC_84) + 4d0*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_67   &
                      ) - 4d0*coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68) + 4d0* &
                      coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_71) - 4d0*coupl(   &
                      nGC_40)*coupl(nGC_71)*coupl(nGC_72) + 4d0*coupl(nGC_40)* &
                      coupl(nGC_82)*coupl(nGC_83) - 4d0*coupl(nGC_40)*coupl(   &
                      nGC_83)*coupl(nGC_84))/(96d0*pi**2d0)
    coupl(nGC_3341) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_1150)*coupl&
                      (nGC_23)*coupl(nGC_62) + coupl(nGC_1294)*coupl(nGC_39)*  &
                      coupl(nGC_61) + coupl(nGC_162)*coupl(nGC_2)*coupl(nGC_61 &
                      ) + coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_63) + 8d0*coupl&
                      (nGC_34)*coupl(nGC_39)*coupl(nGC_61) + coupl(nGC_34)*    &
                      coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_62)*coupl(nGC_85 &
                      )*coupl(nGC_88) - coupl(nGC_63)*coupl(nGC_85)*coupl(     &
                      nGC_87))/(32d0*pi**2d0)
    coupl(nGC_5213) = coupl(nGC_3566) + coupl(nGC_HHGG)
    coupl(nGC_3614) = coupl(nGC_3216)*dydo_QED1_QCD2
    coupl(nGC_5217) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(    &
                      nGC_41)*dZnu_eL_QED2
    coupl(nGC_3615) = coupl(nGC_3216)*dydo_QED3
    coupl(nGC_6451) = coupl(nGC_3637) + coupl(nGC_82)*dZtauMinusL_QED2/2d0 +   &
                      coupl(nGC_82)*dZtauMinusR_QED2/2d0
    coupl(nGC_6450) = coupl(nGC_3638) + coupl(nGC_84)*dZtauMinusL_QED2/2d0 +   &
                      coupl(nGC_84)*dZtauMinusR_QED2/2d0
    coupl(nGC_6512) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_39)*dZZA_QED2/2d0
    coupl(nGC_6459) = coupl(nGC_38)*dZsL_QCD2
    coupl(nGC_6511) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_35)*dZZA_QED2/2d0
    coupl(nGC_8830) = coupl(nGC_3569) + 3d0*coupl(nGC_49)*dZH_QED2/2d0 + coupl(&
                      nGC_HHH)
    coupl(nGC_5922) = coupl(nGC_5492) + coupl(nGC_5920)
    coupl(nGC_5921) = coupl(nGC_5492) + coupl(nGC_5919)
    coupl(nGC_4987) = -coupl(nGC_4986)
    coupl(nGC_4995) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0  &
                       + coupl(nGC_3550)
    coupl(nGC_4996) = -coupl(nGC_4995)
    coupl(nGC_4991) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_3584) + coupl(   &
                      nGC_8)*dZH_QED2/2d0 + coupl(nGC_8)*dZWMinus_QED2/2d0 +   &
                      coupl(nGC_8)*dZZ_QED2/2d0
    coupl(nGC_3359) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3358) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_62) - coupl(nGC_1150)*  &
                      coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_2268)*coupl(     &
                      nGC_38)*coupl(nGC_63) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62  &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_86) - coupl(   &
                      nGC_62)**2d0*coupl(nGC_64) - coupl(nGC_63)**2d0*coupl(   &
                      nGC_64))/(32d0*pi**2d0)
    coupl(nGC_3357) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3356) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_64) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_2268)*coupl(     &
                      nGC_34)*coupl(nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38)* &
                      coupl(nGC_64) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_63 &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_88) - coupl(   &
                      nGC_62)*coupl(nGC_63)**2d0 - coupl(nGC_62)*coupl(nGC_64  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3355) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3354) = (-coupl(nGC_1150)*coupl(nGC_23)*coupl(nGC_57) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_60) - coupl(nGC_2268)*coupl(nGC_39&
                      )*coupl(nGC_59) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_60   &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_76) - coupl(   &
                      nGC_58)*coupl(nGC_59)**2d0 - coupl(nGC_58)*coupl(nGC_60  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3353) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3352) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_58) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_57) - coupl(nGC_2268)*coupl(     &
                      nGC_35)*coupl(nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_39)* &
                      coupl(nGC_58) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_59 &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_74) - coupl(   &
                      nGC_58)**2d0*coupl(nGC_60) - coupl(nGC_59)**2d0*coupl(   &
                      nGC_60))/(32d0*pi**2d0)
    coupl(nGC_3351) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3350) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_54) - coupl(nGC_1150)*  &
                      coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_2268)*coupl(     &
                      nGC_38)*coupl(nGC_55) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_54  &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_78) - coupl(   &
                      nGC_54)**2d0*coupl(nGC_56) - coupl(nGC_55)**2d0*coupl(   &
                      nGC_56))/(32d0*pi**2d0)
    coupl(nGC_3592) = coupl(nGC_112)*dZgs_QCD2
    coupl(nGC_3623) = coupl(nGC_3212)*dyb_QED3
    coupl(nGC_7513) = -coupl(nGC_5687)
    coupl(nGC_6740) = coupl(nGC_21)*dZH_QED2/2d0 + coupl(nGC_21)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3575)
    coupl(nGC_3328) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3329) = (-coupl(nGC_1)*coupl(nGC_162)*coupl(nGC_85) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(nGC_1172)*coupl&
                      (nGC_23)*coupl(nGC_87) - coupl(nGC_1294)*coupl(nGC_38)*  &
                      coupl(nGC_85) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_85   &
                      ) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_88) + 8d0*coupl&
                      (nGC_35)*coupl(nGC_38)*coupl(nGC_85) - coupl(nGC_35)*    &
                      coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(nGC_62 &
                      )*coupl(nGC_88) - coupl(nGC_61)*coupl(nGC_63)*coupl(     &
                      nGC_87))/(32d0*pi**2d0)
    coupl(nGC_5430) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_34)*dZZA_QED2/2d0
    coupl(nGC_3327) = (-coupl(nGC_1)*coupl(nGC_162)*coupl(nGC_61) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(nGC_1150)*coupl&
                      (nGC_23)*coupl(nGC_64) - coupl(nGC_1294)*coupl(nGC_34)*  &
                      coupl(nGC_61) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_61   &
                      ) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_63) + 8d0*coupl&
                      (nGC_34)*coupl(nGC_39)*coupl(nGC_61) - coupl(nGC_39)*    &
                      coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_63)*coupl(nGC_85 &
                      )*coupl(nGC_87) - coupl(nGC_64)*coupl(nGC_85)*coupl(     &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_3325) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_1172)*coupl&
                      (nGC_23)*coupl(nGC_75) + coupl(nGC_1294)*coupl(nGC_39)*  &
                      coupl(nGC_73) + coupl(nGC_162)*coupl(nGC_2)*coupl(nGC_73 &
                      ) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_76) + 8d0*coupl&
                      (nGC_34)*coupl(nGC_39)*coupl(nGC_73) + coupl(nGC_34)*    &
                      coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(nGC_58 &
                      )*coupl(nGC_76) - coupl(nGC_57)*coupl(nGC_59)*coupl(     &
                      nGC_75))/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
