!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl15()
    coupl(nGC_3508) = (20d0*Nc*cima*coupl(nGC_55)**4d0 + 20d0*Nc*cima*coupl(   &
                      nGC_59)**4d0 + 20d0*Nc*cima*coupl(nGC_63)**4d0 + 20d0*Nc*&
                      cima*coupl(nGC_75)**4d0 + 20d0*Nc*cima*coupl(nGC_79)**4d0&
                       + 20d0*Nc*cima*coupl(nGC_87)**4d0 - 5d0*cima*coupl(     &
                      nGC_1172)**2d0*coupl(nGC_21)**2d0 - 5d0*cima*coupl(      &
                      nGC_1250)**2d0*coupl(nGC_20)**2d0 + 6d0*cima*coupl(nGC_17&
                      )**2d0 - 5d0*cima*coupl(nGC_2268)**2d0*coupl(nGC_37)**2d0&
                       + 3d0*cima*coupl(nGC_46)**2d0 + 20d0*cima*coupl(nGC_67  &
                      )**4d0 + 20d0*cima*coupl(nGC_71)**4d0 + 20d0*cima*coupl( &
                      nGC_83)**4d0 + 3d0*coupl(nGC_1172)*coupl(nGC_13)*coupl(  &
                      nGC_21) - 3d0*coupl(nGC_1172)*coupl(nGC_17)*coupl(nGC_21 &
                      ) + 3d0*coupl(nGC_1250)*coupl(nGC_13)*coupl(nGC_20) - 3d0&
                      *coupl(nGC_1250)*coupl(nGC_17)*coupl(nGC_20) + 3d0*coupl(&
                      nGC_13)*coupl(nGC_2268)*coupl(nGC_37) - 3d0*coupl(       &
                      nGC_2268)*coupl(nGC_37)*coupl(nGC_46))/(16d0*pi**2d0)
    coupl(nGC_6062) = coupl(nGC_3635) + coupl(nGC_72)*dZmuMinusL_QED2/2d0 +    &
                      coupl(nGC_72)*dZmuMinusR_QED2/2d0
    coupl(nGC_7601) = coupl(nGC_3672) + coupl(nGC_7597)
    coupl(nGC_7602) = coupl(nGC_3673) + coupl(nGC_7598)
    coupl(nGC_4961) = coupl(nGC_3648) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_58)*dZcR_QCD2/2d0
    coupl(nGC_4960) = coupl(nGC_3646) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_60)*dZcR_QCD2/2d0
    coupl(nGC_4963) = coupl(nGC_3649) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl(   &
                      nGC_58)*dZcR_QED2/2d0
    coupl(nGC_4962) = coupl(nGC_3647) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl(   &
                      nGC_60)*dZcR_QED2/2d0
    coupl(nGC_6640) = coupl(nGC_3564) + coupl(nGC_44)*dZH_QED2/2d0
    coupl(nGC_3388) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_20)*    &
                      coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_2268)*coupl(     &
                      nGC_34)*coupl(nGC_62) + 8d0*coupl(nGC_34)*coupl(nGC_38)* &
                      coupl(nGC_63) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_62 &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(   &
                      nGC_62)**2d0*coupl(nGC_63) - coupl(nGC_63)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3380) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_1250)*  &
                      coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_2268)*coupl(     &
                      nGC_38)*coupl(nGC_56) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_56) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55  &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(   &
                      nGC_55)**3d0 - coupl(nGC_55)*coupl(nGC_56)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3381) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_20)*    &
                      coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_2268)*coupl(     &
                      nGC_34)*coupl(nGC_54) + 8d0*coupl(nGC_34)*coupl(nGC_38)* &
                      coupl(nGC_55) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_54 &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(   &
                      nGC_54)**2d0*coupl(nGC_55) - coupl(nGC_55)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_5560) = -coupl(nGC_5559)
    coupl(nGC_3383) = (-8d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + 8d0*Nc*  &
                      cMB*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - 8d0*Nc*  &
                      cMB*coupl(nGC_38)**2d0*coupl(nGC_55) - 8d0*Nc*cMC*coupl( &
                      nGC_35)**2d0*coupl(nGC_59) + 8d0*Nc*cMC*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_59) - 8d0*Nc*cMC*coupl(nGC_39)** &
                      2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_34)**2d0*coupl( &
                      nGC_63) + 8d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                      nGC_63) - 8d0*Nc*cMD*coupl(nGC_38)**2d0*coupl(nGC_63) -  &
                      8d0*Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75) + 8d0*Nc*cMS*&
                      coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75) - 8d0*Nc*cMS*  &
                      coupl(nGC_38)**2d0*coupl(nGC_75) - 8d0*Nc*cMT*coupl(     &
                      nGC_35)**2d0*coupl(nGC_79) + 8d0*Nc*cMT*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_79) - 8d0*Nc*cMT*coupl(nGC_39)** &
                      2d0*coupl(nGC_79) - 8d0*Nc*cMU*coupl(nGC_35)**2d0*coupl( &
                      nGC_87) + 8d0*Nc*cMU*coupl(nGC_35)*coupl(nGC_39)*coupl(  &
                      nGC_87) - 8d0*Nc*cMU*coupl(nGC_39)**2d0*coupl(nGC_87) -  &
                      8d0*cME*coupl(nGC_36)**2d0*coupl(nGC_67) + 8d0*cME*coupl(&
                      nGC_36)*coupl(nGC_40)*coupl(nGC_67) - 8d0*cME*coupl(     &
                      nGC_40)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_36)**2d0* &
                      coupl(nGC_71) + 8d0*cMM*coupl(nGC_36)*coupl(nGC_40)*coupl&
                      (nGC_71) - 8d0*cMM*coupl(nGC_40)**2d0*coupl(nGC_71) - 8d0&
                      *cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) + 8d0*cMTA*coupl( &
                      nGC_36)*coupl(nGC_40)*coupl(nGC_83) - 8d0*cMTA*coupl(    &
                      nGC_40)**2d0*coupl(nGC_83) + 4d0*cima*coupl(nGC_392)*    &
                      coupl(nGC_50) - coupl(nGC_1172)*coupl(nGC_25)*coupl(     &
                      nGC_47) - coupl(nGC_1250)*coupl(nGC_212)*coupl(nGC_47) - &
                      coupl(nGC_20)*coupl(nGC_212)*coupl(nGC_47) - coupl(nGC_21&
                      )*coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_212)**2d0* &
                      coupl(nGC_50) + 6d0*coupl(nGC_25)**2d0*coupl(nGC_50))/(  &
                      32d0*pi**2d0)
    coupl(nGC_3384) = (-coupl(nGC_1172)*coupl(nGC_23)*coupl(nGC_57) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_2268)*coupl(nGC_39&
                      )*coupl(nGC_58) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_58) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_59   &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(   &
                      nGC_58)**2d0*coupl(nGC_59) - coupl(nGC_59)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3385) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_21)*    &
                      coupl(nGC_23)*coupl(nGC_57) - coupl(nGC_2268)*coupl(     &
                      nGC_35)*coupl(nGC_60) + 8d0*coupl(nGC_35)*coupl(nGC_39)* &
                      coupl(nGC_59) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_60 &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(   &
                      nGC_59)**3d0 - coupl(nGC_59)*coupl(nGC_60)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3387) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_1250)*  &
                      coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_2268)*coupl(     &
                      nGC_38)*coupl(nGC_64) - coupl(nGC_34)*coupl(nGC_37)*coupl&
                      (nGC_64) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63  &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(   &
                      nGC_63)**3d0 - coupl(nGC_63)*coupl(nGC_64)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_6659) = coupl(nGC_3595) + coupl(nGC_39)*dZZ_QED2/2d0 + coupl(    &
                      nGC_39)*dZuL_QED2
    coupl(nGC_4971) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*dZcL_QED2&
                      /2d0 + coupl(nGC_23)*dZsL_QED2/2d0 + coupl(nGC_3593)
    coupl(nGC_3492) = (20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_55)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_79)**2d0 + 40d0&
                      *Nc*cima*coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77)*coupl(&
                      nGC_79) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl(nGC_77)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(nGC_59)**2d0 &
                       + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(nGC_75)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73)*  &
                      coupl(nGC_75) + 20d0*Nc*cima*coupl(nGC_59)**2d0*coupl(   &
                      nGC_73)**2d0 + 20d0*Nc*cima*coupl(nGC_61)**2d0*coupl(    &
                      nGC_63)**2d0 + 20d0*Nc*cima*coupl(nGC_61)**2d0*coupl(    &
                      nGC_87)**2d0 + 40d0*Nc*cima*coupl(nGC_61)*coupl(nGC_63)* &
                      coupl(nGC_85)*coupl(nGC_87) + 20d0*Nc*cima*coupl(nGC_63  &
                      )**2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_73)** &
                      2d0*coupl(nGC_75)**2d0 + 20d0*Nc*cima*coupl(nGC_77)**2d0*&
                      coupl(nGC_79)**2d0 + 20d0*Nc*cima*coupl(nGC_85)**2d0*    &
                      coupl(nGC_87)**2d0 - 10d0*cima*coupl(nGC_1150)*coupl(    &
                      nGC_1172)*coupl(nGC_21)*coupl(nGC_22) - 5d0*cima*coupl(  &
                      nGC_1150)*coupl(nGC_1294)*coupl(nGC_21)*coupl(nGC_37) -  &
                      5d0*cima*coupl(nGC_1150)*coupl(nGC_20)*coupl(nGC_37)*    &
                      coupl(nGC_40) - 10d0*cima*coupl(nGC_1150)*coupl(nGC_22)* &
                      coupl(nGC_2268)*coupl(nGC_37) - 10d0*cima*coupl(nGC_1172 &
                      )*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_21) - 10d0*cima&
                      *coupl(nGC_1172)*coupl(nGC_1294)**2d0*coupl(nGC_21) - 5d0&
                      *cima*coupl(nGC_1172)*coupl(nGC_1294)*coupl(nGC_22)*coupl&
                      (nGC_2268) - 10d0*cima*coupl(nGC_1172)*coupl(nGC_162)**  &
                      2d0*coupl(nGC_21) - 5d0*cima*coupl(nGC_1250)*coupl(nGC_22&
                      )*coupl(nGC_2268)*coupl(nGC_40) + 12d0*cima*coupl(nGC_17 &
                      )**2d0 - 10d0*cima*coupl(nGC_2268)*coupl(nGC_37)*coupl(  &
                      nGC_40)**2d0 + 24d0*cima*coupl(nGC_27)**2d0 + 6d0*cima*  &
                      coupl(nGC_45)*coupl(nGC_46) + 20d0*cima*coupl(nGC_65)**  &
                      2d0*coupl(nGC_67)**2d0 + 20d0*cima*coupl(nGC_69)**2d0*   &
                      coupl(nGC_71)**2d0 + 24d0*cima*coupl(nGC_8)**2d0 + 20d0* &
                      cima*coupl(nGC_81)**2d0*coupl(nGC_83)**2d0 + 3d0*coupl(  &
                      nGC_1150)*coupl(nGC_13)*coupl(nGC_22) - 3d0*coupl(       &
                      nGC_1150)*coupl(nGC_17)*coupl(nGC_22) - 6d0*coupl(       &
                      nGC_1150)*coupl(nGC_37)*coupl(nGC_8) + 6d0*coupl(nGC_1172&
                      )*coupl(nGC_1250)*coupl(nGC_13) - 6d0*coupl(nGC_1172)*   &
                      coupl(nGC_1294)*coupl(nGC_8) + 3d0*coupl(nGC_1172)*coupl(&
                      nGC_14)*coupl(nGC_21) + 3d0*coupl(nGC_1172)*coupl(nGC_15 &
                      )*coupl(nGC_21) - 6d0*coupl(nGC_1172)*coupl(nGC_162)*    &
                      coupl(nGC_27) - 3d0*coupl(nGC_1172)*coupl(nGC_17)*coupl( &
                      nGC_21) + 3d0*coupl(nGC_1250)*coupl(nGC_14)*coupl(nGC_20 &
                      ) - 6d0*coupl(nGC_1250)*coupl(nGC_17)*coupl(nGC_20) + 3d0&
                      *coupl(nGC_1294)**2d0*coupl(nGC_13) - 6d0*coupl(nGC_1294 &
                      )*coupl(nGC_21)*coupl(nGC_8) + 3d0*coupl(nGC_13)*coupl(  &
                      nGC_162)**2d0 + 6d0*coupl(nGC_13)*coupl(nGC_20)*coupl(   &
                      nGC_21) + 3d0*coupl(nGC_13)*coupl(nGC_2268)*coupl(nGC_37 &
                      ) - 6d0*coupl(nGC_162)*coupl(nGC_21)*coupl(nGC_27) - 6d0*&
                      coupl(nGC_22)*coupl(nGC_2268)*coupl(nGC_8) - 3d0*coupl(  &
                      nGC_2268)*coupl(nGC_37)*coupl(nGC_45) - 3d0*coupl(nGC_40 &
                      )**2d0*coupl(nGC_46))/(96d0*pi**2d0)
    coupl(nGC_3493) = (-16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_53)**2d0 -   &
                      16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_57)**2d0 - 16d0&
                      *Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_61)**2d0 - 16d0*Nc*&
                      cima*coupl(nGC_23)**2d0*coupl(nGC_73)**2d0 - 16d0*Nc*cima&
                      *coupl(nGC_23)**2d0*coupl(nGC_77)**2d0 - 16d0*Nc*cima*   &
                      coupl(nGC_23)**2d0*coupl(nGC_85)**2d0 + 4d0*cima*coupl(  &
                      nGC_1150)**2d0*coupl(nGC_1172)**2d0 + 4d0*cima*coupl(    &
                      nGC_1150)**2d0*coupl(nGC_1172)*coupl(nGC_1250) + 8d0*cima&
                      *coupl(nGC_1150)**2d0*coupl(nGC_22)**2d0 + 4d0*cima*coupl&
                      (nGC_1150)*coupl(nGC_1294)**2d0*coupl(nGC_22) + 4d0*cima*&
                      coupl(nGC_1150)*coupl(nGC_162)**2d0*coupl(nGC_22) + 9d0* &
                      cima*coupl(nGC_1150)*coupl(nGC_212)**2d0*coupl(nGC_22) + &
                      9d0*cima*coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_618)**  &
                      2d0 + 4d0*cima*coupl(nGC_1172)**2d0*coupl(nGC_21)**2d0 + &
                      4d0*cima*coupl(nGC_1172)*coupl(nGC_1250)*coupl(nGC_20)*  &
                      coupl(nGC_21) + 4d0*cima*coupl(nGC_1250)*coupl(nGC_1294  &
                      )**2d0*coupl(nGC_20) + 4d0*cima*coupl(nGC_1250)*coupl(   &
                      nGC_162)**2d0*coupl(nGC_20) + 9d0*cima*coupl(nGC_1250)*  &
                      coupl(nGC_20)*coupl(nGC_212)**2d0 + 9d0*cima*coupl(      &
                      nGC_1250)*coupl(nGC_20)*coupl(nGC_618)**2d0 + 24d0*cima* &
                      coupl(nGC_17)*coupl(nGC_18) + 4d0*cima*coupl(nGC_20)*    &
                      coupl(nGC_21)*coupl(nGC_22)**2d0 + 4d0*cima*coupl(nGC_21 &
                      )**2d0*coupl(nGC_22)**2d0 + 9d0*cima*coupl(nGC_212)**2d0*&
                      coupl(nGC_40)**2d0 + 18d0*cima*coupl(nGC_212)*coupl(nGC_4&
                      )*coupl(nGC_40)*coupl(nGC_618) - 16d0*cima*coupl(nGC_23  &
                      )**2d0*coupl(nGC_65)**2d0 - 16d0*cima*coupl(nGC_23)**2d0*&
                      coupl(nGC_69)**2d0 - 16d0*cima*coupl(nGC_23)**2d0*coupl( &
                      nGC_81)**2d0 + 12d0*cima*coupl(nGC_240)*coupl(nGC_6) +   &
                      9d0*cima*coupl(nGC_25)**2d0*coupl(nGC_40)**2d0 + 18d0*   &
                      cima*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_40&
                      ) + 24d0*cima*coupl(nGC_29)*coupl(nGC_42) + 9d0*cima*    &
                      coupl(nGC_3)**2d0*coupl(nGC_4)**2d0 + 12d0*cima*coupl(   &
                      nGC_392)*coupl(nGC_45) + 9d0*cima*coupl(nGC_4)**2d0*coupl&
                      (nGC_618)**2d0 + 6d0*coupl(nGC_1150)*coupl(nGC_17)*coupl(&
                      nGC_22) - 6d0*coupl(nGC_1150)*coupl(nGC_18)*coupl(nGC_22 &
                      ) - 6d0*coupl(nGC_1150)*coupl(nGC_212)*coupl(nGC_9) - 6d0&
                      *coupl(nGC_1150)*coupl(nGC_28)*coupl(nGC_618) + 6d0*coupl&
                      (nGC_1172)*coupl(nGC_17)*coupl(nGC_21) - 6d0*coupl(      &
                      nGC_1250)*coupl(nGC_18)*coupl(nGC_20) - 6d0*coupl(       &
                      nGC_1250)*coupl(nGC_212)*coupl(nGC_8) - 6d0*coupl(       &
                      nGC_1250)*coupl(nGC_27)*coupl(nGC_618) + 6d0*coupl(      &
                      nGC_1294)**2d0*coupl(nGC_17) + 6d0*coupl(nGC_162)**2d0*  &
                      coupl(nGC_17) + 36d0*coupl(nGC_17)*coupl(nGC_212)**2d0 - &
                      12d0*coupl(nGC_17)*coupl(nGC_212)*coupl(nGC_40) - 12d0*  &
                      coupl(nGC_17)*coupl(nGC_25)*coupl(nGC_40) - 12d0*coupl(  &
                      nGC_17)*coupl(nGC_3)*coupl(nGC_4) - 12d0*coupl(nGC_17)*  &
                      coupl(nGC_4)*coupl(nGC_618) + 36d0*coupl(nGC_17)*coupl(  &
                      nGC_618)**2d0 - 6d0*coupl(nGC_20)*coupl(nGC_212)*coupl(  &
                      nGC_8) - 6d0*coupl(nGC_20)*coupl(nGC_27)*coupl(nGC_618   &
                      ) - 6d0*coupl(nGC_212)*coupl(nGC_22)*coupl(nGC_7) - 6d0* &
                      coupl(nGC_22)*coupl(nGC_26)*coupl(nGC_618) - 6d0*coupl(  &
                      nGC_240)*coupl(nGC_4)**2d0 + 36d0*coupl(nGC_25)**2d0*    &
                      coupl(nGC_45) + 72d0*coupl(nGC_25)*coupl(nGC_3)*coupl(   &
                      nGC_42) - 12d0*coupl(nGC_29)*coupl(nGC_4)*coupl(nGC_40   &
                      ) + 36d0*coupl(nGC_3)**2d0*coupl(nGC_6) - 6d0*coupl(     &
                      nGC_392)*coupl(nGC_40)**2d0)/(192d0*pi**2d0)
    coupl(nGC_5683) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*dZdL_QED2&
                      /2d0 + coupl(nGC_23)*dZuL_QED2/2d0 + coupl(nGC_3593)
    coupl(nGC_3259) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_38)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_36)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_40)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_36)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_36)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_40&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_212)**2d0 + 3d0*cMW &
                      **2d0*cima*coupl(nGC_25)**2d0 - 2d0*cMW**2d0*coupl(      &
                      nGC_392))/(16d0*pi**2d0)
    coupl(nGC_3317) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_1150)*coupl(     &
                      nGC_1294)*coupl(nGC_2268) - 6d0*coupl(nGC_1150)*coupl(   &
                      nGC_212)*coupl(nGC_37) + coupl(nGC_1172)**2d0*coupl(     &
                      nGC_1250) + coupl(nGC_1250)*coupl(nGC_22)**2d0 - 6d0*    &
                      coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_40) - 6d0*coupl(   &
                      nGC_20)*coupl(nGC_3)*coupl(nGC_4) - 4d0*coupl(nGC_23)*   &
                      coupl(nGC_65)*coupl(nGC_67) - 4d0*coupl(nGC_23)*coupl(   &
                      nGC_69)*coupl(nGC_71) - 4d0*coupl(nGC_23)*coupl(nGC_81)* &
                      coupl(nGC_83))/(96d0*pi**2d0)
    coupl(nGC_3316) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl( &
                      nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*coupl( &
                      nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 - &
                      4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(  &
                      nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl( &
                      nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)**2d0 + &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(  &
                      nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl( &
                      nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)**2d0 + &
                      coupl(nGC_1150)*coupl(nGC_1172)*coupl(nGC_2268) - 6d0*   &
                      coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_25) - 6d0*coupl( &
                      nGC_1250)*coupl(nGC_20)*coupl(nGC_25) + coupl(nGC_1294)**&
                      2d0*coupl(nGC_40) + coupl(nGC_162)**2d0*coupl(nGC_40) +  &
                      coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_37) + 4d0*coupl(   &
                      nGC_36)*coupl(nGC_65)**2d0 + 4d0*coupl(nGC_36)*coupl(    &
                      nGC_69)**2d0 + 4d0*coupl(nGC_36)*coupl(nGC_81)**2d0 - 4d0&
                      *coupl(nGC_41)*coupl(nGC_65)**2d0 - 4d0*coupl(nGC_41)*   &
                      coupl(nGC_69)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_81)**2d0&
                      )/(96d0*pi**2d0)
    coupl(nGC_3315) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_86) - 6d0*coupl(nGC_1150)*coupl( &
                      nGC_25)*coupl(nGC_40) - 6d0*coupl(nGC_1150)*coupl(nGC_3)*&
                      coupl(nGC_4) + coupl(nGC_1172)**2d0*coupl(nGC_22) + coupl&
                      (nGC_1294)*coupl(nGC_20)*coupl(nGC_37) - 6d0*coupl(nGC_20&
                      )*coupl(nGC_212)*coupl(nGC_2268) + coupl(nGC_22)**3d0 -  &
                      4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(nGC_66) - 4d0*coupl&
                      (nGC_23)*coupl(nGC_69)*coupl(nGC_70) - 4d0*coupl(nGC_23)*&
                      coupl(nGC_81)*coupl(nGC_82))/(96d0*pi**2d0)
    coupl(nGC_3314) = (4d0*Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + 4d0*Nc*cMB&
                      *coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*cMB* &
                      coupl(nGC_55)*coupl(nGC_77)**2d0 + 4d0*Nc*cMC*coupl(     &
                      nGC_57)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_57)*   &
                      coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_73)**2d0 + 4d0*Nc*cMD*coupl(nGC_61)**2d0*coupl(&
                      nGC_63) + 4d0*Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*coupl(  &
                      nGC_87) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_85)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + 4d0*Nc*cMS*&
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + 4d0*Nc*cMS*  &
                      coupl(nGC_73)**2d0*coupl(nGC_75) + 4d0*Nc*cMT*coupl(     &
                      nGC_53)**2d0*coupl(nGC_79) + 4d0*Nc*cMT*coupl(nGC_53)*   &
                      coupl(nGC_55)*coupl(nGC_77) + 4d0*Nc*cMT*coupl(nGC_77)** &
                      2d0*coupl(nGC_79) + 4d0*Nc*cMU*coupl(nGC_61)**2d0*coupl( &
                      nGC_87) + 4d0*Nc*cMU*coupl(nGC_61)*coupl(nGC_63)*coupl(  &
                      nGC_85) + 4d0*Nc*cMU*coupl(nGC_85)**2d0*coupl(nGC_87) +  &
                      4d0*cME*coupl(nGC_65)**2d0*coupl(nGC_67) + 4d0*cMM*coupl(&
                      nGC_69)**2d0*coupl(nGC_71) + 4d0*cMTA*coupl(nGC_81)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) +   &
                      8d0*cima*coupl(nGC_27)*coupl(nGC_51) + 2d0*cima*coupl(   &
                      nGC_45)*coupl(nGC_52) + 8d0*cima*coupl(nGC_47)*coupl(    &
                      nGC_8) + coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_48) -   &
                      coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_50) - coupl(     &
                      nGC_1150)*coupl(nGC_37)*coupl(nGC_47) + coupl(nGC_1172)* &
                      coupl(nGC_1250)*coupl(nGC_48) - coupl(nGC_1172)*coupl(   &
                      nGC_1294)*coupl(nGC_47) - coupl(nGC_1172)*coupl(nGC_162)*&
                      coupl(nGC_51) + coupl(nGC_1172)*coupl(nGC_21)*coupl(     &
                      nGC_49) - coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_50) +  &
                      coupl(nGC_1294)**2d0*coupl(nGC_48) - coupl(nGC_1294)*    &
                      coupl(nGC_21)*coupl(nGC_47) + coupl(nGC_162)**2d0*coupl( &
                      nGC_48) - coupl(nGC_162)*coupl(nGC_21)*coupl(nGC_51) +   &
                      coupl(nGC_20)*coupl(nGC_21)*coupl(nGC_48) - coupl(nGC_22 &
                      )*coupl(nGC_2268)*coupl(nGC_47) - coupl(nGC_40)**2d0*    &
                      coupl(nGC_52))/(32d0*pi**2d0)
    coupl(nGC_9151) = coupl(nGC_3674) + coupl(nGC_9147)
    coupl(nGC_3251) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) - 8d0*&
                      Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*Nc*cMD&
                      **2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc*cMS**2d0*&
                      cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMT**2d0*cima* &
                      coupl(nGC_78)*coupl(nGC_80) - 8d0*Nc*cMU**2d0*cima*coupl(&
                      nGC_86)*coupl(nGC_88) - 8d0*cME**2d0*cima*coupl(nGC_66)* &
                      coupl(nGC_68) - cMH**2d0*cima*coupl(nGC_2268)*coupl(     &
                      nGC_37) - 8d0*cMM**2d0*cima*coupl(nGC_70)*coupl(nGC_72   &
                      ) - 8d0*cMTA**2d0*cima*coupl(nGC_82)*coupl(nGC_84) - 4d0*&
                      cMW**2d0*cima*coupl(nGC_1150)*coupl(nGC_22) - 4d0*cMW**  &
                      2d0*coupl(nGC_17) - cMZ**2d0*cima*coupl(nGC_2268)*coupl( &
                      nGC_37) - 2d0*cMZ**2d0*coupl(nGC_46))/(32d0*pi**2d0)
    coupl(nGC_3256) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_67&
                      )**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**2d0 - 4d0*cMTA &
                      **2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*cima*coupl(     &
                      nGC_1172)*coupl(nGC_21) - cMW**2d0*cima*coupl(nGC_1250)* &
                      coupl(nGC_20) - 2d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0*   &
                      cima*coupl(nGC_2268)*coupl(nGC_37) - cMZ**2d0*coupl(     &
                      nGC_46) + 2d0*cima*coupl(nGC_50)**2d0 + cima*coupl(nGC_52&
                      )**2d0)/(16d0*pi**2d0)
    coupl(nGC_3255) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59)** &
                      2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(nGC_75)** &
                      2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl(nGC_87)** &
                      2d0 + coupl(nGC_1172)*coupl(nGC_21) + coupl(nGC_1250)*   &
                      coupl(nGC_20) + coupl(nGC_2268)*coupl(nGC_37) + 4d0*coupl&
                      (nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(nGC_83&
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_9812) = -coupl(nGC_3317)
    coupl(nGC_7624) = coupl(nGC_5492) + coupl(nGC_7623)
    coupl(nGC_7537) = coupl(nGC_5328) + coupl(nGC_7535)
    coupl(nGC_5124) = coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3576) + coupl(nGC_7)*dZZA_QED2/2d0
    coupl(nGC_5128) = -coupl(nGC_5127)
    coupl(nGC_6589) = coupl(nGC_3663) + coupl(nGC_6586)
    coupl(nGC_5009) = coupl(nGC_3625) + coupl(nGC_63)*dZH_QED2/2d0
    coupl(nGC_5008) = coupl(nGC_3624) + coupl(nGC_5007)
    coupl(nGC_6514) = coupl(nGC_5175) + coupl(nGC_6512)
    coupl(nGC_6513) = coupl(nGC_5175) + coupl(nGC_6511)
    coupl(nGC_5517) = -coupl(nGC_5516)
    coupl(nGC_6081) = coupl(nGC_3595) + coupl(nGC_39)*dZZ_QED2/2d0 + coupl(    &
                      nGC_39)*dZtL_QED2
    coupl(nGC_6083) = coupl(nGC_5098) + coupl(nGC_6081)
    coupl(nGC_6122) = coupl(nGC_5288) + coupl(nGC_6120)
    coupl(nGC_5618) = coupl(nGC_3639) + coupl(nGC_67)*dZH_QED2/2d0
    coupl(nGC_5619) = coupl(nGC_5615) + coupl(nGC_5618)
    coupl(nGC_5092) = coupl(nGC_3589) + coupl(nGC_52)*dZH_QED2/2d0 + coupl(    &
                      nGC_52)*dZZ_QED2
    coupl(nGC_5228) = coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_3574)
    coupl(nGC_3287) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_47)*coupl(nGC_470) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_1294)*coupl(nGC_212)*coupl(    &
                      nGC_51) - coupl(nGC_162)*coupl(nGC_51)*coupl(nGC_618) -  &
                      coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_50) + 6d0*coupl(    &
                      nGC_212)*coupl(nGC_3)*coupl(nGC_47) + 6d0*coupl(nGC_3)*  &
                      coupl(nGC_51)*coupl(nGC_618))/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
