!******************************************************************************!
!                                                                              !
!    fill_ctcouplings17.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings17.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings17
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl17()
    coupl(nGC_10287) = -coupl(nGC_3291)
    coupl(nGC_5556) = -coupl(nGC_5555)
    coupl(nGC_5042) = coupl(nGC_3641) + coupl(nGC_83)*dZH_QED2/2d0
    coupl(nGC_3250) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl( &
                      nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(nGC_64&
                      ) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc*coupl(   &
                      nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*coupl(nGC_88&
                      ) + 2d0*coupl(nGC_1150)*coupl(nGC_22) + coupl(nGC_2268)* &
                      coupl(nGC_37) + 4d0*coupl(nGC_66)*coupl(nGC_68) + 4d0*   &
                      coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl(nGC_82)*coupl(   &
                      nGC_84))/(96d0*pi**2d0)
    coupl(nGC_7625) = coupl(nGC_5492) + coupl(nGC_7622)
    coupl(nGC_3318) = (-coupl(nGC_1)*coupl(nGC_162)*coupl(nGC_53) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_53) - coupl(nGC_1150)*coupl&
                      (nGC_23)*coupl(nGC_56) - coupl(nGC_1294)*coupl(nGC_34)*  &
                      coupl(nGC_53) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_53   &
                      ) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_55) + 8d0*coupl&
                      (nGC_34)*coupl(nGC_39)*coupl(nGC_53) - coupl(nGC_39)*    &
                      coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_55)*coupl(nGC_77 &
                      )*coupl(nGC_79) - coupl(nGC_56)*coupl(nGC_77)*coupl(     &
                      nGC_78))/(32d0*pi**2d0)
    coupl(nGC_5791) = coupl(nGC_3658) + coupl(nGC_5790)
    coupl(nGC_5160) = coupl(nGC_3570) + coupl(nGC_42)*dZZA_QED2 + coupl(nGC_6)*&
                      dZA_QED2
    coupl(nGC_4943) = -coupl(nGC_4940)/2d0 + coupl(nGC_4941)
    coupl(nGC_4942) = coupl(nGC_4940) - 2d0*coupl(nGC_4941)
    coupl(nGC_4946) = coupl(nGC_17)*dZWMinus_QED2 + coupl(nGC_3578)
    coupl(nGC_3478) = (6d0*Nc*cima*coupl(nGC_1)**4d0 + 6d0*Nc*cima*coupl(nGC_2 &
                      )**4d0 + 3d0*cima*coupl(nGC_240)**2d0 - 10d0*cima*coupl( &
                      nGC_3)**4d0 + 6d0*cima*coupl(nGC_4)**4d0 - 10d0*cima*    &
                      coupl(nGC_618)**4d0 + 9d0*coupl(nGC_240)*coupl(nGC_3)**  &
                      2d0 + 9d0*coupl(nGC_240)*coupl(nGC_618)**2d0 + 3d0*coupl(&
                      nGC_3)**2d0*coupl(nGC_5) + 3d0*coupl(nGC_5)*coupl(nGC_618&
                      )**2d0)/(24d0*pi**2d0)
    coupl(nGC_3479) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_34) + 6d0*Nc*   &
                      cima*coupl(nGC_1)**3d0*coupl(nGC_38) + 6d0*Nc*cima*coupl(&
                      nGC_2)**3d0*coupl(nGC_35) + 6d0*Nc*cima*coupl(nGC_2)**3d0&
                      *coupl(nGC_39) - 20d0*cima*coupl(nGC_212)*coupl(nGC_618  &
                      )**3d0 + 6d0*cima*coupl(nGC_240)*coupl(nGC_29) - 20d0*   &
                      cima*coupl(nGC_25)*coupl(nGC_3)**3d0 + 6d0*cima*coupl(   &
                      nGC_36)*coupl(nGC_4)**3d0 + 6d0*cima*coupl(nGC_4)**3d0*  &
                      coupl(nGC_40) + 9d0*coupl(nGC_212)*coupl(nGC_240)*coupl( &
                      nGC_618) + 3d0*coupl(nGC_212)*coupl(nGC_5)*coupl(nGC_618 &
                      ) + 9d0*coupl(nGC_240)*coupl(nGC_25)*coupl(nGC_3) + 3d0* &
                      coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_5) + 9d0*coupl(     &
                      nGC_29)*coupl(nGC_3)**2d0 + 9d0*coupl(nGC_29)*coupl(     &
                      nGC_618)**2d0 + 3d0*coupl(nGC_3)**2d0*coupl(nGC_470) +   &
                      3d0*coupl(nGC_470)*coupl(nGC_618)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3472) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_54)*coupl(    &
                      nGC_56) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)*  &
                      coupl(nGC_64) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(    &
                      nGC_74)*coupl(nGC_76) - 24d0*Nc*cima*coupl(nGC_2)**2d0*  &
                      coupl(nGC_58)*coupl(nGC_60) - 24d0*Nc*cima*coupl(nGC_2)**&
                      2d0*coupl(nGC_78)*coupl(nGC_80) - 24d0*Nc*cima*coupl(    &
                      nGC_2)**2d0*coupl(nGC_86)*coupl(nGC_88) + 4d0*cima*coupl(&
                      nGC_1150)*coupl(nGC_162)**2d0*coupl(nGC_22) + 9d0*cima*  &
                      coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_3)**2d0 + 4d0*   &
                      cima*coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_4)**2d0 +   &
                      9d0*cima*coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_618)**  &
                      2d0 + 12d0*cima*coupl(nGC_17)*coupl(nGC_240) - 24d0*cima*&
                      coupl(nGC_4)**2d0*coupl(nGC_66)*coupl(nGC_68) - 24d0*cima&
                      *coupl(nGC_4)**2d0*coupl(nGC_70)*coupl(nGC_72) - 24d0*   &
                      cima*coupl(nGC_4)**2d0*coupl(nGC_82)*coupl(nGC_84) - 6d0*&
                      coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_240) + 6d0*coupl(&
                      nGC_1150)*coupl(nGC_22)*coupl(nGC_6) - 6d0*coupl(nGC_1150&
                      )*coupl(nGC_26)*coupl(nGC_3) - 6d0*coupl(nGC_1150)*coupl(&
                      nGC_28)*coupl(nGC_618) + 18d0*coupl(nGC_17)*coupl(nGC_3  &
                      )**2d0 + 18d0*coupl(nGC_17)*coupl(nGC_618)**2d0 - 6d0*   &
                      coupl(nGC_22)*coupl(nGC_26)*coupl(nGC_618) - 6d0*coupl(  &
                      nGC_22)*coupl(nGC_28)*coupl(nGC_3))/(96d0*pi**2d0)
    coupl(nGC_3473) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_55)**2d0 -    &
                      24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_63)**2d0 - 24d0*&
                      Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_75)**2d0 - 24d0*Nc*  &
                      cima*coupl(nGC_2)**2d0*coupl(nGC_59)**2d0 - 24d0*Nc*cima*&
                      coupl(nGC_2)**2d0*coupl(nGC_79)**2d0 - 24d0*Nc*cima*coupl&
                      (nGC_2)**2d0*coupl(nGC_87)**2d0 + 9d0*cima*coupl(nGC_1172&
                      )*coupl(nGC_21)*coupl(nGC_3)**2d0 + 4d0*cima*coupl(      &
                      nGC_1172)*coupl(nGC_21)*coupl(nGC_4)**2d0 + 4d0*cima*    &
                      coupl(nGC_1250)*coupl(nGC_162)**2d0*coupl(nGC_20) + 9d0* &
                      cima*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_618)**2d0 + &
                      12d0*cima*coupl(nGC_17)*coupl(nGC_240) - 24d0*cima*coupl(&
                      nGC_4)**2d0*coupl(nGC_67)**2d0 - 24d0*cima*coupl(nGC_4)**&
                      2d0*coupl(nGC_71)**2d0 - 24d0*cima*coupl(nGC_4)**2d0*    &
                      coupl(nGC_83)**2d0 - 3d0*coupl(nGC_1172)*coupl(nGC_21)*  &
                      coupl(nGC_240) + 3d0*coupl(nGC_1172)*coupl(nGC_21)*coupl(&
                      nGC_6) - 6d0*coupl(nGC_1172)*coupl(nGC_27)*coupl(nGC_3   &
                      ) - 3d0*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_240) +   &
                      3d0*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_6) - 6d0*    &
                      coupl(nGC_1250)*coupl(nGC_27)*coupl(nGC_618) + 18d0*coupl&
                      (nGC_17)*coupl(nGC_3)**2d0 + 18d0*coupl(nGC_17)*coupl(   &
                      nGC_618)**2d0 - 6d0*coupl(nGC_20)*coupl(nGC_27)*coupl(   &
                      nGC_618) - 6d0*coupl(nGC_21)*coupl(nGC_27)*coupl(nGC_3   &
                      ))/(96d0*pi**2d0)
    coupl(nGC_3470) = (18d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 - 30d0&
                      *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)**2d0 +  &
                      18d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0 + 6d0* &
                      cima*coupl(nGC_18)*coupl(nGC_240) - 8d0*cima*coupl(      &
                      nGC_212)**2d0*coupl(nGC_3)**2d0 + 18d0*cima*coupl(nGC_23 &
                      )**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl(nGC_25)**2d0*  &
                      coupl(nGC_618)**2d0 - 16d0*cima*coupl(nGC_3)**2d0*coupl( &
                      nGC_618)**2d0 + 9d0*coupl(nGC_18)*coupl(nGC_3)**2d0 + 9d0&
                      *coupl(nGC_18)*coupl(nGC_618)**2d0 + 9d0*coupl(nGC_212)**&
                      2d0*coupl(nGC_240) + 3d0*coupl(nGC_212)*coupl(nGC_3)*    &
                      coupl(nGC_470) + 9d0*coupl(nGC_240)*coupl(nGC_618)**2d0  &
                       + 3d0*coupl(nGC_25)*coupl(nGC_470)*coupl(nGC_618) + 6d0*&
                      coupl(nGC_3)*coupl(nGC_5)*coupl(nGC_618))/(48d0*pi**2d0)
    coupl(nGC_3471) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 +    &
                      36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)**2d0&
                       - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0 -   &
                      8d0*cima*coupl(nGC_212)**2d0*coupl(nGC_3)**2d0 - 12d0*   &
                      cima*coupl(nGC_23)**2d0*coupl(nGC_4)**2d0 - 16d0*cima*   &
                      coupl(nGC_25)**2d0*coupl(nGC_618)**2d0 - 24d0*cima*coupl(&
                      nGC_3)**2d0*coupl(nGC_618)**2d0 + 12d0*cima*coupl(nGC_470&
                      )**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 3d0*coupl(nGC_18)*&
                      coupl(nGC_618)**2d0 + 3d0*coupl(nGC_212)**2d0*coupl(nGC_5&
                      ) + 6d0*coupl(nGC_212)*coupl(nGC_29)*coupl(nGC_3) + 6d0* &
                      coupl(nGC_240)*coupl(nGC_3)*coupl(nGC_618) + 36d0*coupl( &
                      nGC_25)*coupl(nGC_470)*coupl(nGC_618) + 3d0*coupl(nGC_3  &
                      )**2d0*coupl(nGC_982) + 36d0*coupl(nGC_3)*coupl(nGC_5)*  &
                      coupl(nGC_618) + 3d0*coupl(nGC_5)*coupl(nGC_618)**2d0)/( &
                      96d0*pi**2d0)
    coupl(nGC_3476) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)*   &
                      coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)* &
                      coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1)*  &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*cima* &
                      coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75) - &
                      16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77)*   &
                      coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)* &
                      coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_2)* &
                      coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*Nc*cima* &
                      coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - &
                      16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61)*   &
                      coupl(nGC_63) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)* &
                      coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cima*coupl(nGC_2)*  &
                      coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*cima* &
                      coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) + &
                      4d0*cima*coupl(nGC_1150)*coupl(nGC_1294)*coupl(nGC_2268)*&
                      coupl(nGC_4) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_212)*  &
                      coupl(nGC_3)*coupl(nGC_37) + 4d0*cima*coupl(nGC_1172)**  &
                      2d0*coupl(nGC_1250)*coupl(nGC_162) + 4d0*cima*coupl(     &
                      nGC_1250)*coupl(nGC_162)*coupl(nGC_22)**2d0 + 9d0*cima*  &
                      coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_618  &
                      ) + 9d0*cima*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_4)*    &
                      coupl(nGC_618) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*    &
                      coupl(nGC_65)*coupl(nGC_67) + 4d0*cima*coupl(nGC_23)*    &
                      coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_71) + 4d0*cima*coupl&
                      (nGC_23)*coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_83) + 24d0*&
                      cima*coupl(nGC_27)*coupl(nGC_5) + 24d0*cima*coupl(nGC_470&
                      )*coupl(nGC_8) - 6d0*coupl(nGC_1150)*coupl(nGC_37)*coupl(&
                      nGC_470) + 6d0*coupl(nGC_1172)*coupl(nGC_1250)*coupl(    &
                      nGC_27) + 6d0*coupl(nGC_1250)*coupl(nGC_22)*coupl(nGC_26 &
                      ) - 6d0*coupl(nGC_1294)*coupl(nGC_212)*coupl(nGC_27) +   &
                      6d0*coupl(nGC_1294)*coupl(nGC_2268)*coupl(nGC_26) - 6d0* &
                      coupl(nGC_162)*coupl(nGC_27)*coupl(nGC_618) - 6d0*coupl( &
                      nGC_17)*coupl(nGC_20)*coupl(nGC_3) - 6d0*coupl(nGC_17)*  &
                      coupl(nGC_20)*coupl(nGC_618) - 6d0*coupl(nGC_20)*coupl(  &
                      nGC_25)*coupl(nGC_42) - 6d0*coupl(nGC_20)*coupl(nGC_3)*  &
                      coupl(nGC_6) - 6d0*coupl(nGC_20)*coupl(nGC_4)*coupl(nGC_5&
                      ) - 6d0*coupl(nGC_20)*coupl(nGC_40)*coupl(nGC_470) - 6d0*&
                      coupl(nGC_212)*coupl(nGC_26)*coupl(nGC_37) + 36d0*coupl( &
                      nGC_212)*coupl(nGC_3)*coupl(nGC_8) + 36d0*coupl(nGC_27)* &
                      coupl(nGC_3)*coupl(nGC_618))/(192d0*pi**2d0)
    coupl(nGC_3477) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)*   &
                      coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)* &
                      coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*cima*coupl(nGC_1)*  &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*cima* &
                      coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_76) - &
                      16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77)*   &
                      coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)* &
                      coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_2)* &
                      coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) + 4d0*Nc*cima* &
                      coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) - &
                      16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61)*   &
                      coupl(nGC_64) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)* &
                      coupl(nGC_73)*coupl(nGC_76) + 4d0*Nc*cima*coupl(nGC_2)*  &
                      coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_80) + 4d0*Nc*cima* &
                      coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_88) + &
                      9d0*cima*coupl(nGC_1150)*coupl(nGC_1294)*coupl(nGC_212)* &
                      coupl(nGC_3) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_162)*  &
                      coupl(nGC_3)*coupl(nGC_618) + 4d0*cima*coupl(nGC_1250)** &
                      2d0*coupl(nGC_22)*coupl(nGC_4) + 4d0*cima*coupl(nGC_162)*&
                      coupl(nGC_21)*coupl(nGC_37)*coupl(nGC_40) + 9d0*cima*    &
                      coupl(nGC_21)*coupl(nGC_2268)*coupl(nGC_25)*coupl(nGC_618&
                      ) + 4d0*cima*coupl(nGC_22)**3d0*coupl(nGC_4) + 4d0*cima* &
                      coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_68) + &
                      4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_69)*coupl( &
                      nGC_72) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(     &
                      nGC_81)*coupl(nGC_84) + 24d0*cima*coupl(nGC_28)*coupl(   &
                      nGC_5) + 24d0*cima*coupl(nGC_470)*coupl(nGC_9) - 6d0*    &
                      coupl(nGC_1150)*coupl(nGC_1294)*coupl(nGC_470) - 6d0*    &
                      coupl(nGC_1150)*coupl(nGC_162)*coupl(nGC_5) - 6d0*coupl( &
                      nGC_1150)*coupl(nGC_17)*coupl(nGC_3) - 6d0*coupl(nGC_1150&
                      )*coupl(nGC_17)*coupl(nGC_618) - 6d0*coupl(nGC_1150)*    &
                      coupl(nGC_212)*coupl(nGC_42) - 6d0*coupl(nGC_1150)*coupl(&
                      nGC_6)*coupl(nGC_618) + 6d0*coupl(nGC_1250)*coupl(nGC_22 &
                      )*coupl(nGC_27) - 6d0*coupl(nGC_21)*coupl(nGC_2268)*coupl&
                      (nGC_470) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_28) - 6d0*  &
                      coupl(nGC_2268)*coupl(nGC_25)*coupl(nGC_27) - 6d0*coupl( &
                      nGC_25)*coupl(nGC_28)*coupl(nGC_40) + 36d0*coupl(nGC_25)*&
                      coupl(nGC_618)*coupl(nGC_9) + 6d0*coupl(nGC_27)*coupl(   &
                      nGC_37)*coupl(nGC_40) - 6d0*coupl(nGC_28)*coupl(nGC_3)*  &
                      coupl(nGC_4) + 36d0*coupl(nGC_28)*coupl(nGC_3)*coupl(    &
                      nGC_618))/(192d0*pi**2d0)
    coupl(nGC_3474) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_53)**&
                      2d0 - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(     &
                      nGC_61)**2d0 - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*  &
                      coupl(nGC_73)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(    &
                      nGC_35)*coupl(nGC_57)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*  &
                      coupl(nGC_35)*coupl(nGC_77)**2d0 + 10d0*Nc*cima*coupl(   &
                      nGC_1)*coupl(nGC_35)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*  &
                      coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_57)**2d0 - 16d0*Nc* &
                      cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_77)**2d0 - 16d0&
                      *Nc*cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_85)**2d0 + &
                      10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_53)**  &
                      2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_39)*coupl(     &
                      nGC_61)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_39)*  &
                      coupl(nGC_73)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(    &
                      nGC_34)*coupl(nGC_53)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*  &
                      coupl(nGC_34)*coupl(nGC_61)**2d0 + 10d0*Nc*cima*coupl(   &
                      nGC_2)*coupl(nGC_34)*coupl(nGC_73)**2d0 - 16d0*Nc*cima*  &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_57)**2d0 - 16d0*Nc* &
                      cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_77)**2d0 - 16d0&
                      *Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_85)**2d0 + &
                      10d0*Nc*cima*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_57)**  &
                      2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(nGC_38)*coupl(     &
                      nGC_77)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(nGC_38)*  &
                      coupl(nGC_85)**2d0 - 16d0*Nc*cima*coupl(nGC_2)*coupl(    &
                      nGC_39)*coupl(nGC_53)**2d0 - 16d0*Nc*cima*coupl(nGC_2)*  &
                      coupl(nGC_39)*coupl(nGC_61)**2d0 - 16d0*Nc*cima*coupl(   &
                      nGC_2)*coupl(nGC_39)*coupl(nGC_73)**2d0 + 9d0*cima*coupl(&
                      nGC_1150)*coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_3) + 9d0*&
                      cima*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_25)*coupl(  &
                      nGC_3) + 4d0*cima*coupl(nGC_1294)**2d0*coupl(nGC_4)*coupl&
                      (nGC_40) + 4d0*cima*coupl(nGC_162)**2d0*coupl(nGC_4)*    &
                      coupl(nGC_40) + 12d0*cima*coupl(nGC_17)*coupl(nGC_29) -  &
                      16d0*cima*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_65)**2d0  &
                       - 16d0*cima*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_69)**  &
                      2d0 - 16d0*cima*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_81  &
                      )**2d0 + 10d0*cima*coupl(nGC_4)*coupl(nGC_41)*coupl(     &
                      nGC_65)**2d0 + 10d0*cima*coupl(nGC_4)*coupl(nGC_41)*coupl&
                      (nGC_69)**2d0 + 10d0*cima*coupl(nGC_4)*coupl(nGC_41)*    &
                      coupl(nGC_81)**2d0 - 3d0*coupl(nGC_1150)*coupl(nGC_22)*  &
                      coupl(nGC_29) - 3d0*coupl(nGC_1150)*coupl(nGC_3)*coupl(  &
                      nGC_9) - 3d0*coupl(nGC_1172)*coupl(nGC_212)*coupl(nGC_27 &
                      ) - 3d0*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_29) - 3d0&
                      *coupl(nGC_1250)*coupl(nGC_25)*coupl(nGC_27) - 3d0*coupl(&
                      nGC_1250)*coupl(nGC_3)*coupl(nGC_8) + 3d0*coupl(nGC_1294 &
                      )**2d0*coupl(nGC_42) + 3d0*coupl(nGC_162)**2d0*coupl(    &
                      nGC_42) + 18d0*coupl(nGC_17)*coupl(nGC_212)*coupl(nGC_618&
                      ) + 18d0*coupl(nGC_17)*coupl(nGC_25)*coupl(nGC_3) - 3d0* &
                      coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_8) - 3d0*coupl(     &
                      nGC_212)*coupl(nGC_22)*coupl(nGC_28) - 3d0*coupl(nGC_22)*&
                      coupl(nGC_25)*coupl(nGC_26) - 3d0*coupl(nGC_22)*coupl(   &
                      nGC_3)*coupl(nGC_7))/(96d0*pi**2d0)
    coupl(nGC_3475) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)*   &
                      coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)* &
                      coupl(nGC_57)*coupl(nGC_58) + 4d0*Nc*cima*coupl(nGC_1)*  &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) + 4d0*Nc*cima* &
                      coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_74) - &
                      16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77)*   &
                      coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)* &
                      coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_2)* &
                      coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) + 4d0*Nc*cima* &
                      coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - &
                      16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61)*   &
                      coupl(nGC_62) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)* &
                      coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*cima*coupl(nGC_2)*  &
                      coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*cima* &
                      coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_86) + &
                      9d0*cima*coupl(nGC_1150)*coupl(nGC_25)*coupl(nGC_40)*    &
                      coupl(nGC_618) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_3)*  &
                      coupl(nGC_4)*coupl(nGC_618) + 4d0*cima*coupl(nGC_1172)** &
                      2d0*coupl(nGC_162)*coupl(nGC_22) + 4d0*cima*coupl(       &
                      nGC_1294)*coupl(nGC_20)*coupl(nGC_37)*coupl(nGC_4) + 4d0*&
                      cima*coupl(nGC_162)*coupl(nGC_22)**3d0 + 9d0*cima*coupl( &
                      nGC_20)*coupl(nGC_212)*coupl(nGC_2268)*coupl(nGC_3) + 4d0&
                      *cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_65)*coupl(    &
                      nGC_66) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(     &
                      nGC_69)*coupl(nGC_70) + 4d0*cima*coupl(nGC_23)*coupl(    &
                      nGC_4)*coupl(nGC_81)*coupl(nGC_82) + 24d0*cima*coupl(    &
                      nGC_26)*coupl(nGC_5) + 24d0*cima*coupl(nGC_470)*coupl(   &
                      nGC_7) - 6d0*coupl(nGC_1150)*coupl(nGC_17)*coupl(nGC_3   &
                      ) - 6d0*coupl(nGC_1150)*coupl(nGC_17)*coupl(nGC_618) -   &
                      6d0*coupl(nGC_1150)*coupl(nGC_25)*coupl(nGC_42) - 6d0*   &
                      coupl(nGC_1150)*coupl(nGC_3)*coupl(nGC_6) - 6d0*coupl(   &
                      nGC_1150)*coupl(nGC_4)*coupl(nGC_5) - 6d0*coupl(nGC_1150 &
                      )*coupl(nGC_40)*coupl(nGC_470) + 6d0*coupl(nGC_1172)*    &
                      coupl(nGC_22)*coupl(nGC_27) - 6d0*coupl(nGC_1294)*coupl( &
                      nGC_212)*coupl(nGC_26) + 6d0*coupl(nGC_1294)*coupl(nGC_27&
                      )*coupl(nGC_37) - 6d0*coupl(nGC_162)*coupl(nGC_26)*coupl(&
                      nGC_618) - 6d0*coupl(nGC_20)*coupl(nGC_2268)*coupl(      &
                      nGC_470) - 6d0*coupl(nGC_212)*coupl(nGC_2268)*coupl(     &
                      nGC_27) + 36d0*coupl(nGC_212)*coupl(nGC_3)*coupl(nGC_7   &
                      ) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_26) + 36d0*coupl(   &
                      nGC_26)*coupl(nGC_3)*coupl(nGC_618))/(192d0*pi**2d0)
    coupl(nGC_3489) = (20d0*Nc*cima*coupl(nGC_53)**4d0 + 20d0*Nc*cima*coupl(   &
                      nGC_57)**4d0 + 20d0*Nc*cima*coupl(nGC_61)**4d0 + 20d0*Nc*&
                      cima*coupl(nGC_73)**4d0 + 20d0*Nc*cima*coupl(nGC_77)**4d0&
                       + 20d0*Nc*cima*coupl(nGC_85)**4d0 - 20d0*cima*coupl(    &
                      nGC_1150)**2d0*coupl(nGC_22)**2d0 - 10d0*cima*coupl(     &
                      nGC_1150)*coupl(nGC_1172)*coupl(nGC_20)*coupl(nGC_22) -  &
                      10d0*cima*coupl(nGC_1150)*coupl(nGC_1172)*coupl(nGC_21)* &
                      coupl(nGC_22) - 10d0*cima*coupl(nGC_1150)*coupl(nGC_1250 &
                      )*coupl(nGC_20)*coupl(nGC_22) - 10d0*cima*coupl(nGC_1150 &
                      )*coupl(nGC_1250)*coupl(nGC_21)*coupl(nGC_22) - 5d0*cima*&
                      coupl(nGC_1172)**2d0*coupl(nGC_21)**2d0 - 10d0*cima*coupl&
                      (nGC_1172)*coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_21) - &
                      5d0*cima*coupl(nGC_1250)**2d0*coupl(nGC_20)**2d0 - 5d0*  &
                      cima*coupl(nGC_1294)**4d0 - 10d0*cima*coupl(nGC_1294)**  &
                      2d0*coupl(nGC_162)**2d0 - 10d0*cima*coupl(nGC_1294)**2d0*&
                      coupl(nGC_40)**2d0 - 20d0*cima*coupl(nGC_1294)*coupl(    &
                      nGC_162)*coupl(nGC_4)*coupl(nGC_40) - 5d0*cima*coupl(    &
                      nGC_162)**4d0 - 10d0*cima*coupl(nGC_162)**2d0*coupl(nGC_4&
                      )**2d0 + 24d0*cima*coupl(nGC_17)**2d0 - 5d0*cima*coupl(  &
                      nGC_4)**4d0 - 10d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40)**&
                      2d0 - 5d0*cima*coupl(nGC_40)**4d0 + 24d0*cima*coupl(     &
                      nGC_42)**2d0 + 12d0*cima*coupl(nGC_45)**2d0 + 12d0*cima* &
                      coupl(nGC_6)**2d0 + 20d0*cima*coupl(nGC_65)**4d0 + 20d0* &
                      cima*coupl(nGC_69)**4d0 + 20d0*cima*coupl(nGC_81)**4d0 + &
                      12d0*coupl(nGC_1150)*coupl(nGC_13)*coupl(nGC_22) - 12d0* &
                      coupl(nGC_1150)*coupl(nGC_17)*coupl(nGC_22) + 6d0*coupl( &
                      nGC_1172)*coupl(nGC_13)*coupl(nGC_21) - 6d0*coupl(       &
                      nGC_1172)*coupl(nGC_17)*coupl(nGC_21) + 6d0*coupl(       &
                      nGC_1250)*coupl(nGC_13)*coupl(nGC_20) - 6d0*coupl(       &
                      nGC_1250)*coupl(nGC_17)*coupl(nGC_20) + 6d0*coupl(       &
                      nGC_1294)**2d0*coupl(nGC_14) - 6d0*coupl(nGC_1294)**2d0* &
                      coupl(nGC_45) + 6d0*coupl(nGC_1294)*coupl(nGC_14)*coupl( &
                      nGC_40) - 12d0*coupl(nGC_1294)*coupl(nGC_162)*coupl(     &
                      nGC_42) + 6d0*coupl(nGC_14)*coupl(nGC_162)**2d0 + 6d0*   &
                      coupl(nGC_14)*coupl(nGC_162)*coupl(nGC_4) + 6d0*coupl(   &
                      nGC_14)*coupl(nGC_4)**2d0 + 6d0*coupl(nGC_14)*coupl(     &
                      nGC_40)**2d0 - 6d0*coupl(nGC_162)**2d0*coupl(nGC_6) - 6d0&
                      *coupl(nGC_4)**2d0*coupl(nGC_6) - 12d0*coupl(nGC_4)*coupl&
                      (nGC_40)*coupl(nGC_42) - 6d0*coupl(nGC_40)**2d0*coupl(   &
                      nGC_45))/(96d0*pi**2d0)
    coupl(nGC_5055) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_3591)
    coupl(nGC_5058) = coupl(nGC_5055) + coupl(nGC_5056)
    coupl(nGC_5059) = coupl(nGC_5055) + coupl(nGC_5057)
    coupl(nGC_9989) = -coupl(nGC_3290)
    coupl(nGC_5382) = coupl(nGC_5379) - 2d0*coupl(nGC_5380)
    coupl(nGC_5667) = -2d0*coupl(nGC_5666)
    coupl(nGC_5663) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*dZbL_QED2&
                      /2d0 + coupl(nGC_23)*dZtL_QED2/2d0 + coupl(nGC_3593)
    coupl(nGC_6142) = coupl(nGC_5055) + coupl(nGC_6139)
    coupl(nGC_5108) = coupl(nGC_5098) + coupl(nGC_5106)
    coupl(nGC_5431) = coupl(nGC_5055) + coupl(nGC_5430)
    coupl(nGC_6827) = coupl(nGC_3614) + coupl(nGC_62)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_62)*dZdR_QCD2/2d0
    coupl(nGC_5576) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3548)
    coupl(nGC_3397) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_20)*    &
                      coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_2268)*coupl(     &
                      nGC_34)*coupl(nGC_74) + 8d0*coupl(nGC_34)*coupl(nGC_38)* &
                      coupl(nGC_75) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_74 &
                      ) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(   &
                      nGC_74)**2d0*coupl(nGC_75) - coupl(nGC_75)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_5432) = coupl(nGC_5055) + coupl(nGC_5429)
    coupl(nGC_5747) = coupl(nGC_5175) + coupl(nGC_5744)
    coupl(nGC_3487) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*   &
                      coupl(nGC_39) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)** &
                      2d0*coupl(nGC_38) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0*coupl(nGC_39) + 4d0*cima*coupl(nGC_19)*coupl(     &
                      nGC_470) - 8d0*cima*coupl(nGC_212)**2d0*coupl(nGC_25)*   &
                      coupl(nGC_3) - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)* &
                      coupl(nGC_40) + 6d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)*&
                      coupl(nGC_41) - 8d0*cima*coupl(nGC_25)*coupl(nGC_3)*coupl&
                      (nGC_618)**2d0 + 4d0*cima*coupl(nGC_470)*coupl(nGC_5) +  &
                      coupl(nGC_18)*coupl(nGC_212)*coupl(nGC_618) + 6d0*coupl( &
                      nGC_19)*coupl(nGC_212)*coupl(nGC_3) + coupl(nGC_212)**2d0&
                      *coupl(nGC_470) + coupl(nGC_212)*coupl(nGC_25)*coupl(    &
                      nGC_29) + 6d0*coupl(nGC_212)*coupl(nGC_25)*coupl(nGC_470 &
                      ) + coupl(nGC_212)*coupl(nGC_3)*coupl(nGC_392) + 6d0*    &
                      coupl(nGC_212)*coupl(nGC_3)*coupl(nGC_5) + coupl(nGC_240 &
                      )*coupl(nGC_25)*coupl(nGC_618) + coupl(nGC_25)*coupl(    &
                      nGC_3)*coupl(nGC_982) + coupl(nGC_29)*coupl(nGC_3)*coupl(&
                      nGC_618) + 6d0*coupl(nGC_3)*coupl(nGC_470)*coupl(nGC_618 &
                      ) + coupl(nGC_470)*coupl(nGC_618)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3486) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*   &
                      coupl(nGC_39) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)** &
                      2d0*coupl(nGC_38) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0*coupl(nGC_39) + 4d0*cima*coupl(nGC_19)*coupl(     &
                      nGC_470) - 8d0*cima*coupl(nGC_212)**2d0*coupl(nGC_25)*   &
                      coupl(nGC_3) - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)* &
                      coupl(nGC_40) + 6d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)*&
                      coupl(nGC_41) - 8d0*cima*coupl(nGC_25)*coupl(nGC_3)*coupl&
                      (nGC_618)**2d0 + 4d0*cima*coupl(nGC_470)*coupl(nGC_5) +  &
                      coupl(nGC_18)*coupl(nGC_25)*coupl(nGC_3) + 6d0*coupl(    &
                      nGC_19)*coupl(nGC_212)*coupl(nGC_3) + coupl(nGC_212)**2d0&
                      *coupl(nGC_470) + coupl(nGC_212)*coupl(nGC_240)*coupl(   &
                      nGC_3) + coupl(nGC_212)*coupl(nGC_25)*coupl(nGC_29) + 6d0&
                      *coupl(nGC_212)*coupl(nGC_25)*coupl(nGC_470) + coupl(    &
                      nGC_212)*coupl(nGC_3)*coupl(nGC_392) + coupl(nGC_212)*   &
                      coupl(nGC_618)*coupl(nGC_982) + 6d0*coupl(nGC_25)*coupl( &
                      nGC_5)*coupl(nGC_618) + coupl(nGC_29)*coupl(nGC_3)*coupl(&
                      nGC_618) + 6d0*coupl(nGC_3)*coupl(nGC_470)*coupl(nGC_618 &
                      ) + coupl(nGC_470)*coupl(nGC_618)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3482) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)*   &
                      coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)* &
                      coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1)*  &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*cima* &
                      coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75) - &
                      16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77)*   &
                      coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)* &
                      coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_2)* &
                      coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*Nc*cima* &
                      coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - &
                      16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61)*   &
                      coupl(nGC_63) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)* &
                      coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cima*coupl(nGC_2)*  &
                      coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*cima* &
                      coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) + &
                      4d0*cima*coupl(nGC_1150)*coupl(nGC_162)*coupl(nGC_2268)* &
                      coupl(nGC_40) + 9d0*cima*coupl(nGC_1150)*coupl(nGC_25)*  &
                      coupl(nGC_37)*coupl(nGC_618) + 4d0*cima*coupl(nGC_1172)* &
                      coupl(nGC_1250)**2d0*coupl(nGC_4) + 4d0*cima*coupl(      &
                      nGC_1172)*coupl(nGC_22)**2d0*coupl(nGC_4) + 9d0*cima*    &
                      coupl(nGC_1294)*coupl(nGC_21)*coupl(nGC_212)*coupl(nGC_3 &
                      ) + 9d0*cima*coupl(nGC_162)*coupl(nGC_21)*coupl(nGC_3)*  &
                      coupl(nGC_618) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*    &
                      coupl(nGC_65)*coupl(nGC_67) + 4d0*cima*coupl(nGC_23)*    &
                      coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_71) + 4d0*cima*coupl&
                      (nGC_23)*coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_83) + 24d0*&
                      cima*coupl(nGC_27)*coupl(nGC_5) + 24d0*cima*coupl(nGC_470&
                      )*coupl(nGC_8) - 6d0*coupl(nGC_1150)*coupl(nGC_37)*coupl(&
                      nGC_470) + 6d0*coupl(nGC_1172)*coupl(nGC_1250)*coupl(    &
                      nGC_27) + 6d0*coupl(nGC_1172)*coupl(nGC_22)*coupl(nGC_28 &
                      ) - 6d0*coupl(nGC_1294)*coupl(nGC_21)*coupl(nGC_470) -   &
                      6d0*coupl(nGC_162)*coupl(nGC_21)*coupl(nGC_5) - 6d0*coupl&
                      (nGC_17)*coupl(nGC_21)*coupl(nGC_3) - 6d0*coupl(nGC_17)* &
                      coupl(nGC_21)*coupl(nGC_618) - 6d0*coupl(nGC_21)*coupl(  &
                      nGC_212)*coupl(nGC_42) - 6d0*coupl(nGC_21)*coupl(nGC_6)* &
                      coupl(nGC_618) + 6d0*coupl(nGC_2268)*coupl(nGC_28)*coupl(&
                      nGC_40) - 6d0*coupl(nGC_25)*coupl(nGC_27)*coupl(nGC_40   &
                      ) - 6d0*coupl(nGC_25)*coupl(nGC_28)*coupl(nGC_37) + 36d0*&
                      coupl(nGC_25)*coupl(nGC_618)*coupl(nGC_8) - 6d0*coupl(   &
                      nGC_27)*coupl(nGC_3)*coupl(nGC_4) + 36d0*coupl(nGC_27)*  &
                      coupl(nGC_3)*coupl(nGC_618))/(192d0*pi**2d0)
    coupl(nGC_5021) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3592)
    coupl(nGC_3480) = (6d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 + 6d0* &
                      Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 + 6d0*Nc*   &
                      cima*coupl(nGC_2)**2d0*coupl(nGC_35)**2d0 + 6d0*Nc*cima* &
                      coupl(nGC_2)**2d0*coupl(nGC_39)**2d0 - 20d0*cima*coupl(  &
                      nGC_212)**2d0*coupl(nGC_618)**2d0 + 6d0*cima*coupl(      &
                      nGC_240)*coupl(nGC_392) - 20d0*cima*coupl(nGC_25)**2d0*  &
                      coupl(nGC_3)**2d0 + 6d0*cima*coupl(nGC_36)**2d0*coupl(   &
                      nGC_4)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40)** &
                      2d0 + 9d0*coupl(nGC_212)**2d0*coupl(nGC_240) + 6d0*coupl(&
                      nGC_212)*coupl(nGC_470)*coupl(nGC_618) + 9d0*coupl(      &
                      nGC_240)*coupl(nGC_25)**2d0 + 6d0*coupl(nGC_25)*coupl(   &
                      nGC_3)*coupl(nGC_470) + 9d0*coupl(nGC_3)**2d0*coupl(     &
                      nGC_392) + 9d0*coupl(nGC_392)*coupl(nGC_618)**2d0)/(48d0*&
                      pi**2d0)
    coupl(nGC_5372) = coupl(nGC_3627) + coupl(nGC_75)*dZH_QED2/2d0
    coupl(nGC_5371) = coupl(nGC_3626) + coupl(nGC_5370)
    coupl(nGC_6141) = coupl(nGC_5055) + coupl(nGC_6140)
    coupl(nGC_5778) = coupl(nGC_3568) + coupl(nGC_48)*dZH_QED2/2d0 + coupl(    &
                      nGC_GGH)
    coupl(nGC_3249) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3  &
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_618)**2d0 - 2d0*cMW &
                      **2d0*coupl(nGC_240))/(16d0*pi**2d0)
    coupl(nGC_9727) = -coupl(nGC_3315)
    coupl(nGC_5698) = coupl(nGC_5021) + coupl(nGC_5696)
    coupl(nGC_5022) = coupl(nGC_5020) + coupl(nGC_5021)
  end subroutine fill_CTcouplings_mdl17
end module fill_ctcouplings17
