!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_5253) = coupl(nGC_3682) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_3678) = cima*dMZ2_QED2
    coupl(nGC_3679) = cima*dMW2_QED2
    coupl(nGC_7599) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_3621) = coupl(nGC_3206)*dyb_QED3
    coupl(nGC_6773) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_3239) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_3677) = -cima*dMB_QCD2
    coupl(nGC_6214) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
    coupl(nGC_5987) = coupl(nGC_11)*dZtL_QCD2
    coupl(nGC_3561) = coupl(nGC_3118)*dZee_QED2 + coupl(nGC_3119)*dsw_QED2 +   &
                      coupl(nGC_3120)*dcw_QED2
    coupl(nGC_3628) = coupl(nGC_3207)*dyb_QED1_QCD2
    coupl(nGC_3565) = coupl(nGC_3103)*dlam_QED4
    coupl(nGC_3567) = -cima*dlam_QED4
    coupl(nGC_3398) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3644) = coupl(nGC_3232)*dyup_QED1_QCD2
    coupl(nGC_3367) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3369) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3270) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_7304) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_7305) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_3610) = -cima*dyb_QED1_QCD2
    coupl(nGC_3616) = coupl(nGC_3226)*dys_QED1_QCD2
    coupl(nGC_3277) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5470) = coupl(nGC_3679) + coupl(nGC_MW)*dZWMinus_QED2
    coupl(nGC_5603) = coupl(nGC_11)*dZbL_QCD2
    coupl(nGC_5210) = coupl(nGC_3628) + coupl(nGC_5204)
    coupl(nGC_6008) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_5471) = -coupl(nGC_5467)
    coupl(nGC_8837) = coupl(nGC_I)*dZH_QED2
    coupl(nGC_5920) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/ &
                      2d0
    coupl(nGC_3620) = coupl(nGC_3206)*dyb_QED1_QCD2
    coupl(nGC_9149) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_5600) = coupl(nGC_11)*dZbR_QED2
    coupl(nGC_4997) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_3643) = coupl(nGC_3235)*dyup_QED3
    coupl(nGC_3609) = cima*dyt_QED3
    coupl(nGC_3608) = cima*dyt_QED1_QCD2
    coupl(nGC_3605) = cima*dyc_QED3
    coupl(nGC_3604) = cima*dyc_QED1_QCD2
    coupl(nGC_3607) = -cima*dys_QED3
    coupl(nGC_3601) = -cima*dydo_QED3
    coupl(nGC_3600) = -cima*dydo_QED1_QCD2
    coupl(nGC_3603) = cima*dyup_QED3
    coupl(nGC_3602) = cima*dyup_QED1_QCD2
    coupl(nGC_3279) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_7623) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZeMinusR_QED2
    coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
    coupl(nGC_3258) = cima*(coupl(nGC_212)**2d0 + coupl(nGC_25)**2d0)/(48d0*pi &
                      **2d0)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
