!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl8()
    coupl(nGC_9147) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_3436) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_54)*   &
                      coupl(nGC_56) + coupl(nGC_55)**2d0 + coupl(nGC_77)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3437) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_3434) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +     &
                      coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_81)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3435) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82)*coupl(&
                      nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3432) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*coupl(     &
                      nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3433) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*coupl(     &
                      nGC_79)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3430) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_212 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) +    &
                      coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3431) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +     &
                      coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_73)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3438) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_34)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54)*coupl( &
                      nGC_56) + coupl(nGC_55)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3439) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_54)*   &
                      coupl(nGC_56) - coupl(nGC_55)**2d0 - coupl(nGC_77)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_3281) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3283) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3282) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3285) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(nGC_53)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3284) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_77)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_618))/(32d0*pi**2d0)
    coupl(nGC_3286) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3537) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl( &
                      nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_1280) +  &
                      3d0*cima*coupl(nGC_1280)**2d0 + 9d0*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*coupl(   &
                      nGC_1280)*sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_3536) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*coupl&
                      (nGC_1282)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*  &
                      sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1276)*sq2**  &
                      2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1280)*sq2**2d0 +  &
                      33d0*coupl(nGC_10)**2d0*coupl(nGC_1282)*sq2**2d0)/(384d0*&
                      pi**2d0)
    coupl(nGC_3535) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima* &
                      coupl(nGC_12)*coupl(nGC_1282) + 6d0*Nc*cima*coupl(       &
                      nGC_1280)*coupl(nGC_1282) - 9d0*Nc*coupl(nGC_10)**2d0*   &
                      coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_1276)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_1280)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_1282)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_3534) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*  &
                      coupl(nGC_12)*coupl(nGC_1282) + 3d0*Nc*cima*coupl(       &
                      nGC_1280)*coupl(nGC_1282) - 6d0*Nc*coupl(nGC_10)**2d0*   &
                      coupl(nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_1280)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_1282)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(192d0*pi**2d0*Nc)
    coupl(nGC_3533) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1282) + 12d0*Nc*cima*coupl(      &
                      nGC_1280)*coupl(nGC_1282) - 21d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_1276)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_1280)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_1282)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0*sq2**  &
                      4d0)/(768d0*pi**2d0*Nc)
    coupl(nGC_3532) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_1280)**2d0 + &
                      21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 21d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1280)*sq2**2d0 + 36d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_3531) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1276) - 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1282) - 30d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_3530) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0*Nc&
                      **2d0)
    coupl(nGC_5151) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0  &
                       + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3550)
    coupl(nGC_5019) = coupl(nGC_11)*dZcR_QED2
    coupl(nGC_5016) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_5014) = coupl(nGC_28)*dZAZ_QED2/2d0 + coupl(nGC_3583) + coupl(   &
                      nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/2d0
    coupl(nGC_5015) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_6139) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_38)*dZZA_QED2/2d0
    coupl(nGC_5625) = coupl(nGC_3630) + coupl(nGC_65)*dZeMinusR_QED2/2d0 +     &
                      coupl(nGC_65)*dZnu_eL_QED2/2d0
    coupl(nGC_5627) = -coupl(nGC_5626)
    coupl(nGC_5529) = coupl(nGC_3582) + coupl(nGC_40)*dZZ_QED2/2d0 + coupl(    &
                      nGC_40)*dZtauMinusL_QED2
    coupl(nGC_5331) = coupl(nGC_34)*dZdR_QCD2
    coupl(nGC_5336) = coupl(nGC_3596) + coupl(nGC_38)*dZZ_QED2/2d0 + coupl(    &
                      nGC_38)*dZdL_QED2
    coupl(nGC_5338) = coupl(nGC_5328) + coupl(nGC_5336)
    coupl(nGC_6088) = -2d0*coupl(nGC_6087)
    coupl(nGC_6290) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3548)
    coupl(nGC_3520) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +    &
                      12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(     &
                      nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39)** &
                      2d0 + 4d0*cima*coupl(nGC_19)**2d0 - 8d0*cima*coupl(      &
                      nGC_212)**2d0*coupl(nGC_25)**2d0 - 4d0*cima*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40)**2d0 + 12d0*cima*coupl(nGC_23)**2d0*&
                      coupl(nGC_40)*coupl(nGC_41) - 4d0*cima*coupl(nGC_23)**2d0&
                      *coupl(nGC_41)**2d0 - 8d0*cima*coupl(nGC_25)**2d0*coupl( &
                      nGC_618)**2d0 + 4d0*cima*coupl(nGC_470)**2d0 + coupl(    &
                      nGC_18)*coupl(nGC_25)**2d0 + coupl(nGC_19)*coupl(nGC_212 &
                      )**2d0 + 12d0*coupl(nGC_19)*coupl(nGC_212)*coupl(nGC_25  &
                      ) + coupl(nGC_19)*coupl(nGC_618)**2d0 + coupl(nGC_212)** &
                      2d0*coupl(nGC_982) + 2d0*coupl(nGC_212)*coupl(nGC_25)*   &
                      coupl(nGC_392) + 2d0*coupl(nGC_25)*coupl(nGC_29)*coupl(  &
                      nGC_618) + 12d0*coupl(nGC_25)*coupl(nGC_470)*coupl(      &
                      nGC_618))/(32d0*pi**2d0)
    coupl(nGC_3393) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*    &
                      coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75) +  &
                      cMT*coupl(nGC_79) + cMU*coupl(nGC_87))/(16d0*pi**2d0*Nc)
    coupl(nGC_5528) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(    &
                      nGC_36)*dZtauMinusR_QED2
    coupl(nGC_5244) = coupl(nGC_3643) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(   &
                      nGC_86)*dZuR_QED2/2d0
    coupl(nGC_5243) = coupl(nGC_3644) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_88)*dZuR_QCD2/2d0
    coupl(nGC_3647) = coupl(nGC_3214)*dyc_QED3
    coupl(nGC_3646) = coupl(nGC_3214)*dyc_QED1_QCD2
    coupl(nGC_3379) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc*  &
                      cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl( &
                      nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23)**  &
                      2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*coupl( &
                      nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(nGC_87) -  &
                      4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) - 4d0*cMM*coupl(&
                      nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_23)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_18)*coupl(nGC_50) +   &
                      2d0*cima*coupl(nGC_392)*coupl(nGC_52) - coupl(nGC_1172)* &
                      coupl(nGC_212)*coupl(nGC_47) - coupl(nGC_1172)*coupl(    &
                      nGC_51)*coupl(nGC_618) - coupl(nGC_21)*coupl(nGC_212)*   &
                      coupl(nGC_47) - coupl(nGC_21)*coupl(nGC_51)*coupl(nGC_618&
                      ) + 6d0*coupl(nGC_212)**2d0*coupl(nGC_50) + 6d0*coupl(   &
                      nGC_25)**2d0*coupl(nGC_52) + 6d0*coupl(nGC_50)*coupl(    &
                      nGC_618)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3378) = 3d0*(8d0*Nc*cMB*coupl(nGC_55)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_59)**3d0 + 8d0*Nc*cMD*coupl(nGC_63)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_75)**3d0 + 8d0*Nc*cMT*coupl(nGC_79)**3d0 + 8d0&
                      *Nc*cMU*coupl(nGC_87)**3d0 + 8d0*cME*coupl(nGC_67)**3d0  &
                       + 8d0*cMM*coupl(nGC_71)**3d0 + 8d0*cMTA*coupl(nGC_83)** &
                      3d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) + 2d0*cima*   &
                      coupl(nGC_46)*coupl(nGC_52) + coupl(nGC_1172)*coupl(     &
                      nGC_21)*coupl(nGC_48) - coupl(nGC_1172)*coupl(nGC_21)*   &
                      coupl(nGC_50) + coupl(nGC_1250)*coupl(nGC_20)*coupl(     &
                      nGC_48) - coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_50) +  &
                      coupl(nGC_2268)*coupl(nGC_37)*coupl(nGC_48) - coupl(     &
                      nGC_2268)*coupl(nGC_37)*coupl(nGC_52))/(32d0*pi**2d0)
    coupl(nGC_6950) = coupl(nGC_3657) + coupl(nGC_59)*dZH_QED2/2d0
    coupl(nGC_6951) = coupl(nGC_6944) + coupl(nGC_6950)
  end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
