!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl9()
    coupl(nGC_3371) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3370) = (-coupl(nGC_1150)*coupl(nGC_23)*coupl(nGC_77) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_80) - coupl(nGC_2268)*coupl(nGC_39&
                      )*coupl(nGC_79) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_80   &
                      ) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) - coupl(   &
                      nGC_78)*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(nGC_80  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3373) = (coupl(nGC_1150)*coupl(nGC_23)*coupl(nGC_81) + coupl(    &
                      nGC_2268)*coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_83) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_84) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(nGC_82&
                      )*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3372) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_81) + coupl(      &
                      nGC_2268)*coupl(nGC_36)*coupl(nGC_83) + 8d0*coupl(nGC_36 &
                      )*coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_37)*coupl(     &
                      nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_82) - coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83&
                      )**2d0*coupl(nGC_84))/(32d0*pi**2d0)
    coupl(nGC_3375) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3374) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_85) - coupl(nGC_2268)*coupl(     &
                      nGC_35)*coupl(nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)* &
                      coupl(nGC_86) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_87 &
                      ) - coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85) - coupl(   &
                      nGC_86)**2d0*coupl(nGC_88) - coupl(nGC_87)**2d0*coupl(   &
                      nGC_88))/(32d0*pi**2d0)
    coupl(nGC_3377) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3376) = (-coupl(nGC_1150)*coupl(nGC_23)*coupl(nGC_85) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_2268)*coupl(nGC_39&
                      )*coupl(nGC_87) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_88   &
                      ) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85) - coupl(   &
                      nGC_86)*coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_5416) = coupl(nGC_3616) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_74)*dZsR_QCD2/2d0
    coupl(nGC_7622) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0
    coupl(nGC_5415) = coupl(nGC_3618) + coupl(nGC_76)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_76)*dZsR_QCD2/2d0
    coupl(nGC_5790) = coupl(nGC_79)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_5418) = coupl(nGC_3617) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl(   &
                      nGC_74)*dZsR_QED2/2d0
    coupl(nGC_5792) = coupl(nGC_3659) + coupl(nGC_79)*dZH_QED2/2d0
    coupl(nGC_9152) = coupl(nGC_3675) + coupl(nGC_9148)
    coupl(nGC_4941) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 +   &
                      coupl(nGC_3555)
    coupl(nGC_3573) = coupl(nGC_3197)*dsw_QED2 + coupl(nGC_3198)*dZee_QED2 +   &
                      coupl(nGC_3199)*dvev_QED1
    coupl(nGC_3570) = coupl(nGC_3098)*dZee_QED2
    coupl(nGC_3577) = coupl(nGC_3114)*dZee_QED2 + coupl(nGC_3115)*dsw_QED2
    coupl(nGC_3576) = coupl(nGC_3126)*dZee_QED2 + coupl(nGC_3127)*dsw_QED2
    coupl(nGC_3575) = coupl(nGC_3121)*dZee_QED2 + coupl(nGC_3122)*dsw_QED2
    coupl(nGC_3574) = coupl(nGC_3116)*dZee_QED2 + coupl(nGC_3117)*dsw_QED2
    coupl(nGC_3578) = coupl(nGC_3110)*dZee_QED2 + coupl(nGC_3111)*dsw_QED2
    coupl(nGC_5056) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_34)*dZZA_QED2/2d0
    coupl(nGC_5666) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3549)
    coupl(nGC_3364) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_76) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_2268)*coupl(     &
                      nGC_34)*coupl(nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)* &
                      coupl(nGC_76) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_75 &
                      ) - coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73) - coupl(   &
                      nGC_74)*coupl(nGC_75)**2d0 - coupl(nGC_74)*coupl(nGC_76  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3275) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3276) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_5460) = coupl(nGC_3567) + coupl(nGC_GPGMGPGM)
    coupl(nGC_3278) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3362) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_69) + coupl(      &
                      nGC_2268)*coupl(nGC_36)*coupl(nGC_71) + 8d0*coupl(nGC_36 &
                      )*coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_37)*coupl(     &
                      nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_70) - coupl(nGC_70)**2d0*coupl(nGC_72) - coupl(nGC_71&
                      )**2d0*coupl(nGC_72))/(32d0*pi**2d0)
    coupl(nGC_3363) = (coupl(nGC_1150)*coupl(nGC_23)*coupl(nGC_69) + coupl(    &
                      nGC_2268)*coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_72) - coupl(nGC_70)*coupl(nGC_71)**2d0 - coupl(nGC_70&
                      )*coupl(nGC_72)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3409) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3408) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1)* &
                      coupl(nGC_618) + coupl(nGC_2)*coupl(nGC_3) + coupl(      &
                      nGC_212)*coupl(nGC_38) + coupl(nGC_25)*coupl(nGC_39) +   &
                      coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_3406) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3405) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_21)*    &
                      coupl(nGC_23)*coupl(nGC_85) - coupl(nGC_2268)*coupl(     &
                      nGC_35)*coupl(nGC_88) + 8d0*coupl(nGC_35)*coupl(nGC_39)* &
                      coupl(nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_88 &
                      ) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(   &
                      nGC_87)**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3404) = (-coupl(nGC_1172)*coupl(nGC_23)*coupl(nGC_85) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_2268)*coupl(nGC_39&
                      )*coupl(nGC_86) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87   &
                      ) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(   &
                      nGC_86)**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3403) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_81) + coupl(      &
                      nGC_2268)*coupl(nGC_36)*coupl(nGC_84) + 8d0*coupl(nGC_36 &
                      )*coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_37)*coupl(     &
                      nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_83) - coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(nGC_84&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3402) = (coupl(nGC_1172)*coupl(nGC_23)*coupl(nGC_81) + coupl(    &
                      nGC_2268)*coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_83) - coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3401) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3400) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_21)*    &
                      coupl(nGC_23)*coupl(nGC_77) - coupl(nGC_2268)*coupl(     &
                      nGC_35)*coupl(nGC_80) + 8d0*coupl(nGC_35)*coupl(nGC_39)* &
                      coupl(nGC_79) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_80 &
                      ) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(   &
                      nGC_79)**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_6140) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_34)*dZZA_QED2/2d0
    coupl(nGC_3368) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_77) - coupl(nGC_2268)*coupl(     &
                      nGC_35)*coupl(nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)* &
                      coupl(nGC_78) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_79 &
                      ) - coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) - coupl(   &
                      nGC_78)**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0*coupl(   &
                      nGC_80))/(32d0*pi**2d0)
    coupl(nGC_3242) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57)** &
                      2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_73)** &
                      2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(nGC_85)** &
                      2d0 + 2d0*coupl(nGC_1150)*coupl(nGC_22) + coupl(nGC_1172 &
                      )*coupl(nGC_21) + coupl(nGC_1250)*coupl(nGC_20) + coupl( &
                      nGC_1294)**2d0 + coupl(nGC_162)**2d0 + coupl(nGC_4)**2d0 &
                       + coupl(nGC_40)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*    &
                      coupl(nGC_69)**2d0 + 4d0*coupl(nGC_81)**2d0)/(192d0*pi** &
                      2d0)
    coupl(nGC_5563) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3577)
    coupl(nGC_5208) = coupl(nGC_3629) + coupl(nGC_55)*dZH_QED2/2d0
    coupl(nGC_3494) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)**3d0 + 6d0*Nc*   &
                      cima*coupl(nGC_1)*coupl(nGC_38)**3d0 + 6d0*Nc*cima*coupl(&
                      nGC_2)*coupl(nGC_35)**3d0 + 6d0*Nc*cima*coupl(nGC_2)*    &
                      coupl(nGC_39)**3d0 - 20d0*cima*coupl(nGC_212)**3d0*coupl(&
                      nGC_618) - 20d0*cima*coupl(nGC_25)**3d0*coupl(nGC_3) +   &
                      6d0*cima*coupl(nGC_29)*coupl(nGC_392) + 6d0*cima*coupl(  &
                      nGC_36)**3d0*coupl(nGC_4) + 6d0*cima*coupl(nGC_4)*coupl( &
                      nGC_40)**3d0 + 3d0*coupl(nGC_19)*coupl(nGC_212)*coupl(   &
                      nGC_618) + 3d0*coupl(nGC_19)*coupl(nGC_25)*coupl(nGC_3   &
                      ) + 9d0*coupl(nGC_212)**2d0*coupl(nGC_29) + 3d0*coupl(   &
                      nGC_212)**2d0*coupl(nGC_470) + 9d0*coupl(nGC_212)*coupl( &
                      nGC_392)*coupl(nGC_618) + 9d0*coupl(nGC_25)**2d0*coupl(  &
                      nGC_29) + 3d0*coupl(nGC_25)**2d0*coupl(nGC_470) + 9d0*   &
                      coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_392))/(48d0*pi**2d0)
    coupl(nGC_3495) = (-16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 -   &
                      16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_61)**2d0 - 16d0&
                      *Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_73)**2d0 + 20d0*Nc*&
                      cima*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61)** &
                      2d0 + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl(    &
                      nGC_73)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*coupl(    &
                      nGC_57)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*coupl(    &
                      nGC_77)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*coupl(    &
                      nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_35)*coupl(nGC_38)* &
                      coupl(nGC_57)**2d0 + 20d0*Nc*cima*coupl(nGC_35)*coupl(   &
                      nGC_38)*coupl(nGC_77)**2d0 + 20d0*Nc*cima*coupl(nGC_35)* &
                      coupl(nGC_38)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*coupl(   &
                      nGC_38)**2d0*coupl(nGC_57)**2d0 - 16d0*Nc*cima*coupl(    &
                      nGC_38)**2d0*coupl(nGC_77)**2d0 - 16d0*Nc*cima*coupl(    &
                      nGC_38)**2d0*coupl(nGC_85)**2d0 - 16d0*Nc*cima*coupl(    &
                      nGC_39)**2d0*coupl(nGC_53)**2d0 - 16d0*Nc*cima*coupl(    &
                      nGC_39)**2d0*coupl(nGC_61)**2d0 - 16d0*Nc*cima*coupl(    &
                      nGC_39)**2d0*coupl(nGC_73)**2d0 + 4d0*cima*coupl(nGC_1150&
                      )*coupl(nGC_22)*coupl(nGC_2268)*coupl(nGC_37) + 9d0*cima*&
                      coupl(nGC_1150)*coupl(nGC_22)*coupl(nGC_25)**2d0 + 4d0*  &
                      cima*coupl(nGC_1172)*coupl(nGC_21)*coupl(nGC_2268)*coupl(&
                      nGC_37) + 9d0*cima*coupl(nGC_1250)*coupl(nGC_20)*coupl(  &
                      nGC_25)**2d0 + 4d0*cima*coupl(nGC_1294)**2d0*coupl(nGC_40&
                      )**2d0 + 4d0*cima*coupl(nGC_162)**2d0*coupl(nGC_40)**2d0 &
                       + 12d0*cima*coupl(nGC_17)*coupl(nGC_392) - 16d0*cima*   &
                      coupl(nGC_36)**2d0*coupl(nGC_65)**2d0 - 16d0*cima*coupl( &
                      nGC_36)**2d0*coupl(nGC_69)**2d0 - 16d0*cima*coupl(nGC_36 &
                      )**2d0*coupl(nGC_81)**2d0 + 20d0*cima*coupl(nGC_36)*coupl&
                      (nGC_41)*coupl(nGC_65)**2d0 + 20d0*cima*coupl(nGC_36)*   &
                      coupl(nGC_41)*coupl(nGC_69)**2d0 + 20d0*cima*coupl(nGC_36&
                      )*coupl(nGC_41)*coupl(nGC_81)**2d0 - 16d0*cima*coupl(    &
                      nGC_41)**2d0*coupl(nGC_65)**2d0 - 16d0*cima*coupl(nGC_41 &
                      )**2d0*coupl(nGC_69)**2d0 - 16d0*cima*coupl(nGC_41)**2d0*&
                      coupl(nGC_81)**2d0 - 3d0*coupl(nGC_1150)*coupl(nGC_22)*  &
                      coupl(nGC_392) + 3d0*coupl(nGC_1150)*coupl(nGC_22)*coupl(&
                      nGC_46) - 6d0*coupl(nGC_1150)*coupl(nGC_25)*coupl(nGC_9  &
                      ) + 3d0*coupl(nGC_1172)*coupl(nGC_21)*coupl(nGC_46) - 3d0&
                      *coupl(nGC_1250)*coupl(nGC_20)*coupl(nGC_392) - 6d0*coupl&
                      (nGC_1250)*coupl(nGC_25)*coupl(nGC_8) + 3d0*coupl(       &
                      nGC_1294)**2d0*coupl(nGC_45) + 3d0*coupl(nGC_162)**2d0*  &
                      coupl(nGC_45) + 18d0*coupl(nGC_17)*coupl(nGC_212)**2d0 + &
                      18d0*coupl(nGC_17)*coupl(nGC_25)**2d0 - 6d0*coupl(nGC_20 &
                      )*coupl(nGC_25)*coupl(nGC_8) - 6d0*coupl(nGC_22)*coupl(  &
                      nGC_25)*coupl(nGC_7))/(96d0*pi**2d0)
    coupl(nGC_3496) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0 -  &
                      coupl(nGC_57)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_73)**&
                      2d0 - coupl(nGC_77)**2d0 - coupl(nGC_85)**2d0)/(32d0*pi**&
                      2d0)
    coupl(nGC_3497) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 +   &
                      coupl(nGC_57)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_73)**&
                      2d0 + coupl(nGC_77)**2d0 + coupl(nGC_85)**2d0)/(32d0*pi**&
                      2d0*Nc)
  end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
