!******************************************************************************!
!                                                                              !
!    ctparameter49.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter49.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter49
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter49()
  if (dMU_QCD2_scheme .eq. 0) then
    dMU_QCD2 = (pi**2d0*(-Nc*cMU*coupl(nGC_11)**2d0/(2d0*pi**2d0) + cMU*coupl( &
               nGC_11)**2d0/(2d0*pi**2d0*Nc)) + Ten144*cMU*coupl(nGC_11)**2d0*(&
               Nc**2d0 - 1d0)/Nc + Ten147*cMU*coupl(nGC_11)**2d0*(-Nc**2d0 +   &
               1d0)/Nc)/(16d0*pi**2d0)
    dMU_QCD2 = cone*real(dMU_QCD2,kind=dp)
  end if 
end subroutine set_ctparameter49
end module ctparameter49
