!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 14:02             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 309, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 574, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 332, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 355, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 194, check)
    call createCurrent(P_G0, P_H, P_A, 1125, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 746, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 813, check)
    call createCurrent(P_t, P_tAnti, P_A, 569, check)
    call createCurrent(P_c, P_G0, P_cAnti, 5, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 973, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 568, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 304, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 126, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 459, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 626, check)
    call createCurrent(P_Z, P_bAnti, P_b, 570, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 913, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 470, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 341, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 439, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 1033, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 139, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 563, check)
    call createCurrent(P_H, P_H, P_A, P_Z, 1062, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 616, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 46, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 932, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 992, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 1031, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 949, check)
    call createCurrent(P_muPlus, P_muMinus, 1072, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 665, check)
    call createCurrent(P_bAnti, P_b, P_Z, 635, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 241, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 362, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 225, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 427, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 852, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 269, check)
    call createCurrent(P_A, P_c, P_cAnti, 483, check)
    call createCurrent(P_s, P_sAnti, P_H, 639, check)
    call createCurrent(P_t, P_tAnti, P_G0, 629, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1200, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 1020, check)
    call createCurrent(P_H, P_G0, P_G0, 187, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 287, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 299, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 149, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 958, check)
    call createCurrent(P_A, P_uAnti, P_u, 509, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 533, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 130, check)
    call createCurrent(P_H, P_H, P_A, P_A, 1184, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 345, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 482, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1186, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 413, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 737, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 433, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 953, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 572, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 908, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 968, check)
    call createCurrent(P_H, P_H, 1131, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1183, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 863, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 750, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 636, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 540, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 716, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 113, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 893, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 445, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 1000, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 234, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 669, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 207, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 840, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 1002, check)
    call createCurrent(P_s, P_g, P_sAnti, 152, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 960, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 94, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 1032, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 991, check)
    call createCurrent(P_sAnti, P_s, 1137, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 166, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 956, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 666, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 450, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 63, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 452, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1216, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 539, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 791, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 110, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 757, check)
    call createCurrent(P_G0, P_u, P_uAnti, 812, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 99, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 804, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 475, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 856, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 237, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 487, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 338, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 434, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1049, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 922, check)
    call createCurrent(P_Z, P_H, P_A, P_H, 1105, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 807, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 729, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 36, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 942, check)
    call createCurrent(P_G0, P_A, P_G0, P_A, 1154, check)
    call createCurrent(P_sAnti, P_Z, P_s, 939, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 553, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 457, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 325, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 361, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 153, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 889, check)
    call createCurrent(P_dAnti, P_d, 1104, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 612, check)
    call createCurrent(P_cAnti, P_G0, P_c, 516, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 351, check)
    call createCurrent(P_s, P_sAnti, P_Z, 558, check)
    call createCurrent(P_s, P_A, P_sAnti, 586, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1206, check)
    call createCurrent(P_g, P_H, P_g, 1185, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 45, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 86, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 364, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1224, check)
    call createCurrent(P_d, P_dAnti, 1124, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 617, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 1168, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1122, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 638, check)
    call createCurrent(P_g, P_d, P_dAnti, 218, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 67, check)
    call createCurrent(P_H, P_G0, P_A, 1115, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 712, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 1019, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 806, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1103, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 810, check)
    call createCurrent(P_cAnti, P_g, P_c, 632, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 302, check)
    call createCurrent(P_A, P_cAnti, P_c, 431, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 753, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1245, check)
    call createCurrent(P_G0, P_H, P_Z, 751, check)
    call createCurrent(P_H, P_uAnti, P_u, 777, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 1005, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 17, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1121, check)
    call createCurrent(P_Z, P_c, P_cAnti, 711, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 564, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1140, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 387, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 1009, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 472, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 544, check)
    call createCurrent(P_Z, P_dAnti, P_d, 622, check)
    call createCurrent(P_bAnti, P_b, P_g, 524, check)
    call createCurrent(P_H, P_H, P_H, P_H, 30, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 552, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1088, check)
    call createCurrent(P_g, P_tAnti, P_t, 566, check)
    call createCurrent(P_GPlus, P_GMinus, 1075, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1220, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 455, check)
    call createCurrent(P_t, P_H, P_tAnti, 461, check)
    call createCurrent(P_cAnti, P_A, P_c, 214, check)
    call createCurrent(P_g, P_g, P_H, 1172, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 274, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 966, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 231, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 700, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 21, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 1034, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 548, check)
    call createCurrent(P_A, P_H, P_H, P_A, 1160, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 422, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 1225, check)
    call createCurrent(P_uAnti, P_u, P_H, 437, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 722, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 136, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 49, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 55, check)
    call createCurrent(P_H, P_H, P_Z, P_A, 1083, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 226, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 900, check)
    call createCurrent(P_t, P_Z, P_tAnti, 245, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 20, check)
    call createCurrent(P_G0, P_dAnti, P_d, 903, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 107, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1214, check)
    call createCurrent(P_s, P_Z, P_sAnti, 620, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 293, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 646, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 611, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 498, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 141, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 447, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 419, check)
    call createCurrent(P_H, P_cAnti, P_c, 435, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 892, check)
    call createCurrent(P_bAnti, P_b, P_G0, 201, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 596, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 844, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 1016, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 581, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 321, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 779, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 384, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 242, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1118, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 511, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 246, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 260, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 284, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 349, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 104, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 761, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 735, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 305, check)
    call createCurrent(P_A, P_Z, P_Z, P_A, 1194, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 721, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 1022, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 211, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 799, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 39, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 81, check)
    call createCurrent(P_u, P_A, P_uAnti, 850, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 397, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 763, check)
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 436, check)
    call createCurrent(P_H, P_g, P_g, 1198, check)
    call createCurrent(P_uAnti, P_G0, P_u, 841, check)
    call createCurrent(P_A, P_u, P_uAnti, 161, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 102, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 270, check)
    call createCurrent(P_G0, P_c, P_cAnti, 742, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 535, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1178, check)
    call createCurrent(P_dAnti, P_d, P_Z, 145, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 768, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 947, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 333, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 239, check)
    call createCurrent(P_b, P_bAnti, P_G0, 999, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 200, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 103, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 995, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 198, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 370, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1195, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 849, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 388, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 1046, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 378, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 204, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 236, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1100, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1156, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 446, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 815, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 280, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 792, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 948, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 196, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 108, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 170, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 647, check)
    call createCurrent(P_A, P_A, P_H, 1219, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 2, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 872, check)
    call createCurrent(P_Z, P_b, P_bAnti, 505, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 583, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 25, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1235, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 591, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 793, check)
    call createCurrent(P_A, P_Z, P_Z, P_Z, 1212, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 320, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 15, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1111, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 393, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 492, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 878, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 576, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 425, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 778, check)
    call createCurrent(P_sAnti, P_s, P_H, 173, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 683, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 240, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 392, check)
    call createCurrent(P_g, P_u, P_uAnti, 534, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 96, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 326, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 590, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 473, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 855, check)
    call createCurrent(P_Z, P_uAnti, P_u, 604, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 400, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 154, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 585, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 79, check)
    call createCurrent(P_G0, P_A, P_H, 1101, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 897, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 940, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 728, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 44, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 1011, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 571, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 1045, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 910, check)
    call createCurrent(P_g, P_cAnti, P_c, 704, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 579, check)
    call createCurrent(P_dAnti, P_g, P_d, 1044, check)
    call createCurrent(P_Z, P_A, P_Z, P_Z, 1223, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 209, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1066, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 486, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 54, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 264, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 396, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1091, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 854, check)
    call createCurrent(P_c, P_cAnti, P_A, 48, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 111, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 257, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 444, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 19, check)
    call createCurrent(P_sAnti, P_s, P_A, 255, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 192, check)
    call createCurrent(P_s, P_sAnti, 1143, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 38, check)
    call createCurrent(P_G0, P_Z, 1109, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 547, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 85, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 432, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 520, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1237, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 846, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 706, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1227, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 120, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 655, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 353, check)
    call createCurrent(P_b, P_bAnti, P_Z, 986, check)
    call createCurrent(P_g, P_sAnti, P_s, 661, check)
    call createCurrent(P_tAnti, P_t, P_A, 87, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 412, check)
    call createCurrent(P_A, P_Z, P_H, P_H, 1098, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 451, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 328, check)
    call createCurrent(P_u, P_uAnti, P_H, 964, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 191, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1147, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 803, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 826, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1106, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 602, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 801, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 707, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 754, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 744, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 377, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 7, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 315, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 31, check)
    call createCurrent(P_G0, P_bAnti, P_b, 308, check)
    call createCurrent(P_A, P_d, P_dAnti, 837, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 575, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 536, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1157, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 1012, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 179, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 40, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 938, check)
    call createCurrent(P_H, P_H, P_H, 879, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1126, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 235, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 546, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 489, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 885, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 479, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 692, check)
    call createCurrent(P_dAnti, P_A, P_d, 967, check)
    call createCurrent(P_d, P_dAnti, P_g, 829, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 1210, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 129, check)
    call createCurrent(P_uAnti, P_u, 1092, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 1010, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1152, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 527, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 600, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 360, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 13, check)
    call createCurrent(P_A, P_sAnti, P_s, 917, check)
    call createCurrent(P_tAnti, P_t, P_H, 98, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1231, check)
    call createCurrent(P_H, P_A, P_H, P_A, 1232, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 297, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 501, check)
    call createCurrent(P_sAnti, P_A, P_s, 643, check)
    call createCurrent(P_uAnti, P_u, P_A, 868, check)
    call createCurrent(P_H, P_A, P_A, 1169, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 219, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 97, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 47, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 306, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 373, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 523, check)
    call createCurrent(P_A, P_t, P_tAnti, 743, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1229, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 811, check)
    call createCurrent(P_d, P_dAnti, P_Z, 895, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 714, check)
    call createCurrent(P_dAnti, P_H, P_d, 645, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1120, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 808, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 327, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 249, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 694, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1054, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 624, check)
    call createCurrent(P_t, P_tAnti, P_H, 83, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1239, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 592, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1233, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 689, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1141, check)
    call createCurrent(P_GMinus, P_GPlus, 1090, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1211, check)
    call createCurrent(P_GPlus, P_WMinus, 1086, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 731, check)
    call createCurrent(P_tAnti, P_H, P_t, 930, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 283, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1165, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1123, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 668, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 921, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 952, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1150, check)
    call createCurrent(P_c, P_g, P_cAnti, 52, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 28, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 684, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 178, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 613, check)
    call createCurrent(P_c, P_cAnti, P_Z, 376, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1112, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 182, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 682, check)
    call createCurrent(P_uAnti, P_u, P_g, 506, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 58, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 679, check)
    call createCurrent(P_A, P_A, P_H, P_H, 1226, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 508, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 1037, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 790, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 80, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 33, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 495, check)
    call createCurrent(P_A, P_dAnti, P_d, 933, check)
    call createCurrent(P_tAnti, P_t, 1076, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 565, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 971, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 787, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 1007, check)
    call createCurrent(P_sAnti, P_H, P_s, 765, check)
    call createCurrent(P_sAnti, P_G0, P_s, 93, check)
    call createCurrent(P_d, P_A, P_dAnti, 621, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 649, check)
    call createCurrent(P_bAnti, P_H, P_b, 809, check)
    call createCurrent(P_H, P_A, P_Z, P_H, 1077, check)
    call createCurrent(P_dAnti, P_Z, P_d, 832, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 858, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 468, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 497, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 1001, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 975, check)
    call createCurrent(P_Z, P_u, P_uAnti, 369, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1174, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 385, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 631, check)
    call createCurrent(P_Z, P_s, P_sAnti, 334, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 1, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 493, check)
    call createCurrent(P_b, P_bAnti, P_A, 839, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 1047, check)
    call createCurrent(P_A, P_G0, 1065, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 713, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 676, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 138, check)
    call createCurrent(P_H, P_sAnti, P_s, 614, check)
    call createCurrent(P_uAnti, P_u, P_G0, 183, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 907, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 653, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 18, check)
    call createCurrent(P_H, P_A, P_H, P_Z, 1089, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 368, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 488, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 223, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 481, check)
    call createCurrent(P_g, P_g, P_g, P_g, 148, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 89, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 62, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 3, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1188, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 1043, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1162, check)
    call createCurrent(P_A, P_H, P_G0, 1108, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 1030, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 584, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 440, check)
    call createCurrent(P_sAnti, P_s, P_Z, 330, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 982, check)
    call createCurrent(P_b, P_bAnti, P_H, 755, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1191, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1159, check)
    call createCurrent(P_H, P_A, P_A, P_H, 1180, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 1218, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 767, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 453, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 56, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1197, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 356, check)
    call createCurrent(P_G0, P_H, P_G0, 335, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1107, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 288, check)
    call createCurrent(P_A, P_A, P_A, P_A, 1170, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1130, check)
    call createCurrent(P_H, P_Z, P_H, P_A, 1063, check)
    call createCurrent(P_uAnti, P_H, P_u, 1026, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 420, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 423, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 836, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 1234, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 978, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 943, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1166, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 690, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 642, check)
    call createCurrent(P_H, P_d, P_dAnti, 759, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 770, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 160, check)
    call createCurrent(P_cAnti, P_c, 1059, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 652, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1238, check)
    call createCurrent(P_c, P_cAnti, P_G0, 599, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 1048, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 347, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 941, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1133, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 705, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 697, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 644, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 100, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 463, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 466, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 514, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 76, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 91, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 278, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 920, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 784, check)
    call createCurrent(P_g, P_g, 1145, check)
    call createCurrent(P_bAnti, P_A, P_b, 22, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 1017, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 391, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 180, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 515, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 745, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 340, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 934, check)
    call createCurrent(P_cAnti, P_c, P_G0, 66, check)
    call createCurrent(P_dAnti, P_d, P_g, 69, check)
    call createCurrent(P_Z, P_H, P_G0, 847, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 605, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 228, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 725, check)
    call createCurrent(P_bAnti, P_g, P_b, 359, check)
    call createCurrent(P_b, P_Z, P_bAnti, 833, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 285, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 35, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 286, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 685, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 311, check)
    call createCurrent(P_u, P_uAnti, 1061, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 1209, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 756, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1182, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 164, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 8, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 205, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 609, check)
    call createCurrent(P_G0, P_sAnti, P_s, 928, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 174, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 1041, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 866, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 603, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 162, check)
    call createCurrent(P_Z, P_Z, 1116, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 176, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1204, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 415, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1181, check)
    call createCurrent(P_uAnti, P_Z, P_u, 597, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 414, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 764, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 229, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 312, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 911, check)
    call createCurrent(P_g, P_uAnti, P_u, 503, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 118, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 380, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 59, check)
    call createCurrent(P_G0, P_tAnti, P_t, 904, check)
    call createCurrent(P_H, P_Z, P_Z, 780, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 549, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 936, check)
    call createCurrent(P_A, P_G0, P_A, P_G0, 1167, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 82, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1148, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1187, check)
    call createCurrent(P_c, P_Z, P_cAnti, 925, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 687, check)
    call createCurrent(P_WMinus, P_WPlus, 1069, check)
    call createCurrent(P_Z, P_sAnti, P_s, 561, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 193, check)
    call createCurrent(P_G0, P_b, P_bAnti, 670, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 550, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 215, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 27, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 143, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 37, check)
    call createCurrent(P_H, P_G0, P_Z, 348, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 307, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 578, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 830, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 588, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 175, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 734, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 686, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 595, check)
    call createCurrent(P_WMinus, P_GPlus, 1050, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 150, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 189, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 112, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 741, check)
    call createCurrent(P_cAnti, P_c, P_H, 640, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 253, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1230, check)
    call createCurrent(P_uAnti, P_A, P_u, 838, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 1146, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 537, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 292, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 1163, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 747, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 944, check)
    call createCurrent(P_A, P_G0, P_H, 1068, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 318, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1241, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 637, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 848, check)
    call createCurrent(P_G0, P_d, P_dAnti, 593, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 974, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 529, check)
    call createCurrent(P_bAnti, P_G0, P_b, 406, check)
    call createCurrent(P_H, P_Z, P_A, P_H, 1052, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 277, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 641, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 460, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 190, check)
    call createCurrent(P_H, P_Z, P_G0, 375, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 252, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 64, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1079, check)
    call createCurrent(P_c, P_cAnti, P_H, 843, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 794, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 485, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 946, check)
    call createCurrent(P_Z, P_H, P_H, P_A, 1071, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 43, check)
    call createCurrent(P_Z, P_Z, P_A, P_Z, 1171, check)
    call createCurrent(P_Z, P_cAnti, P_c, 281, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 587, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 656, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1093, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 171, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 782, check)
    call createCurrent(P_bAnti, P_Z, P_b, 890, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 723, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 769, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1114, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 227, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 165, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 981, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 465, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 884, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 659, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 625, check)
    call createCurrent(P_cAnti, P_H, P_c, 945, check)
    call createCurrent(P_d, P_dAnti, P_A, 860, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 0, check)
    call createCurrent(P_A, P_Z, 1136, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 90, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 258, check)
    call createCurrent(P_G0, P_G0, P_H, 1040, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 42, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 783, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 462, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 732, check)
    call createCurrent(P_G0, P_A, P_A, P_G0, 1201, check)
    call createCurrent(P_cAnti, P_c, P_A, 344, check)
    call createCurrent(P_eMinus, P_ePlus, 1081, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 9, check)
    call createCurrent(P_u, P_uAnti, P_A, 1003, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 543, check)
    call createCurrent(P_u, P_uAnti, P_Z, 988, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 867, check)
    call createCurrent(P_c, P_cAnti, 1080, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 477, check)
    call createCurrent(P_H, P_A, P_Z, 1102, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 206, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 251, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 132, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 248, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 469, check)
    call createCurrent(P_u, P_uAnti, P_G0, 691, check)
    call createCurrent(P_WPlus, P_WMinus, 1060, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 699, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 458, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 916, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 106, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1057, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 390, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1164, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 342, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 781, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 980, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 899, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1095, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 134, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 1208, check)
    call createCurrent(P_g, P_s, P_sAnti, 963, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 263, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 271, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 660, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 820, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 528, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 859, check)
    call createCurrent(P_b, P_bAnti, 1051, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 862, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 996, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 760, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1113, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 531, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 525, check)
    call createCurrent(P_t, P_tAnti, 1134, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 786, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 923, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 417, check)
    call createCurrent(P_c, P_A, P_cAnti, 719, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 1018, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 748, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 696, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 888, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 358, check)
    call createCurrent(P_dAnti, P_d, P_H, 14, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 386, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 935, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 456, check)
    call createCurrent(P_d, P_G0, P_dAnti, 454, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 998, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 573, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 137, check)
    call createCurrent(P_A, P_H, P_A, 1158, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 972, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 267, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 323, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 213, check)
    call createCurrent(P_Z, P_A, P_H, 1073, check)
    call createCurrent(P_bAnti, P_b, 1087, check)
    call createCurrent(P_g, P_g, P_g, 122, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 273, check)
    call createCurrent(P_A, P_H, P_H, P_Z, 1099, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 831, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 950, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 752, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 835, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 366, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 1042, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 667, check)
    call createCurrent(P_Z, P_H, P_Z, 29, check)
    call createCurrent(P_tAnti, P_G0, P_t, 125, check)
    call createCurrent(P_A, P_tAnti, P_t, 343, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 984, check)
    call createCurrent(P_t, P_G0, P_tAnti, 630, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 929, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 851, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 870, check)
    call createCurrent(P_s, P_H, P_sAnti, 346, check)
    call createCurrent(P_t, P_tAnti, P_Z, 316, check)
    call createCurrent(P_Z, P_Z, P_Z, P_A, 1240, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 276, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 894, check)
    call createCurrent(P_tAnti, P_Z, P_t, 526, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 243, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 471, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 261, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 184, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 924, check)
    call createCurrent(P_Z, P_d, P_dAnti, 522, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 354, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 797, check)
    call createCurrent(P_Z, P_A, P_A, P_A, 1213, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 167, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 774, check)
    call createCurrent(P_d, P_dAnti, P_H, 771, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 199, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 606, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1179, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 727, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 319, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 124, check)
    call createCurrent(P_b, P_bAnti, P_g, 814, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 693, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 902, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 805, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 512, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 70, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1207, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 580, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1151, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 382, check)
    call createCurrent(P_A, P_s, P_sAnti, 296, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 633, check)
    call createCurrent(P_b, P_A, P_bAnti, 65, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 68, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 864, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 60, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 654, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 177, check)
    call createCurrent(P_g, P_c, P_cAnti, 598, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1173, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 220, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 256, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 538, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 169, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 664, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1246, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 521, check)
    call createCurrent(P_A, P_H, P_Z, 1128, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 172, check)
    call createCurrent(P_tAnti, P_t, P_Z, 1006, check)
    call createCurrent(P_G0, P_uAnti, P_u, 918, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 651, check)
    call createCurrent(P_d, P_g, P_dAnti, 117, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 4, check)
    call createCurrent(P_g, P_t, P_tAnti, 628, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 449, check)
    call createCurrent(P_H, P_tAnti, P_t, 416, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1155, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 210, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 502, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1189, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 880, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 961, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 372, check)
    call createCurrent(P_A, P_Z, P_H, 1084, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1149, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 389, check)
    call createCurrent(P_GMinus, P_WPlus, 1078, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 881, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 677, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 11, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 202, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 517, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 680, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 891, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 800, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 128, check)
    call createCurrent(P_dAnti, P_d, P_A, 95, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 438, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 381, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 530, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 738, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 163, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 542, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1228, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 290, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 411, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 494, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 314, check)
    call createCurrent(P_A, P_A, P_G0, P_G0, 1193, check)
    call createCurrent(P_H, P_bAnti, P_b, 383, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 186, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 216, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 773, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 464, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 821, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 478, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 230, check)
    call createCurrent(P_u, P_H, P_uAnti, 627, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 901, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 405, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 275, check)
    call createCurrent(P_b, P_G0, P_bAnti, 157, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 1013, check)
    call createCurrent(P_Z, P_tAnti, P_t, 265, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 510, check)
    call createCurrent(P_g, P_b, P_bAnti, 818, check)
    call createCurrent(P_A, P_b, P_bAnti, 238, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1242, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 88, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 987, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1119, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 74, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 310, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 142, check)
    call createCurrent(P_sAnti, P_g, P_s, 648, check)
    call createCurrent(P_Z, P_t, P_tAnti, 802, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 1008, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 823, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 915, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 298, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 1196, check)
    call createCurrent(P_c, P_H, P_cAnti, 1014, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 990, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 678, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 115, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 268, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 749, check)
    call createCurrent(P_sAnti, P_s, P_g, 401, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1243, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 1021, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 905, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 208, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 607, check)
    call createCurrent(P_A, P_H, P_A, P_H, 1221, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 73, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 247, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 594, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 795, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 985, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1190, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1074, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 1025, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 1024, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 262, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1244, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 675, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1082, check)
    call createCurrent(P_b, P_g, P_bAnti, 404, check)
    call createCurrent(P_tAnti, P_t, P_g, 965, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 135, check)
    call createCurrent(P_d, P_H, P_dAnti, 34, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 772, check)
    call createCurrent(P_uAnti, P_g, P_u, 426, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 61, check)
    call createCurrent(P_Z, P_H, P_A, 1058, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 871, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 976, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 733, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 127, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 329, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 876, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1144, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 788, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 41, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 398, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1247, check)
    call createCurrent(P_G0, P_t, P_tAnti, 766, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 155, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 402, check)
    call createCurrent(P_sAnti, P_s, P_G0, 424, check)
    call createCurrent(P_s, P_sAnti, P_G0, 919, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 301, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 798, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 898, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 1015, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 983, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 10, check)
    call createCurrent(P_c, P_cAnti, P_g, 16, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 324, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 203, check)
    call createCurrent(P_u, P_G0, P_uAnti, 266, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 736, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 709, check)
    call createCurrent(P_G0, P_G0, 1117, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 12, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 158, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 702, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 951, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 352, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 662, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 560, check)
    call createCurrent(P_uAnti, P_u, P_Z, 532, check)
    call createCurrent(P_G0, P_cAnti, P_c, 906, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 78, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 331, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1096, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 715, check)
    call createCurrent(P_H, P_t, P_tAnti, 762, check)
    call createCurrent(P_cAnti, P_Z, P_c, 32, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 144, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 979, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 317, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 883, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 484, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 710, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 50, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 695, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 337, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 116, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 541, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 785, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 673, check)
    call createCurrent(P_A, P_Z, P_A, P_Z, 1153, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 181, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 582, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 254, check)
    call createCurrent(P_H, P_u, P_uAnti, 545, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 720, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 101, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 185, check)
    call createCurrent(P_H, P_dAnti, P_d, 857, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 109, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 1038, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 491, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 289, check)
    call createCurrent(P_H, P_A, P_G0, 1070, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 708, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1176, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 663, check)
    call createCurrent(P_H, P_s, P_sAnti, 824, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 877, check)
    call createCurrent(P_cAnti, P_c, P_g, 367, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 480, check)
    call createCurrent(P_H, P_c, P_cAnti, 703, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 365, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 159, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 909, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 114, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 303, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 886, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 408, check)
    call createCurrent(P_Z, P_G0, P_H, 24, check)
    call createCurrent(P_g, P_dAnti, P_d, 962, check)
    call createCurrent(P_d, P_dAnti, P_G0, 496, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 363, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 156, check)
    call createCurrent(P_bAnti, P_b, P_H, 467, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 997, check)
    call createCurrent(P_d, P_Z, P_dAnti, 75, check)
    call createCurrent(P_A, P_bAnti, P_b, 688, check)
    call createCurrent(P_t, P_tAnti, P_g, 1004, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 701, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 816, check)
    call createCurrent(P_g, P_bAnti, P_b, 131, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 409, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 671, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1055, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 233, check)
    call createCurrent(P_t, P_A, P_tAnti, 989, check)
    call createCurrent(P_ePlus, P_eMinus, 1139, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1203, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 151, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 610, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 322, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 674, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 730, check)
    call createCurrent(P_G0, P_Z, P_H, 379, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 724, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1161, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1205, check)
    call createCurrent(P_cAnti, P_c, P_Z, 395, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 222, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 295, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 827, check)
    call createCurrent(P_Z, P_A, 1097, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 140, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 577, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 168, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 1027, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 441, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 896, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 1028, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 339, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 279, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 1023, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 51, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 726, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1217, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 313, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 845, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 887, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 403, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 232, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 955, check)
    call createCurrent(P_bAnti, P_b, P_A, 557, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 874, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 121, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 853, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 490, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 244, check)
    call createCurrent(P_muMinus, P_muPlus, 1142, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 72, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 428, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 914, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 300, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 221, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 937, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 657, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 882, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1199, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 399, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 336, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 619, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 959, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1138, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 873, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 912, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 6, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 969, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 123, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 84, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 562, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 618, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 718, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 775, check)
    call createCurrent(P_A, P_H, P_Z, P_H, 1094, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1222, check)
    call createCurrent(P_H, P_b, P_bAnti, 53, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 834, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 197, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 623, check)
    call createCurrent(P_Z, P_A, P_H, P_H, 1053, check)
    call createCurrent(P_dAnti, P_G0, P_d, 407, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 869, check)
    call createCurrent(P_A, P_A, 1067, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 291, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 559, check)
    call createCurrent(P_Z, P_Z, P_H, 421, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 57, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 681, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 71, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 608, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 519, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1085, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 926, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 796, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1215, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 672, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 105, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 294, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 217, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 357, check)
    call createCurrent(P_tAnti, P_t, P_G0, 350, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 555, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 994, check)
    call createCurrent(P_s, P_sAnti, P_g, 842, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 147, check)
    call createCurrent(P_tAnti, P_g, P_t, 119, check)
    call createCurrent(P_s, P_G0, P_sAnti, 259, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 931, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 698, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 410, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 429, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 224, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 822, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 865, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 551, check)
    call createCurrent(P_u, P_uAnti, P_g, 1035, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 589, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1110, check)
    call createCurrent(P_G0, P_s, P_sAnti, 1039, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 374, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 133, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 23, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 476, check)
    call createCurrent(P_t, P_g, P_tAnti, 554, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 993, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 927, check)
    call createCurrent(P_Z, P_G0, 1056, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 634, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 789, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 26, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 518, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 371, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 499, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 272, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 250, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 875, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 717, check)
    call createCurrent(P_WPlus, P_GMinus, 1127, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 825, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 650, check)
    call createCurrent(P_u, P_g, P_uAnti, 195, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 418, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 1036, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 504, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1192, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 977, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 442, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 443, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 957, check)
    call createCurrent(P_G0, P_A, 1129, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 567, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 282, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 740, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 861, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 394, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 92, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 507, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 513, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 954, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1177, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 819, check)
    call createCurrent(P_b, P_H, P_bAnti, 77, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 817, check)
    call createCurrent(P_tAnti, P_A, P_t, 739, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 758, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1064, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 828, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 658, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 1029, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 146, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1175, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 474, check)
    call createCurrent(P_u, P_Z, P_uAnti, 615, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 448, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 601, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1236, check)
    call createCurrent(P_H, P_Z, P_A, 1135, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 212, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 970, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1132, check)
    call createCurrent(P_s, P_sAnti, P_A, 500, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1202, check)
    call createCurrent(P_dAnti, P_d, P_G0, 776, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 188, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 556, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 430, check)
  end subroutine fill_current_1
end module currents_info1
